2000-02-28  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/powerpc/fprsave.S: New file.
	* sysdeps/powerpc/fprrest.S: New file.
	* sysdeps/powerpc/Makefile [$(subdir)=misc] (sysdep_routines):
	Add fprsave and fprrest.

	* sysdeps/powerpc/gprrest0.S: Use ASM_GLOBAL_DIRECTIVE instead of
	.globl.
	* sysdeps/powerpc/gprsave0.S: Likewise.
	* sysdeps/powerpc/gprrest1.S: Likewise.
	* sysdeps/powerpc/gprsave1.S: Likewise.

	* sysdeps/powerpc/fpu/s_copysign.S: Use L() instead of local labels.
	* sysdeps/powerpc/submul_1.S: Likewise.
	* sysdeps/powerpc/sub_n.S: Likewise.
	* sysdeps/powerpc/strcpy.S: Likewise.
	* sysdeps/powerpc/strcmp.S: Likewise.
	* sysdeps/powerpc/stpcpy.S: Likewise.
	* sysdeps/powerpc/rshift.S: Likewise.
	* sysdeps/powerpc/mul_1.S: Likewise.
	* sysdeps/powerpc/memset.S: Likewise.
	* sysdeps/powerpc/lshift.S: Likewise.
	* sysdeps/powerpc/addmul_1.S: Likewise.
	* sysdeps/powerpc/add_n.S: Likewise.

	* sysdeps/unix/start.c: Initialize __errno and add comment
	explaining why.  Remove K&R compatibility.

	* sysdeps/powerpc/fpu/s_isnan.c: Avoid using asm statement to
	declare aliases.

	* sysdeps/powerpc/Makefile: Always pass flags to compile for ppc
	and not rs6000.
	[$(subdir)=misc] (sysdep_routines): Add gprsave0, gprrest0,
	gprsave1 , and gprrest1.
	Don't pass special flags to compiler for init and gmon-start if
	this is no ELF platform.
	* sysdeps/powerpc/gprrest0.S: New file.
	* sysdeps/powerpc/gprsave0.S: New file.
	* sysdeps/powerpc/gprrest1.S: New file.
	* sysdeps/powerpc/gprsave1.S: New file.
	* sysdeps/powerpc/Versions: Export _savegpr* and _restgpr*
	functions.

	* sysdeps/mach/hurd/bits/statfs.h: Define _STATFS_F_NAMELEN.
	* sysdeps/unix/sysv/linux/bits/statfs.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/statfs.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/statfs.h: Likewise.
	* sysdeps/posix/fpathconf.c: Don't unconditionally use f_namelen
	in statfs.  Check feature macro and use f_name_max or NAME_MAX
	instead.
	* sysdeps/posix/pathconf.c: Likewise.

	* dlfcn/dlfcn.h: Remove DL_CALL_FCT definition here.
	* sysdeps/generic/bits/dlfcn.h: Define DL_CALL_FCT here.
	* sysdeps/mips/bits/dlfcn.h: Define DL_CALL_FCT here.
	* iconv/skeleton.c: If DL_CALL_FCT is not yet defined, add dummy
	definition here.

	* sysdeps/generic/libc-start.c: Fix typo in comment.

	* include/set-hooks.h: Allow systems to not define
	symbol_set_define.

	* configure.in: Unify machine names rs6000 and powerpc.

2000-02-25  Andreas Jaeger  <aj@suse.de>

	* malloc/Versions: Change version of __libc_freeres to 2.1 in
	accordance with usage in glibc 2.1.3.

2000-02-28  Ulrich Drepper  <drepper@redhat.com>

	* stdlib/msort.c (qsort): Limit the amount of memory spend on a
	temporary array for the mergesort.

2000-02-28  Andreas Jaeger  <aj@suse.de>

	* stdlib/canonicalize.c: Include <stddef.h> for ptrdiff_t.

2000-02-27  Ulrich Drepper  <drepper@redhat.com>

	* conform/conformtest.pl (@headers): Add wordexp.h, wctype.h, wchar.h,
	varargs.h, utmpx.h, utime.h, unistd.h, ulimit.h, ucontext.h, time.h,
	termios.h, tar.h, sys/wait.h, sys/uio.h, sys/types.h, sys/times.h,
	sys/timeb.h, sys/time.h, sys/statvfs.h, sys/stat.h, sys/shm.h,
	sys/sem.h, and sys/resource.h.
	Implement handling of allow-header.
	* conform/data/fcntl.h-data: Correct various bugs.
	* conform/data/fnmatch.h-data: Likewise.
	* conform/data/math.h-data: Likewise.
	* conform/data/ndbm.h-data: Likewise.
	* conform/data/nl_types.h-data: Likewise.
	* conform/data/poll.h-data: Likewise.
	* conform/data/pthread.h-data: Likewise.
	* conform/data/semaphore.h-data: Likewise.
	* conform/data/setjmp.h-data: Likewise.
	* conform/data/signal.h-data: Likewise.
	* conform/data/stdarg.h-data: Likewise.
	* conform/data/stddef.h-data: Likewise.
	* conform/data/stdio.h-data: Likewise.
	* conform/data/stdlib.h-data: Likewise.
	* conform/data/string.h-data: Likewise.
	* conform/data/strings.h-data: Likewise.
	* conform/data/stropts.h-data: Likewise.
	* conform/data/syslog.h-data: Likewise.
	* conform/data/sys/ipc.h-data: Likewise.
	* conform/data/sys/mman.h-data: Likewise.
	* conform/data/sys/msg.h-data: Likewise.
	* conform/data/tar.h-data: New file.
	* conform/data/termios.h-data: New file.
	* conform/data/time.h-data: New file.
	* conform/data/ucontext.h-data: New file.
	* conform/data/ulimit.h-data: New file.
	* conform/data/unistd.h-data: New file.
	* conform/data/utime.h-data: New file.
	* conform/data/utmpx.h-data: New file.
	* conform/data/varargs.h-data: New file.
	* conform/data/wchar.h-data: New file.
	* conform/data/wctype.h-data: New file.
	* conform/data/wordexp.h-data: New file.
	* conform/data/sys/resource.h-data: New file.
	* conform/data/sys/sem.h-data: New file.
	* conform/data/sys/shm.h-data: New file.
	* conform/data/sys/stat.h-data: New file.
	* conform/data/sys/statvfs.h-data: New file.
	* conform/data/sys/time.h-data: New file.
	* conform/data/sys/timeb.h-data: New file.
	* conform/data/sys/times.h-data: New file.
	* conform/data/sys/types.h-data: New file.
	* conform/data/sys/uio.h-data: New file.
	* conform/data/sys/wait.h-data: New file.

	* grp/grp.h (getgrent_r): Declare only if __USE_GNU.

	* include/sys/time.h (__itimes): Fix type of second parameter.

	* io/sys/stat.h (S_IFLNK): Define also if __USE_XOPEN.
	(S_ISVTX): Likewise.

	* io/sys/statvfs.h: Define fsblkcnt_t and fsfilcnt_t.

	* locale/langindo.h: Make ERA_YEAR, INT_CURR_SYMBOL, CURRENCY_SYMBOL,
	MON_DECIMAL_POINT, MON_THOUSANDS_SEP, MON_GROUPING, POSITIVE_SIGN,
	NEGATIVE_SIGN, INT_FRAC_DIGITS, FRAC_DIGITS, P_CS_PRECEDES,
	P_SEP_BY_SPACE, N_CS_PRECEDES, N_SEP_BY_SPACE, P_SIGN_POSN,
	N_SIGN_POSN, DECIMAL_POINT, THOUSANDS_SEP, GROUPING, YESEXPR,
	NOEXPR, YESSTR, and NOSTR only available if __USE_GNU.

	* math/bits/mathcalls.h: Don't declare tgamma and scalbn if only
	__USE_XOPEN.

	* posix/unistd.h: Don't define ptrdiff_t.
	(sbrk): Correct type of parameter.
	* sysdeps/generic/sbrk.c: Likewise.
	* sysdeps/mach/hurd/sbrk.c: Likewise.

	* posix/sys/types.h: Allow id_t, suseconds_t, fsblkcnt_t, and
	fsfilcnt_t being defined elsewhere.

	* resource/sys/resource.h: Define id_t.
	If __USE_XOPEN use int for type of first parameter if getrlimit,
	getrlimit64, setrlimit, setrlimit64, getrusage, getpriority, and
	setpriority.
	* sysdeps/generic/getpriority.c: Fix type of second parameter.
	* sysdeps/generic/setpriority.c: Likewise.
	* sysdeps/mach/hurd/getpriority.c: Likewise.
	* sysdeps/mach/hurd/setpriority.c: Likewise.
	* sysdeps/unix/sysv/irix4/getpriority.c: Likewise.
	* sysdeps/unix/sysv/irix4/setpriority.c: Likewise.
	* sysdeps/unix/sysv/linux/getpriority.c: Likewise.

	* sysdeps/generic/utimes.c: Fix parameter of third parameter.
	* sysdeps/mach/hurd/utimes.c: Likewise.
	* sysdeps/posix/utimes.c: Likewise.

	* sysdeps/generic/bits/shm.h: Define shmatt_t type and use it in
	struct shmid_ds definition.
	* sysdeps/gnu/bits/shm.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/shm.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/shm.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/shm.h: Likewise.

	* sysvipc/sys/shm.h: Define time_t.

	* sysvipc/sys/sem.h (struct sembuf): Make sem_num field unsigned.

	* sysdeps/gnu/bits/sem.h: Rename anonymous type struct sem_queue and
	struct sem_undo to struct __sem_queue and struct __sem_undo resp.

	* time/time.h: Define suseconds_t if not already done.

	* sysdeps/unix/sysv/linux/bits/statvfs.h: Rename f_spare to __f_spare.
	* sysdeps/unix/sysv/linux/fstatvfs64.c: Likewise.
	* sysdeps/unix/sysv/linux/statvfs64.c: Likewise.
	* sysdeps/unix/sysv/linux/internal_statvfs.c: Likewise.

	* intl/bindtextdom.c: Use rwlock to avoid surprising results in
	multithreaded applications.
	* intl/dcigettext.c: Likewise.
	* intl/textdomain.c: Likewise.
	* intl/*.c: Update copyright.
	* sysdeps/generic/bits/libc-lock.h: Define __libc_rwlock_* stubs.

2000-02-27  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/configure.in: Treat also "/usr/" as
	prefix especially.

2000-02-27  Ulrich Drepper  <drepper@redhat.com>

	* po/de.po: Update from translation team.
	* po/ko.po: Likewise.

2000-02-25  Andreas Jaeger  <aj@suse.de>

	* math/Versions: Move fe* function to GLIBC_2.2.  The patches have
	not been added to glibc 2.1.3.
	* Versions.def: Remove 2.1.3 entry for math.
	* sysdeps/alpha/fpu/fclrexcpt.c: Change default version to GLIBC_2.2.
	* sysdeps/alpha/fpu/fegetenv.c: Likewise.
	* sysdeps/alpha/fpu/fesetenv.c: Likewise.
	* sysdeps/alpha/fpu/feupdateenv.c: Likewise.
	* sysdeps/alpha/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/alpha/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/alpha/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/arm/fpu/fclrexcpt.c: Likewise.
	* sysdeps/arm/fpu/fegetenv.c: Likewise.
	* sysdeps/arm/fpu/fesetenv.c: Likewise.
	* sysdeps/arm/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/arm/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/generic/fclrexcpt.c: Likewise.
	* sysdeps/generic/fegetenv.c: Likewise.
	* sysdeps/generic/fesetenv.c: Likewise.
	* sysdeps/generic/feupdateenv.c: Likewise.
	* sysdeps/generic/fgetexcptflg.c: Likewise.
	* sysdeps/generic/fraiseexcpt.c: Likewise.
	* sysdeps/generic/fsetexcptflg.c: Likewise.
	* sysdeps/i386/fpu/fclrexcpt.c: Likewise.
	* sysdeps/i386/fpu/fegetenv.c: Likewise.
	* sysdeps/i386/fpu/fesetenv.c: Likewise.
	* sysdeps/i386/fpu/feupdateenv.c: Likewise.
	* sysdeps/i386/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/i386/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/i386/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/m68k/fpu/fclrexcpt.c: Likewise.
	* sysdeps/m68k/fpu/fegetenv.c: Likewise.
	* sysdeps/m68k/fpu/fesetenv.c: Likewise.
	* sysdeps/m68k/fpu/feupdateenv.c: Likewise.
	* sysdeps/m68k/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/m68k/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/m68k/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/mips/fpu/fclrexcpt.c: Likewise.
	* sysdeps/mips/fpu/fegetenv.c: Likewise.
	* sysdeps/mips/fpu/fesetenv.c: Likewise.
	* sysdeps/mips/fpu/feupdateenv.c: Likewise.
	* sysdeps/mips/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/powerpc/fclrexcpt.c: Likewise.
	* sysdeps/powerpc/fpu/fegetenv.c: Likewise.
	* sysdeps/powerpc/fpu/fesetenv.c: Likewise.
	* sysdeps/powerpc/fpu/feupdateenv.c: Likewise.
	* sysdeps/powerpc/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/powerpc/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/powerpc/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/sparc/fpu/fclrexcpt.c: Likewise.
	* sysdeps/sparc/fpu/fegetenv.c: Likewise.
	* sysdeps/sparc/fpu/fesetenv.c: Likewise.
	* sysdeps/sparc/fpu/feupdateenv.c: Likewise.
	* sysdeps/sparc/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/sparc/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/sparc/fpu/fsetexcptflg.c: Likewise.

2000-02-25  Andreas Jaeger  <aj@suse.de>

	* sysdeps/alpha/fpu/fraiseexcpt.c (__feraiseexcept): Correct
	declaration to return value.

	* sysdeps/ieee754/Makefile (CFLAGS-k_standard.c): Added.

	* math/Makefile: Remove -Wno-write-strings since it's only needed
	by one file.

	* intl/Makefile (CFLAGS-bindtextdom.c): The code has been fixed,
	we don't need to disable the warnings anymore, remove them.
	(CFLAGS-finddomain.c): Likewise.
	(CFLAGS-localealias.c): Likewise.

2000-02-25  Andreas Jaeger  <aj@suse.de>

	* configure.in: Allow sed 3.02 or newer versions.

	* manual/install.texi (Tools for Compilation): Document sed
	requirement.

2000-02-25  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/powerpc/bzero.S: Moved to...
	* sysdeps/powerpc/elf/bzero.S: ...here.  New file.

	* posix/environ.c: Moved to...
	* sysdeps/generic/environ.c: ...here.  New file.

2000-02-25  Andreas Jaeger  <aj@suse.de>

	* stdio-common/Makefile (CFLAGS-_itoa.c): The code has been
	fixed, we don't need to disable the warnings anymore, remove them.
	* elf/Makefile (CFLAGS-dl-load.c): Likewise.

	* posix/Makefile (CFLAGS-regex.c): Remove not needed warning
	flag.

	* posix/regex.c (regex_compile): Remove unused variables.

2000-02-25  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/bits/msq.h (struct msqid_ds): Use
	__pid_t.
	* sysdeps/unix/sysv/linux/alpha/bits/msq.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/msq.h: Likewise.

2000-02-25  Andreas Jaeger  <aj@suse.de>

	* locale/programs/ld-ctype.c (allocate_arrays): Add missing
	variable declaration.

2000-02-25  Ulrich Drepper  <drepper@redhat.com>

	* conform/conformtest.pl (@headers): Add "sys/msg.h", "sys/mman.h",
	"sys/ipc.h", "syslog.h", and "stropts.h".
	Handle / in header names correctly.
	* conform/data/stropts.h-data: New file.
	* conform/data/syslog.h-data: New file.
	* conform/data/sys/ipc.h-data: New file.
	* conform/data/sys/mman.h-data: New file.
	* conform/data/sys/msg.h-data: New file.

	* misc/sys/mman.h: Define off_t and mode_t if not already done.

	* streams/stropts.h: Define gid_t and uid_t if not already done.

	* sysdeps/gnu/bits/ipc.h (IPC_INFO): Only define if __USE_GNU.
	* sysdeps/unix/sysv/linux/alpha/bits/ipc.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/ipc.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/ipc.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/ipc.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/ipc.h: Likewise.

	* sysvipc/sys/msg.h: Don't include sys/types.h.
	Define time_t, pid_t, and ssize_t if not already done.
	(struct msgbuf): Define only if __USE_GNU.

	* sysdeps/generic/bits/msq.h: Include bits/types.h, not sys/types.h.
	(MSG_EXCEPT): Only define if __USE_GNU.
	Define msgqnum_t and msglen_t and use them in struct msqid_ds
	definition.
	* sysdeps/gnu/bits/msq.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/msq.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/msq.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/msq.h: Likewise.

	* sysdeps/generic/bits/stropts.h (I_GWROPT): Renamed from I_GWRSET.
	(FLUSHBAND): Only define is __USE_GNU.
	(RPROTMASK): Likewise.
	(SNDPIPE): Likewise.
	(MUXID_ALL): Likewise.
	(struct strrecvfd): Rename fill to __fill.

2000-02-24  Ulrich Drepper  <drepper@redhat.com>

	* stdlib/stdlib.h: Move definition X/Open compatibility stuff
	inside the main #ifdef.

2000-02-24  Geoff Clare  <gwc@unisoft.com>

	* posix/wordexp-test.c: Updated to include tests for all the
	problems fixed by the last changes to wordexp.c.

2000-02-24  Ulrich Drepper  <drepper@redhat.com>

	* posix/sys/wait.h: Handle definitions duplicated in stdlib.h
	correctly.
	* stdlib/stdlib.h: Handle definition of wait macros correctly.

	* posix/sys/wait.h: Add missing #endif.

	* stdlib/stdlib.h (setstate): Don't mark argument as const (yet).
	* stdlib/random_r.c: Change parameter types for initstate_t and
	setstate_r.
	* include/stdlib.h: Change parameter types for __initstate_t and
	__setstate_r.

2000-02-24  Andreas Jaeger  <aj@suse.de>

	* include/stdlib.h: Fix prototypes of __initstate and __setstate.

	* manual/time.texi (Precision Time): Fix typo.
	Patch by John Tobey <jtobey@ne.mediaone.net>, PR libc/1576.

2000-02-24  Ulrich Drepper  <drepper@redhat.com>

	* conform/conformtest.pl (@headers): Add string.h and strings.h.
	* conform/data/string.h-data: New file.
	* conform/data/strings.h-data: New file.

	* string/string.h [__USE_XOPEN]: Don't declare functions from
	<strings.h> here as well.

2000-02-23  Ulrich Drepper  <drepper@redhat.com>

	* posix/sys/wait.h: Pretty printing.  Allow WEXITSTATUS etc be
	defined elsewhere.
	* stdlib/stdlib.h [__USE_XOPEN]: Define WEXITSTATUS etc.
	* sysdeps/generic/bits/waitflags.h: Allow including from stdlib.h.
	* sysdeps/unix/bsd/bits/waitflags.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/waitflags.h: Likewise.
	* sysdeps/unix/sysv/sysv4/bits/waitflags.h: Likewise.
	* sysdeps/generic/bits/waitstatus.h: Likewise.

	* posix/wordexp.c: Use $HOME to expand ~ (if set); fix off-by-one
	error in expansion of ~user; correct handling of WRDE_APPEND and
	WRDE_DOOFFS; return WRDE_SYNTAX for syntax errors in command
	substitutions; limit removal of newlines to those that are
	really `trailing'; allow for current word to continue after
	a command substitution (e.g. "a$(echo b)c"); restore pwordexp
	members properly on error returns.
	Patch by Geoff Clare <gwc@unisoft.com>.

	* locale/programs/ld-ctype.c (allocate_arrays): Make sure the end
	of width table is 4-byte aligned.
	(ctype_output): Write out the entire width array.

	* sysdeps/unix/sysv/linux/bits/waitflags.h: Add __WALL.

2000-02-23  Andreas Jaeger  <aj@suse.de>

	* dlfcn/dlopen.c: Include <stddef.h> for NULL.
	* dlfcn/dlopenold.c: Likewise.
	* dlfcn/dlsym.c: Likewise.
	* dlfcn/dlvsym.c: Likewise.
	* iconv/gconv.c: Likewise.

2000-02-23  Ulrich Drepper  <drepper@redhat.com>

	* conform/conformtest.pl (@headers): Add stdlib.h.
	* conform/data/stdlib.h-data: New file.

2000-02-22  Ulrich Drepper  <drepper@redhat.com>

	* dlfcn/dlfcn.h (RTLD_DEFAULT): Don't use NULL.

	* iconv/iconv.h (iconv): Fix prototype.

	* misc/libgen.h: When using gcc using renaming feature to get XPG
	definition of basename.

	* misc/search.h (struct entry): Fix type of element data.

	* posix/unistd.h (getpagesize): Declare as const function.

	* sysdeps/unix/sysv/linux/alpha/bits/sigaction.h: Define SA_NOCLDWAIT.
	* sysdeps/unix/sysv/linux/bits/sigaction.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/sigaction.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/sigaction.h: Likewise.

	* signal/signal.h [__USE_XOPEN]: Define uid_t.
	(sigstack): Correct type of first parameter.
	* sysdeps/generic/sigstack.c (sigstack): Likewise.
	* sysdeps/unix/sysv/linux/sigstack.c (sigstack): Likewise.

	* sysdeps/unix/sysv/linux/alpha/bits/siginfo.h: New file.  Copy of
	old sysdeps/unix/sysv/linux/bits/siginfo.h.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/siginfo.h [struct siginfo] (si_band):
	Change type to `long int'.

	* signal/signal.h [__USE_XOPEN]: Declare sigpause to redirect to
	__xpg_sigpause.
	* sysdeps/generic/sigpause.c: Define __xpg_sigpause.
	* sysdeps/posix/sigpause.c: Likewise.

	* conform/conformtest.pl: Correct bugs.  Add more functionality.
	* conform/data/dlfcn.h-data: Correct typos.
	* conform/data/ftw.h-data: Likewise.
	* conform/data/iconv.h-data: Likewise.
	* conform/data/nl_types.h-data: Likewise.
	* conform/data/search.h-data: Likewise.
	* conform/data/semaphore.h-data: New file.
	* conform/data/setjmp.h-data: New file.
	* conform/data/signal.h-data: New file.
	* conform/data/stdarg.h-data: New file.
	* conform/data/stddef.h-data: New file.
	* conform/data/stdio.h-data: New file.

	* po/de.po: Update from translation team.

1999-12-31  Martin Buchholz  <martin@xemacs.org>

	* argp/argp-help.c: Fix typos.
	* argp/argp.h: Likewise.
	* elf/dl-object.c: Likewise.
	* elf/dl-open.c: Likewise.
	* elf/elf.h: Likewise.
	* elf/rtld.c: Likewise.
	* iconv/gconv_open.c: Likewise.
	* localedata/tst-fmon.data: Likewise.
	* localedata/tst-rpmatch.sh: Likewise.
	* login/programs/xtmp.h: Likewise.
	* manual/arith.texi: Likewise.
	* manual/charset.texi: Likewise.
	* manual/creature.texi: Likewise.
	* manual/llio.texi: Likewise.
	* manual/search.texi: Likewise.
	* manual/signal.texi: Likewise.
	* manual/stdio.texi: Likewise.
	* manual/string.texi: Likewise.
	* manual/sysinfo.texi: Likewise.
	* manual/users.texi: Likewise.
	* manual/examples/argp-ex2.c: Likewise.
	* manual/examples/argp-ex3.c: Likewise.
	* manual/examples/argp-ex4.c: Likewise.
	* manual/examples/mkfsock.c: Likewise.
	* math/test-fenv.c: Likewise.
	* nscd/nscd_gethst_r.c: Likewise.
	* nss/test-netdb.c: Likewise.
	* posix/regex.c: Likewise.
	* scripts/test-installation.pl: Likewise.
	* stdlib/canonicalize.c: Likewise.
	* stdlib/fmtmsg.c: Likewise.
	* string/argz-replace.c: Likewise.
	* string/argz.h: Likewise.
	* string/bits/string2.h: Likewise.
	* sysdeps/generic/glob.c: Likewise.
	* sysdeps/generic/setenv.c: Likewise.
	* sysdeps/i386/memcmp.S: Likewise.
	* sysdeps/posix/waitid.c: Likewise.
	* time/tzset.c: Likewise.

2000-02-21  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/i386/syscalls.list: Add
	getrlimit@GLIBC_2.0.
	Reported by Yoshito Kawada <KAWADA@jp.ibm.com>.

	* sysdeps/unix/sysv/linux/powerpc/setrlimit64.c: Removed.
	Reported by Kaoru Fukui <k_fukui@highway.ne.jp>.

	* elf/elf.h (ELF32_ST_OTHER): Removed.
	(ELF64_ST_OTHER): Likewise.

	* sysdeps/alpha/fpu/fpu_control.h: Update comment.

	* malloc/Makefile (tests): Add tst-valloc.
	* malloc/tst-valloc.c: New file.

2000-02-21  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/bits/in.h (IPV6_RXSRCRT): Renamed to
	IPV6_RTHDR; added IPV6_RTHDR_LOOSE, IPV6_RTHDR_STRICT and
	IPV6_RTHDR_TYPE_0 to synch with RFC 2292.
	* sysdeps/generic/bits/in.h: Likewise.

2000-02-21  Ulrich Drepper  <drepper@redhat.com>

	* po/gl.po: Update from translation team.

	* timezone/antarctica: Update from tzdata2000b.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/europe: Likewise.

	* malloc/malloc.c (vALLOc): Call ptmalloc_init before mEMALIGn
	call to initialize malloc_getpagesize.
	(pvALLOc): Likewise.

2000-02-20  Ulrich Drepper  <drepper@redhat.com>

	* po/it.po: Update from translation team.

2000-02-20  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/mmap64.S: Fix off by one error.

2000-02-20  Ulrich Drepper  <drepper@redhat.com>

	* sunrpc/rpc_main.c (checkfiles): Add comment to help translators.

	* po/de.po: Update from translation team.

2000-02-19  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/i386/sys/ucontext.h: Add definition of
	_libc_fpreg and _libc_fpstate and use it to define fpregset_t.
	* sysdeps/unix/sysv/linux/i386/sys/procfs.h (prgregset_t): Define
	using elf_gregset_t.
	(prfpregset_t): Define using elf_fpregset_t.

	* sysdeps/unix/sysv/linux/i386/sys/ucontext.h: Make fpregset_t
	definition compatible with definition in 2.1.2 and before.
	(struct ucontext): Use fpregset_t.
	* sysdeps/unix/sysv/linux/i386/sys/procfs.h (prfpregset_t): Define
	as pointer to fpregset_t.

2000-02-18  Ulrich Drepper  <drepper@redhat.com>

	* string/bits/string2.h (strnlen): Add cast to prevent warning.

	* nscd/connections.c (handle_request): Don't abort() if unknown
	command is sent.

2000-02-17  Ulrich Drepper  <drepper@redhat.com>

	* nscd/hstcache.c (cache_addhst): Don't cache name->record entries
	if more than one IP address is available.

2000-02-17  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/bits/termios.h: Sync with kernel.

2000-02-16  Ulrich Drepper  <drepper@redhat.com>

	* locale/programs/charmap.c (charmap_read): Find charmap also in
	the standard directory.

	* sysdeps/unix/sysv/linux/powerpc/mmap64.c: Correct prototype for
	__syscall_mmap2.

	* sysdeps/unix/sysv/linux/execve.c: Pretty print.

	* po/it.po: New file.
	* po/pl.po: Update from translation team.

2000-02-16  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/powerpc/mmap64.c (__mmap64): Fix return
	value.

2000-02-16  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/powerpc/ftruncate64.c (ftruncate64): Fix
	typo.

2000-02-15  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/fpu/libm-test-ulps: Add one value for AMD K7.

2000-02-15  Andreas Jaeger  <aj@suse.de>

	* math/libm-test.inc (nearbyint_test): Add some tests.
	(rint_test): Likewise.

2000-02-14  Ulrich Drepper  <drepper@redhat.com>

	* locale/programs/repertoire.c (repertoire_new_char): NUL
	terminated names of character in range.

	* stdio-common/vfprintf.c (vfprintf): Initialize thousands_sep.
	Define and initialize use_outdigits in the inner loops.

	* sysdeps/posix/sigwait.c: Don't look for signal 0 since it does
	not exist.  Patch by Miloslav Trmač <mitr@volny.cz> (PR libc/1601).

	* sysdeps/i386/fpu/s_nearbyint.S: Disable raising exception, not
	enable it.  Patch by Miloslav Trmač <mitr@volny.cz> (PR libc/1600).
	* sysdeps/i386/fpu/s_nearbyintf.S: Likewise.
	* sysdeps/i386/fpu/s_nearbyintl.S: Likewise.

2000-02-14  Andreas Jaeger  <aj@suse.de>

	* elf/rtld.c (dl_main): Fix check for references to dynamic linker.

2000-02-14  Ulrich Drepper  <drepper@redhat.com>

	* manual/job.texi: Fix typos.
	* manual/process.texi: Likewise.
	* manual/signal.texi: Likewise.

	* sysdeps/powerpc/atomicity.h: Remove white space to avoid
	compiler warning.

2000-02-14  Scott Bambrough  <scottb@netwinder.org>

	* sysdeps/unix/sysv/linux/arm/ioperm.c (_iopl, _ioperm):  Add
	Rebel-NetWinder to platform table so _ioperm platform lookup via
	/proc/cpuinfo works on later version NetWinders.

2000-02-13  Ulrich Drepper  <drepper@redhat.com>

	* locale/programs/charmap.c (charmap_read): Remove erronous free
	call.

	* sysdeps/i386/fpu/s_cosf.S: Domain of opcode is not large enough
	so test for overflow and handle it.
	* sysdeps/i386/fpu/s_sinf.S: Likewise.
	* sysdeps/i386/fpu/s_tanf.S: Likewise.
	Patch by Miloslav Trmač <mitr@volny.cz> (PR libc/1563).

	* iconvdata/Makefile (modules): Add UTF-16.
	(distribute): Add utf-16.c.
	* iconvdata/gconv-modules: Add entries for UTF-16, UTF-16BE, and
	UTF-16LE.
	* iconvdata/utf-16.c: New file.
	* iconv/gconv_builtin.h: Remove UTF-16 entries here.
	* iconv/gconv_simple.c: Remove conversion functions to and from UTF-16.
	PR libc/1580 and libc/1581.

	* iconv/skeleton.c: Increment __invocation_counter after every call
	to the loops.

2000-02-12  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/i386/msgctl.c (__new_msgctl): Move errno
	declaration to place where it's needed to avoid compiler warning.
	* sysdeps/unix/sysv/linux/i386/semctl.c (__new_semctl): Likewise.

2000-02-12  Ulrich Drepper  <drepper@redhat.com>

	* locale/weightwc.h (findidx): Correct find index value.

	* locale/nl_langinfo.h: Add casts to prevent warnings.

	* wctype/iswctype_l.c: Use correct types for mapped data.
	* wctype/wcfuncs.c: Add one more comment for clarification.
	* wctype/wcfuncs_l.c: Use __ctype32_tolower and __ctype32_toupper.
	* wctype/wctrans.c: Likewise.

2000-02-12  Andreas Jaeger  <aj@suse.de>

	* sysdeps/mips/dl-machine.h (__start): Rewritten for 2.2 startup
	conventions.
	(elf_machine_rel): Use R_MIPS_REL32 for RESOLVE.
	(elf_machine_runtime_setup,elf_machine_got_rel): Move at end of
	file and make dependend on RESOLVE.
	(ELF_MACHINE_RUNTIME_TRAMPOLINE): Fix arguments to _dl_lookup_symbol.
	(RESOLVE_GOTSYM): Fix arguments to _dl_lookup_symbol.

2000-02-11  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/i386/shmctl.c: Fix handling of save_errno.

	* locale/langinfo.h: Make CRNCYSTR a separate entry instead of an
	alias for CURRENCY_SYMBOL.
	* locale/programs/ld-monetary.c: Add support to write out CRNCYSTR
	information.  [PR libc/1583].

2000-02-08  Shinya Hanataka  <hanataka@abyss.rim.or.jp>

	* locale/weightwc.h: Fix problem with collating-element.

	* locale/programs/ld-collate.c (collate_finish): Output wide
	character collating-symbol, which has no wide strings.

	* locale/programs/ld-collate.c (collate_output): Fix problem with
	wide character collating-element.

2000-02-09  Andreas Jaeger  <aj@suse.de>

	* time/strptime.c (strptime_internal): Fix pointer dereference.
	Patch by Juergen Heinzl <juergen@monocerus.demon.co.uk>, closes PR
	libc/1591.

2000-02-08  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/alpha/msgctl.c: New file.
	* sysdeps/unix/sysv/linux/alpha/semctl.c: New file.
	* sysdeps/unix/sysv/linux/alpha/shmctl.c: New file.
	* sysdeps/unix/sysv/linux/alpha/syscalls.list (msgctl, semctl,
	shmctl): Make them EXTRA as __old_* and as GLIBC_2.0 symbols.
	* sysdeps/unix/sysv/linux/alpha/Makefile: Add oldmsgctl, oldsemctl
	and oldshmctl to sysdep-routines.

2000-02-08  Andreas Jaeger  <aj@suse.de>

	* locale/programs/locale.c (write_locales): Fix handling of
	whitespace lines.
	Fixes PR libc/1588, reported by Miroslav Holcak
	<miroslav.holcak@vitkovice.cz>.

2000-02-07  Thorsten Kukuk  <kukuk@suse.de>

	* config.make.in: Add infodir.
	* sysdeps/unix/sysv/linux/sparc/bits/termios.h: Sync with kernel
	header files.

2000-02-11  Ulrich Drepper  <drepper@redhat.com>

	* posix/getopt.c: Suppress messages if first character of
	optstring is a colon (PR libc/1584).

	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h: Define ELF_* constants
	and elf_* types to interpret values passed up from the kernel.
	Patch by Franz Sirl <Franz.Sirl-kernel@lauterbach.com>.

	* locale/nl_langinfo.c: Correct return value in error case.  Don't
	set errno (PR libc/1582).
	* manual/locale.texi: Update to reflect change.

2000-02-02  Andreas Schwab  <schwab@suse.de>

	* malloc/Makefile (distribute): Add memprof.h.
	* malloc/memprof.c: Move definition of GETSP and GETTIME to new
	header memprof.h.
	* sysdeps/generic/memprof.h: New file.
	* sysdeps/alpha/memprof.h: New file.
	* sysdeps/i386/memprof.h: New file.
	* sysdeps/m68k/memprof.h: New file.
	* sysdeps/mips/memprof.h: New file.
	* sysdeps/powerpc/memprof.h: New file.
	* sysdeps/sparc/memprof.h: New file.

2000-02-01  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/getresgid.c: Move...
	* sysdeps/unix/sysv/linux/i386/getresgid.c: ...here.
	(getresgid): Use getresgid32 if __libc_missing_32bit_uids
	is -1 or 0.
	* sysdeps/unix/sysv/linux/getresuid.c: Move...
	* sysdeps/unix/sysv/linux/i386/getresuid.c: ...here.
	(getresuid): Use getresuid32 if __libc_missing_32bit_uids
	is -1 or 0.
	* sysdeps/unix/sysv/linux/i386/getuid.c: Document new tristate
	__libc_missing_32bit_uids.
	(__getuid): Use 32bit uid syscall if __libc_missing_32bit_uids is
	-1 or 0.
	* sysdeps/unix/sysv/linux/i386/chown.c (__real_chown): Likewise.
	* sysdeps/unix/sysv/linux/i386/fchown.c (__fchown): Likewise.
	* sysdeps/unix/sysv/linux/i386/getegid.c (__getegid): Likewise.
	* sysdeps/unix/sysv/linux/i386/geteuid.c (__geteuid): Likewise.
	* sysdeps/unix/sysv/linux/i386/getgroups.c (__getgroups): Likewise.
	* sysdeps/unix/sysv/linux/i386/getgid.c (__getgid): Likewise.
	* sysdeps/unix/sysv/linux/i386/lchown.c (__lchown): Likewise.
	* sysdeps/unix/sysv/linux/i386/setfsgid.c (setfsgid): Likewise.
	* sysdeps/unix/sysv/linux/i386/setfsuid.c (setfsuid): Likewise.
	* sysdeps/unix/sysv/linux/i386/setgid.c (__setgid): Likewise.
	* sysdeps/unix/sysv/linux/i386/setgroups.c (setgroups): Likewise.
	* sysdeps/unix/sysv/linux/i386/setregid.c (__setregid): Likewise.
	* sysdeps/unix/sysv/linux/i386/setresgid.c (setresgid): Likewise.
	* sysdeps/unix/sysv/linux/i386/setresuid.c (__setresuid): Likewise.
	* sysdeps/unix/sysv/linux/i386/setreuid.c (__setreuid): Likewise.
	* sysdeps/unix/sysv/linux/i386/setuid.c (__setuid): Likewise.
	* sysdeps/unix/sysv/linux/m68k/chown.c (__chown): Likewise.
	* sysdeps/unix/sysv/linux/arm/getresuid.c: New file.
	* sysdeps/unix/sysv/linux/arm/getresgid.c: New file.
	* sysdeps/unix/sysv/linux/arm/msgctl.c: New file.
	* sysdeps/unix/sysv/linux/arm/semctl.c: New file.
	* sysdeps/unix/sysv/linux/arm/shmctl.c: New file.
	* sysdeps/unix/sysv/linux/i386/msgctl.c: New file.
	* sysdeps/unix/sysv/linux/i386/semctl.c: New file.
	* sysdeps/unix/sysv/linux/i386/shmctl.c: New file.
	* sysdeps/unix/sysv/linux/m68k/getresgid.c: New file.
	* sysdeps/unix/sysv/linux/m68k/getresuid.c: New file.
	* sysdeps/unix/sysv/linux/m68k/msgctl.c: New file.
	* sysdeps/unix/sysv/linux/m68k/semctl.c: New file.
	* sysdeps/unix/sysv/linux/m68k/shmctl.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/msgctl.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/semctl.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/shmctl.c: New file.
	* sysdeps/unix/sysv/linux/mips/syscalls.list (getresuid):
	Make syscall directly, no stubs needed.
	(getresgid): Likewise.
	* sysdeps/unix/sysv/linux/powerpc/syscalls.list (getresuid):
	Likewise.
	(getresgid): Likewise.

2000-02-11  Ulrich Drepper  <drepper@redhat.com>

	* iconvdata/gconv-modules: Add aliases CN-GB and CN-BIG5.
	Reported by Bruno Haible <haible@ilog.fr>.

	* stdio-common/printf-parse.h (parse_one_spec): Set wide elements.

	* stdio-common/printf_fp.c: Truely support wide characater output.
	Finally handle decimal points and thousands separator characters
	correctly for multibyte output.
	* stdio-common/printf_size.c: Likewise.
	* sysdeps/generic/printf_fphex.c: Likewise.
	* sysdeps/ieee754/ldbl-96/printf_fphex.c: Likewise.

	* stdio-common/vfscanf.c: Implement I modifier for numbers to read
	locale dependent digits.

	* locale/C-monetary.c (_nl_C_LC_MONETARY): Change wide character
	decimal point and thousands separator values to wide characters from
	wide character strings.
	* locale/C-numeric.c (_nl_C_LC_NUMERIC): Likewise.

	* locale/indigitswc.h: Dereference wcdigits array elements.

2000-02-03  Jakub Jelinek  <jakub@redhat.com>

	* stdlib/canonicalize.c (canonicalize): Zero terminate
	path to copy on error.

2000-02-01  Cristian Gafton  <gafton@redhat.com>

	* misc/syslog.c (closelog): Reset LogType to SOCK_DGRAM.

2000-01-31  Philip Blundell  <philb@gnu.org>

	* sysdeps/arm/fpu/fpu_control.h (_FPU_DEFAULT): Set the AC bit.

2000-01-31  Andreas Jaeger  <aj@suse.de>

	* intl/Makefile (generated): msgs.h is generated.

	* localedata/Makefile (generated-dirs): Add de_DE.437.

2000-01-31  Jakub Jelinek  <jakub@redhat.com>

	* config.make.in: Allow default localedir to come from configure.
	* configure.in: Export libc_cv_localedir.
	* sysdeps/unix/sysv/linux/configure.in: For sparc64, put locale
	stuff into $exec_prefix/lib/locale because it can be shared between
	32bit and 64bit libraries.
	* configure: Rebuilt.
	* sysdeps/unix/sysv/linux/configure: Rebuilt.

2000-01-31  Andreas Jaeger  <aj@suse.de>

	* inet/tst-network.c: New file.
	* inet/Makefile (tests): Add tst-network.

	* inet/inet_net.c (inet_network): Don't overwrite memory or allow
	to great last digits.

2000-02-10  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/mips/clone.S: Rewritten.
	Based on a patch by Hiroyuki Machida <machida@sm.sony.co.jp>.

2000-02-09  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/mips/sys/syscall.h: Add new syscalls.

	* sysdeps/unix/sysv/linux/mips/syscalls.list: Add missing syscalls.

2000-02-08  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/mips/sigcontextinfo.h (GET_PC): Fix typo.

	* sysdeps/unix/sysv/linux/mips/register-dump.h (register_dump):
	Make it compile.

	* sysdeps/unix/sysv/linux/mips/bits/termios.h: Remove members
	c_ispeed and c_ospeed which are not implemented.

	* sysdeps/unix/sysv/linux/mips/pwrite64.c: Define __libc_* variant
	for cancelation wrapper; use __ASSUME_PWRITE_SYSCALL macro.
	* sysdeps/unix/sysv/linux/mips/pread64.c: Likewise.
	* sysdeps/unix/sysv/linux/mips/pwrite.c: Likewise.
	* sysdeps/unix/sysv/linux/mips/pread.c: Likewise.

2000-02-05  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/mips/bits/mman.h (MS_SYNC): 0 will not
	work - set to 4 in accordance with changes made in the Linux/MIPS
	kernel.  Using MS_SYNC on older kernels with MS_SYNC == 0 doesn't
	actually work.

2000-02-04  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/mips/bits/mman.h: Use correct values for
	the defines.

2000-02-03  Andreas Jaeger  <aj@suse.de>

	* sysdeps/mips/abort-instr.h: New file.

	* sysdeps/unix/sysv/linux/mips/sigcontextinfo.h: New file.

	* sysdeps/unix/sysv/linux/mips/register-dump.h: New file.

	* sysdeps/mips/stackinfo.h: New file.

2000-02-01  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/mips/syscalls.list: Remove duplicates.

	* sysdeps/unix/sysv/linux/mips/lxstat.c: Removed, we can use the
	generic function.
	* sysdeps/unix/sysv/linux/mips/fxstat.c: Likewise.

	* sysdeps/unix/sysv/linux/mips/init-first.h: New file, from Ralf
	Bächle <ralf@gnu.org>.

	* sysdeps/unix/sysv/linux/mips/brk.c: New file.

	* sysdeps/unix/sysv/linux/mips/sys/ucontext.h: Add missing ints.

	* sysdeps/mips/elf/start.S: Rewritten for __libc_start_main.

2000-01-31  Andreas Jaeger  <aj@suse.de>

	* inet/inet_net.c (inet_network): Synch with bind 8.2.2.  Fixes PR
	libc/1567.

2000-01-30  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/alpha/fpu/feholdexcpt.c: Correct return value according to
	the standard.
	* sysdeps/alpha/fpu/fesetround.c: Likewise.
	* sysdeps/arm/fpu/feholdexcpt.c: Likewise.
	* sysdeps/arm/fpu/fesetround.c: Likewise.
	* sysdeps/generic/feholdexcpt.c: Likewise.
	* sysdeps/generic/fesetround.c: Likewise.
	* sysdeps/i386/fpu/feholdexcpt.c: Likewise.
	* sysdeps/i386/fpu/fesetround.c: Likewise.
	* sysdeps/m68k/fpu/feholdexcpt.c: Likewise.
	* sysdeps/m68k/fpu/fesetround.c: Likewise.
	* sysdeps/mips/fpu/fesetround.c: Likewise.
	* sysdeps/powerpc/fpu/feholdexcpt.c: Likewise.
	* sysdeps/powerpc/fpu/fesetround.c: Likewise.
	* sysdeps/sparc/fpu/feholdexcpt.c: Likewise.
	* sysdeps/sparc/fpu/fesetround.c: Likewise.
	Patch by Miloslav Trmač <mitr@volny.cz>.

	* locale/programs/ld-collate.c (struct locale_collate_t): Change
	type of plane_size and plane_cnt to uint32_t.
	Reported by Jakub Jelinek.

2000-01-29  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sparc32/sysdep.h
	(SYSCALL_ERROR_HANDLER): Optimize.
	(__SYSCALL_STRING, __SYSCALL_CLOBBERS): Define.
	Include linux/sparc/sysdep.h.
	Use a different guard define than linux/sparc/sysdep.h.
	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list: Remove
	stubs for inlined syscalls.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sysdep.h
	(SYSCALL_ERROR_HANDLER): Optimize.
	(__SYSCALL_STRING, __SYSCALL_CLOBBERS): Define.
	Include linux/sparc/sysdep.h.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list: Remove
	stubs for inlined syscalls.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sigaction.c (__sigaction):
	Use INLINE_SYSCALL.
	* sysdeps/unix/sysv/linux/sparc/sparc64/Makefile: Remove.
	* sysdeps/unix/sysv/linux/sparc/sysdep.h: New file.

2000-01-29  Ulrich Drepper  <drepper@redhat.com>

	* locale/loadlocale.c (_nl_load_locale): Optimize a bit.  Pretty
	print.  Add checks for _POSIX_MMAPPED_FILES where necessary.
	(_nl_unload_locale): If locale data was mmapped use munmap.

2000-01-29  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/i386/sys/io.h: Add missing ints, use
	_EXTERN_INLINE, compile inline assembler functions only with gcc.

2000-01-29  Ulrich Drepper  <drepper@redhat.com>

	* catgets/catgets.c (catopen): Handle NL_CAT_LOCALE correctly.
	* catgets/gencat.c (read_input_file): Remove messages correctly.
	* catgets/open_catalog.c (__open_catalog): Handle trailing colons and
	adjacent colons correctly.  Correct loops to read territory and
	and codeset part.
	Patches by Geoff Clare <gwc@unisoft.com> (PR libc/1559).

	* rt/aio_misc.c (get_elem): Assign pointer to new row to correct
	pool entry.
	Patch by Jens Moeller <jens.moeller@waii.com> (PR libc/1558).

2000-01-28  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/arm/Versions: Export the new *rlimit
	interface with symbol version GLIBC_2.2.
	* sysdeps/unix/sysv/linux/i386/Versions: Likewise.
	* sysdeps/unix/sysv/linux/i386/getrlimit.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getrlimit64.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setrlimit.c: Likewise.

2000-01-27  Scott Bambrough  <scottb@netwinder.org>

	* sysdeps/unix/sysv/linux/arm/Makefile: Backout rlimit changes for
	resource directory.
	* sysdeps/unix/sysv/linux/arm/syscalls.list: Backout changes for
	versioning setrlimit and getrlimit.

2000-01-27  Andreas Jaeger  <aj@suse.de>

	* sysdeps/powerpc/fpu/libm-ulps: Renamed to ...
	* sysdeps/powerpc/fpu/libm-test-ulps: ...this.

2000-01-27  Ruediger Oertel  <ro@suse.de>

	* sysdeps/unix/sysv/linux/i386/sys/io.h: Change "::" to ": :" for g++.

2000-01-29  Ulrich Drepper  <drepper@redhat.com>

	* locale/programs/ld-numeric.c (numeric_output): Increment cnt in
	correct place to avoid uninitialized memory passed to writev.

	* locale/programs/ld-monetary.c (STR_ELEM_WC): Fix test for too
	long string in definition.Only enable returning wide character
	strings if really needed.
	* locale/programs/ld-numeric.c (STR_ELEM): Likewise.

	* configure.in: Add check for recent enough sed version.

2000-01-28  Ulrich Drepper  <drepper@redhat.com>

	* stdio-common/vfprintf.c [COMPILE_WPRINT] (_i18n_itoa_word,
	_i18n_itoa): Fix parameter lists.

	* locale/C-monetary.c: Add initializers for new fields.
	* locale/C-numeric.c: Likewise.
	* locale/Makefile (distribute): Add indigits.h, indigitswc.h,
	outdigits.h, and outdigitswc.h.
	* locale/langinfo.h: Add _NL_MONETARY_DECIMAL_POINT_WC,
	_NL_MONETARY_THOUSANDS_SEP_WC, _NL_NUMERIC_DECIMAL_POINT_WC,
	and _NL_NUMERIC_THOUSANDS_SEP_WC.
	* locale/indigits.h: New file.
	* locale/indigitswc.h: New file.
	* locale/outdigits.h: New file.
	* locale/outdigitswc.h: New file.
	* locale/programs/ld-monetary.c: Write out decimal point and
	thousands separator info in wide character form.
	* locale/programs/ld-numeric.c: Likewise.
	* stdio-common/Makefile (routines): Add _i18n_itoa and _i18n_itowa.
	(distribute): Add _i18n_itoa.h and _i18n_itowa.h.
	* stdio-common/_i18n_itoa.c: New file.
	* stdio-common/_i18n_itoa.h: New file.
	* stdio-common/_i18n_itowa.c: New file.
	* stdio-common/_i18n_itowa.h: New file.
	* stdio-common/printf-parse.h: Parse 'I' flag.
	* stdio-common/printf.h (struct printf_info): Add i18n field.
	* stdio-common/vfprintf.c: Implement 'I' flag to print using locales'
	outdigits.

2000-01-27  Geoff Keating  <geoffk@cygnus.com>

	* csu/Makefile ($(objpfx)version-info.h): Don't use echo -n
	unnecessarily.

	* sysdeps/unix/sysv/linux/kernel-features.h
	(__ASSUME_STAT64_SYSCALL, __ASSUME_TRUNCATE64_SYSCALL,
	__ASSUME_NEW_GETRLIMIT_SYSCALL): Define on powerpc for kernels >=
	2.3.35.

	* sysdeps/unix/sysv/linux/powerpc/bits/resource.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/ftruncate64.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/getrlimit.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/getrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/mmap64.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/setrlimit.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/setrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/syscalls.list: Add
	s_fstat64, s_ftruncate64, s_lstat64, s_mmap2, s_stat64,
	s_truncate64.
	* sysdeps/unix/sysv/linux/powerpc/truncate64.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/Versions: New file.

	* sysdeps/unix/sysv/linux/powerpc/brk.S [!PIC]: Don't access
	__curbrk off the small data area register.  Reported by
	Andrew Haley <aph@pasanda.cygnus.co.uk>.

2000-01-26  Andreas Jaeger  <aj@suse.de>

	* Make-dist (+sysdep-tscrs): Add libm-test-ulps.

2000-01-26  Ulrich Drepper  <drepper@cygnus.com>

	* locale/Makefile (distribute): Remove nonexisting files.
	* sysdeps/powerpc/Dist: Move FPU specific files to...
	* sysdeps/powerpc/fpu/Dist: ...here.  New file.
	* nss/Makefile: Distribute files for new libdb interface.
	* math/Makefile (distribute): Add README.libm-test.
	Patch by Andreas Jaeger.

2000-01-26  David McCann  <david.mccann@alcatel.at>

	* libio/libioP.h [!_G_HAVE_MMAP]: Define ALLOC_WBUF.

2000-01-25  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/configure.in: Set CPPFLAGS for kernel
	version check since we're using cpp.

2000-01-26  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list (getresgid):
	Fix a typo.

2000-01-26  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/i386/lxstat.c (__lxstat): Avoid warning
	about unitialised variable kbuf.
	* sysdeps/unix/sysv/linux/i386/xstat.c (__xstat): Likewise.
	* sysdeps/unix/sysv/linux/i386/fxstat.c (__fxstat): Likewise.

2000-01-26  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-collate.c (check_duplicate): Fix printing of error
	messages.
	(collate_read): Remove unnecessary `if'.

2000-01-25  Ulrich Drepper  <drepper@cygnus.com>

	* libio/fileops.c (_IO_new_file_open): Recognize ,ccs= in mode string
	and load appropriate conversions.
	* libio/iofwide.c (__libio_codecvt): Renamed from libio_codecvt and
	made global.
	* libio/libioP.h: Declare __libio_codecvt.
	* manual/stdio.texi: Document ,ccs= option for fopen.
	* wcsmbs/wcsmbsload.c (__wcsmbs_named_conv): New function.
	* wcsmbs/wcsmbsload.h (__wcsmbs_named_conv): Declare.

	* libio/iofclose.c: Free conversion data if stream was wide-oriented.

	* sysdeps/unix/sysv/linux/i386/Dist: Add sys/io.h.

	* sysdeps/unix/sysv/linux/Dist: Remove sys/io.h.

	* posix/fnmatch_loop.c: Fix problem with FNM_LEADING_DIR.
	* posix/testfnm.c: Add a few more tests.  Rearrange test output.

2000-01-25  Andreas Schwab  <schwab@suse.de>

	* posix/testfnm.c: Add new test case.  Use FNM_PATHNAME instead of
	FNM_FILE_NAME consistently.

2000-01-25  Ulrich Drepper  <drepper@cygnus.com>

	* posix/fnmatch.c: Define STRCOLL appropriately for the loop
	definition.
	* posix/fnmatch_loop.c: Undefine STRCOLL.

	* sysdeps/unix/sysv/linux/i386/fxstat.c: Correct code to handle
	kernels with stat64 support.
	* sysdeps/unix/sysv/linux/i386/lxstat.c: Likewise
	* sysdeps/unix/sysv/linux/i386/xstat.c: Likewise.
	Patch by SL Baur <steve@xemacs.org>.

	* string/strxfrm.c: Don't count in the terminating NUL byte/word.

2000-01-24  Paul Eggert  <eggert@twinsun.com>

	* posix/fnmatch_loop.c (FCT): Use locale's collating sequence when
	deciding whether a character falls within a character range.

2000-01-24  Paul Eggert  <eggert@twinsun.com>

	* posix/fnmatch_loop.c (FCT): When matching [A-Z] and folding case,
	lower-case A too.

2000-01-24  Thorsten Kukuk  <kukuk@suse.de>

	* sysdeps/unix/sysv/linux/i386/syscalls.list: Remove old[gs]etrlimit.

2000-01-23  Paul Eggert  <eggert@twinsun.com>

	* posix/regex.c (GET_UNSIGNED_NUMBER): Allow only ASCII digits.

2000-01-23  Paul Eggert  <eggert@twinsun.com>

	* posix/regex.c (compile_range): When matching a character
	range, use the current collating sequence, as POSIX requires.

2000-01-25  Ulrich Drepper  <drepper@cygnus.com>

	* string/argz-stringify.c: Handle case of missing \0 at the end of
	the given argz.

2000-01-24  Ulrich Drepper  <drepper@cygnus.com>

	* nscd/hstcache.c: Don't count in mapped IPv6 addresses in total
	size anymore.

	* locale/programs/ld-collate.c (collate_output): Also handle
	IGNOREd characters in the simple way when generating the multibyte
	table.

	* locale/programs/ld-ctype.c (allocate_arrays): Move codeset_name
	handling to ...
	(ctype_finish): ...here.  Check for missing codeset name.

	* sysdeps/unix/sysv/linux/Dist: Add ipc_priv.h.
	* sysdeps/unix/sysv/linux/alpha/Dist: Likewise.

2000-01-24  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/bits/ipc.h: Move private decls...
	* sysdeps/unix/sysv/linux/ipc_priv.h: ...here.
	* sysdeps/unix/sysv/linux/bits/msq.h: Move private decls...
	* sysdeps/unix/sysv/linux/msgctl.c: ...here.  Include ipc_priv.h.
	* sysdeps/unix/sysv/linux/bits/sem.h: Move private decls...
	* sysdeps/unix/sysv/linux/semctl.c: ...here.  Include ipc_priv.h.
	* sysdeps/unix/sysv/linux/bits/shm.h: Move private decls...
	* sysdeps/unix/sysv/linux/shmctl.c: ...here.  Include ipc_priv.h.
	* sysdeps/unix/sysv/linux/alpha/bits/ipc.h: Move private decls...
	* sysdeps/unix/sysv/linux/alpha/ipc_priv.h: ...here.
	* sysdeps/unix/sysv/linux/alpha/bits/msq.h: Remove private decls.
	* sysdeps/unix/sysv/linux/alpha/bits/sem.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/shm.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/ipc.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/msq.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/sem.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/shm.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/msgctl.c: Include ipc_priv.h.
	* sysdeps/unix/sysv/linux/sparc/sparc64/semctl.c: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/shmctl.c: Likewise.
	* sysdeps/unix/sysv/linux/msgget.c: Likewise.
	* sysdeps/unix/sysv/linux/msgrcv.c: Likewise.
	* sysdeps/unix/sysv/linux/msgsnd.c: Likewise.
	* sysdeps/unix/sysv/linux/semget.c: Likewise.
	* sysdeps/unix/sysv/linux/semop.c: Likewise.
	* sysdeps/unix/sysv/linux/shmat.c: Likewise.
	* sysdeps/unix/sysv/linux/shmdt.c: Likewise.
	* sysdeps/unix/sysv/linux/shmget.c: Likewise.

2000-01-24  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/arm/bits/resource.h: New file.
	* sysdeps/unix/sysv/linux/arm/Makefile: Remove oldsetrlimit64.c.
	* sysdeps/unix/sysv/linux/i386/Makefile: Likewise.
	* sysdeps/unix/sysv/linux/i386/Dist: Likewise.
	* sysdeps/unix/sysv/linux/arm/Versions: Remove
	setrlimit64@GLIBC_2.1.3.
	* sysdeps/unix/sysv/linux/i386/Versions: Likewise.
	* sysdeps/unix/sysv/linux/arm/oldsetrlimit64.c: Remove.
	* sysdeps/unix/sysv/linux/i386/oldsetrlimit64.c: Likewise.
	* sysdeps/unix/sysv/linux/arm/setrlimit64.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setrlimit64.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/oldgetrlimit64.c: Call __new_getrlimit,
	so that setrlimit64@GLIBC_2.1 can report limits above 2G.
	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list (getrlimit,
	setrlimit): Remove syscall stubs, add normal syscalls.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list (setrlimit):
	Remove syscall stub.

2000-01-22  Andreas Jaeger  <aj@suse.de>

	* localedata/tst-locale.sh: Enable test for de_DE.437.

2000-01-23  Ulrich Drepper  <drepper@cygnus.com>

	* string/Versions: Export __strndup.

2000-01-23  Philip Blundell  <philb@gnu.org>

	Add basic support for RPC over IPv6:
	* sunrpc/rpc/svc.h (struct SVCXPRT): Use `struct sockaddr_storage'
	for remote address.
	(svcudp6_create, svcudp6_bufcreate, svctcp6_create): New
	prototypes.
	* sunrpc/rpc/clnt.h (clnttcp6_create, clntudp6_create,
	clntudp6_bufcreate): New prototypes.
	* inet/netinet/in.h (bindresport6): Likewise.
	* sunrpc/Makefile (routines): Add svc_tcp6, svc_udp6, bindrsvprt6.
	* sunrpc/Versions: Add svcfd6_create, svctcp6_create,
	svcudp6_create, svcudp6_bufcreate, svcudp6_enablecache,
	bindresvport6 for GLIBC_2.2.
	* sunrpc/rpc_main.c: Support `tcp6' and `udp6' transport types.
	* sunrpc/rpc_svcout.c: Likewise.
	* sunrpc/svc_tcp.c (rendezvous_request): Use memcpy rather than
	simple assignment when copying addresses.
	* sunrpc/svc_udp.c (cache_get): Likewise.
	* sunrpc/svc_unix.c (rendezvous_request): Likewise.
	* sunrpc/bindrsvprt6.c, sunrpc/clnt_tcp6.c, sunrpc/clnt_udp6.c,
	sunrpc/svc_tcp6.c, sunrpc/svc_udp6.c: New files.

2000-01-05  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/mmap64.S: Correct check for ENOSYS.

2000-01-23  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/i386/fxstat.c (__fxstat): Pass right
	parameter to fstat calls.

2000-01-18  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/generic/bits/socket.h
	(__ss_aligntype, struct sockaddr_storage): Make these like Linux
	version, replacing old type name `__ss_align'.

2000-01-05  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/generic/lseek64.c (__libc_lseek64): Renamed from __lseek64.
	(__lseek64, lseek64): Make these weak aliases for __libc_lseek64.
	* sysdeps/mach/hurd/lseek.c (__libc_lseek): Renamed from __lseek.
	(__lseek, lseek): Make these weak aliases for __libc_lseek.
	* sysdeps/mach/hurd/fcntl.c (__libc_fcntl): Renamed from __fcntl.
	(__fcntl, fcntl): Make these weak aliases for __libc_fcntl.
	* sysdeps/mach/hurd/open.c (__libc_open): Renamed from __open.
	(__open, open): Make these weak aliases for __libc_open.

	* sysdeps/generic/bits/socket.h (enum __socket_type): Remove
	trailing comma.
	(anonymous enum for MSG_*): Likewise.
	(anonymous enum for SO_*): Likewise.

2000-01-23  Ulrich Drepper  <drepper@cygnus.com>

	* string/bits/string2.h: Fix typo (__GNU_SOURCE -> __USE_GNU)
	(PR libc/1553).

2000-01-08  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/mach/hurd/setitimer.c (quantize_timeval): New function.
	(setitimer_locked): Use it to quantize the timer values.  Use
	quantized timer values to check if the timeout changed.

2000-01-22  Andreas Jaeger  <aj@suse.de>

	* sunrpc/rpc/svc.h: Fix description for svc_register.

2000-01-23  Mark Kettenis  <kettenis@gnu.org>

	* inet/rexec.c (rexec_af): Use SA_LEN instead of __libc_sa_len.

2000-01-22  Thorsten Kukuk  <kukuk@suse.de>

	* sunrpc/xdr_rec.c: Don't set frag_sent if no more data,
	fixes part 2 of bug 1549.
	* sunrpc/rpc_des.h: Remove unused defines.

2000-01-22  Mark Kettenis  <kettenis@gnu.org>

	* intl/Makefile ($(objpfx)msgs.h): Do $(make-target-directory) first.

2000-01-22  Thorsten Kukuk  <kukuk@suse.de>

	* sysdeps/unix/sysv/linux/Makefile (sysdep_headers): Remove sys/io.h.
	* sysdeps/unix/sysv/linux/alpha/Makefile: Add sys/io.h.
	* sysdeps/unix/sysv/linux/arm/Makefile: Likewise.
	* sysdeps/unix/sysv/linux/i386/Makefile: Likewise.
	* sysdeps/unix/sysv/linux/sys/io.h: Move from here ...
	* sysdeps/unix/sysv/linux/i386/sys/io.h: ... to here, add inb, outb
	and other inline functions for port access.
	* sysdeps/unix/sysv/linux/alpha/sys/io.h: Add prototypes for port
	access functions.

2000-01-23  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_simple.c: Fix two problems in UTF-8 decoder.
	Patch by Bruno Haible <haible@ilog.fr>.

2000-01-05  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/mach/hurd/errnos.awk: Rediddle to collect lines and print
	them all at the end, eliding the final comma.
	* sysdeps/mach/hurd/bits/errno.h: Regenerated.

2000-01-21  Ulrich Drepper  <drepper@cygnus.com>

	* intl/libintl.h: Add format_arg attributes to declarations of new
	functions.

	* intl/Makefile (routines): Add dcigettext, dcngettext, dngettxt,
	ngettext, and plural.
	(distribute): Add plural.y, po2test.sed, and tst-gettext.sh.
	(test-srcs): Add tst-gettext.
	(before-compile): Add $(objpfx)msgs.h.
	Add rules for plural.c and msgs.h generation and running tst-gettext.\
	* intl/Versions [GLIBC_2.2]: Add __dcngettext, dcngettext, dngettext,
	and ngettext.
	* intl/dcgettext.c: Move most code into dcigettext.c.  Add call
	dcigettext with appropriate parameters.
	* intl/dcigettext.c: New file.
	* intl/dcngettext.c: New file.
	* intl/dngettext.c: New file.
	* intl/ngettext.c: New file.
	* intl/gettextP.h (struct expression): Define.
	(struct loaded_domain): Add plural and nplurals members.
	Add prototypes for new internal functions.
	* intl/libintl.h: Declare new functions.  Add optimizations for them.
	* intl/loadinfo.h: Add new parameter to _nl_find_msg declaration.
	* intl/loadmsgcat.c (_nl_load_domain): Search for plural information in
	header entry and parse and store the expression.
	* intl/plural.y: New file.
	* intl/po2test.sed: New file.
	* intl/tst-gettext.c: New file.
	* intl/tst-gettext.sh: New file.
	* manual/message.texi: Document new interfaces.

	* intl/gettext.c: Call __dcgettext directly.

2000-01-20  Ulrich Drepper  <drepper@cygnus.com>

	* manual/getopt.texi (Using the getopt function): Fix description of
	return value for format string starting with '-' (PR libc/1551).
	Patch by Raúl Núñez de Arenas Coronado <dervishd@jazzfree.com>

	* sunrpc/clnt_perr.c (rpc_errlist): Fix index for RPC_PROGVERSMISMATCH.
	Patch by jens.moeller@westgeo.com (PR libc/1550).

	* locale/programs/ld-collate.c (struct element_t): Add wclast
	and compute it where necessary.
	(collate_output): Insert indirect references in the right order.

	* math/Makefile (tests): Add test-misc.
	* math/test-misc.c: New file.

2000-01-19  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/ieee754/ldbl-96/s_modfl.c: Correct handling of arguments
	with exponent >31 and < 63 (PR libc/1548).

	* locale/programs/ld-collate.c (output_weightwc): Return index
	measured in words, not bytes.  Don't write out words for ignored
	characters.
	(collate_output): Correct various problems with alignment in the
	output file.
	* locale/weight.h: Adjust for last change in ld-collate.c of adding
	alignment padding.

	* stdlib/strfmon.c: Don't report an error if final NUL is at the
	end of the buffer.  Set errno correctly if floating-point number
	would overflow buffer.

	* posix/regex.h: Update comment of RE_SYNTAX_POSIX_MINIMAL_EXTENDED.

	* locale/weight.h (findidx): Little optimization.  Correctly return
	offset in indirect table.
	* locale/programs/ld-collate.c (struct element_t): Add mblast
	and compute it where necessary.
	(insert_weights): Correctly handle missing weights in ellipsis
	expression.
	(handle_ellipsis): Correctly enqueue new element.
	(collate_output): Insert indirect references in the right order.

2000-01-18  Ulrich Drepper  <drepper@cygnus.com>

	* wcsmbs/mbrtowc.c: Create temporary state object if no output is
	written.
	* wcsmbs/mbsrtowcs.c: Likewise.
	* wcsmbs/wcrtomb.c: Likewise.
	* wcsmbs/wcsrtombs.c: Likewise.

	* wcsmbs/wcrtomb.c: Compute result correctly for successful call
	with s == NULL.

	* wcsmbs/mbsrtowcs.c: Compute return value correctly after change
	in gconv function.

	* wcsmbs/mbrtowc.c: Don't set errno if byte sequence is only
	incomplete but correct.

	* locale/programs/charmap.c: NUL-terminate names of generated
	entries for ellipsis.

2000-01-18  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/i386/lxstat.c: New file, handles 32bit UIDs.
	* sysdeps/unix/sysv/linux/i386/fxstat.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/xstat.c (__xstat): Move
	_STAT_VER_KERNEL handling up; don't save errno.
	* sysdeps/unix/sysv/linux/arm/fxstat.c: New file.
	* sysdeps/unix/sysv/linux/arm/lxstat.c: Likewise.
	* sysdeps/unix/sysv/linux/arm/xstat.c: Likewise.
	* sysdeps/unix/sysv/linux/m68k/fxstat.c: Likewise.
	* sysdeps/unix/sysv/linux/m68k/lxstat.c: Likewise.
	* sysdeps/unix/sysv/linux/m68k/xstat.c: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/fxstat.c: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/lxstat.c: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/xstat.c: Likewise.

2000-01-18  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/loop.c (COUNT_CONVERTED): Remove macro, comment, and all uses.
	Remove done variable and all uses.
	* iconv/skeleton.c: Update comment for *written modification.
	* iconv/gconv_int.h (__gconv): Update comment.
	Reported by Bruno Haible.

2000-01-18  Bruno Haible  <haible@ilog.fr>

	* posix/fnmatch.c (ISWCTYPE): New macro.
	(__wcschrnul): New function.
	(BTOWC): New macro. Define it instead of __btowc.
	(is_char_class) [!_LIBC]: Fix 'mstate_t' typo. Fix 2nd arg to
	wcsrtombs. Call wctype, not __wctype.
	* posix/fnmatch_loop.c (FCT): Use ISWCTYPE instead of __iswctype, and
	BTOWC instead of __btowc.

2000-01-18  Andreas Jaeger  <aj@suse.de>

	* inet/Versions: Add new functions added on 2000-01-17.

2000-01-18  Jakub Jelinek  <jakub@redhat.com>

	* dirent/dirent.h (getdentries): Correct prototype to use __off64_t.

2000-01-18  Ulrich Drepper  <drepper@cygnus.com>

	* timezone/antarctica: Update from tzdata2000a.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/backward: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/zone.tab: Likewise.

	* nscd/connections.c (dbs): Use
	PTHREAD_RWLOCK_WRITER_NONRECURSIVE_INITIALIZER_NP for .lock.
	Pretty printing.

	* nscd/hstcache.c (cache_addhst): Don't automatically add IPv6
	address.  Suggested by Philip Blundell.

	* posix/TESTS: Fix expected result for test cases with * with no
	leading expression.

	* sysdeps/unix/sysv/linux/fstatvfs.c: Move actual code in...
	* sysdeps/unix/sysv/linux/internal_statvfs.c: ...here.  New file.
	* sysdeps/unix/sysv/linux/statvfs.c: Don't use fstatvfs since the
	open call would require read permission.
	Patch by James Antill <james@and.org>.

	* sysdeps/unix/sysv/linux/Dist: Add internal_fnmatch.c.

	* inet/getnameinfo.c: Terminate host name for NI_NOFQDN.
	* sysdeps/posix/getaddrinfo.c: Correct modifications done for
	PR1515.  Patches by Hideaki YOSHIFUJI <yoshfuji@ecei.tohoku.ac.jp>.

	* posix/regex.h (RE_SYNTAX_POSIX_EXTENDED): Add RE_CONTEXT_INVALID_OPS.
	* posix/regex.c (regex_compile): Return appropriate errors for
	unterminated brace expressions.  Detect invalid characters
	in brace expressions.
	* posix/bits/posix2_lim.h: Define RE_DUP_MAX correctly.
	* sysdeps/posix/sysconf.c: Include regex.h.
	Reported by Geoff Clare <gwc@unisoft.com> (PR libc/1522).

2000-01-17  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/posix/getaddrinfo.c (gaih_local): If name is given and
	AI_NUMERICHOST flag is set, return an error.
	Patch by Hideaki YOSHIFUJI <yoshfuji@ecei.tohoku.ac.jp>.

	* inet/rcmd.c: Implement rcmd_af, rresvport_af, ruserok_af, and
	iruserok_af.
	* inet/rexec.c: Implement rexec_af.
	Patch by Hideaki YOSHIFUJI <yoshfuji@ecei.tohoku.ac.jp>.

	* resolv/netdb.h: Add declarations of rcmd_af, rexec_af, ruserok_af,
	and rresvport_af.

2000-01-17  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/bits/ipc.h: New file.
	* sysdeps/unix/sysv/linux/bits/sem.h: New file.
	* sysdeps/unix/sysv/linux/bits/shm.h: New file.
	* sysdeps/unix/sysv/linux/bits/msg.h: New file.
	* sysdeps/unix/sysv/linux/bits/alpha/ipc.h: Update for new ipc.
	* sysdeps/unix/sysv/linux/bits/alpha/sem.h: New file.
	* sysdeps/unix/sysv/linux/bits/alpha/shm.h: New file.
	* sysdeps/unix/sysv/linux/bits/alpha/msg.h: New file.
	* sysdeps/unix/sysv/linux/bits/sparc/ipc.h: New file.
	* sysdeps/unix/sysv/linux/bits/sparc/sem.h: New file.
	* sysdeps/unix/sysv/linux/bits/sparc/shm.h: New file.
	* sysdeps/unix/sysv/linux/bits/sparc/msg.h: New file.

	* sysdeps/unix/sysv/linux/msgctl.c (__old_msgctl):
	Renamed from msgctl.
	(__new_msgctl): New function.
	* sysdeps/unix/sysv/linux/semctl.c (__old_semctl):
	Renamed from semctl.
	(__new_semctl): New function.
	* sysdeps/unix/sysv/linux/shmctl.c (__old_shmctl):
	Renamed from shmctl.
	(__new_shmctl): New function.

	* sysdeps/unix/sysv/linux/msgget.c: Define __LIBC_IPC_INTERNAL.
	* sysdeps/unix/sysv/linux/msgrcv.c: Likewise.
	* sysdeps/unix/sysv/linux/semget.c: Likewise.
	* sysdeps/unix/sysv/linux/msgsnd.c: Likewise.
	* sysdeps/unix/sysv/linux/semop.c: Likewise.
	* sysdeps/unix/sysv/linux/shmat.c: Likewise.
	* sysdeps/unix/sysv/linux/shmdt.c: Likewise.
	* sysdeps/unix/sysv/linux/shmget.c: Likewise.

	* sysdeps/unix/sysv/linux/sparc/sparc64/semctl.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/msgctl.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/shmctl.c: New file.

	* sysdeps/unix/sysv/linux/Versions: Add msgctl, semctl, shmctl.

2000-01-17  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sparc32/seteuid.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/setegid.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/Dist: Remove setres[ug]id.
	* sysdeps/unix/sysv/linux/sparc/sparc32/mmap64.c: Kill warnings.
	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list: Define needed
	syscalls.

	* sysdeps/unix/sysv/linux/pwrite64.c: Use proper prototype.
	* sysdeps/unix/sysv/linux/truncate64.c: Likewise.

	* sysdeps/unix/sysv/linux/kernel-features.h: [gs]etres[ug]id are
	available on sparc since 2.3.39.

	* sysdeps/unix/sysv/linux/execve.c: Kill warnings.

2000-01-17  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/i386/chown.c (__syscall_chown): Use proper
	prototype.
	(__real_chown): Return EINVAL if owner or group are out of the range
	-1U .. 65534.
	* sysdeps/unix/sysv/linux/i386/lchown.c (__lchown): Likewise.
	* sysdeps/unix/sysv/linux/i386/fchown.c (__fchown): Likewise.
	* sysdeps/unix/sysv/linux/i386/setresuid.c (__setresuid): Return
	EINVAL if ruid, euid or suid are out of the range -1U .. 65534.
	* sysdeps/unix/sysv/linux/i386/setresgid.c (__setresgid): Similarly.
	* sysdeps/unix/sysv/linux/i386/setreuid.c (__setreuid): Simplify.
	* sysdeps/unix/sysv/linux/i386/setregid.c (__setregid): Likewise.
	* sysdeps/unix/sysv/linux/m68k/chown.c (__syscall_chown): Use proper
	prototype.
	Don't include non-existant header.
	(__chown): Return EINVAL if owner or group are out of the range
	-1U .. 65534.
	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list (setresuid,
	setresgid): Inherit standard linux/syscalls.list definitions.
	* sysdeps/unix/sysv/linux/sparc/sparc32/setresuid.c: Remove.
	* sysdeps/unix/sysv/linux/sparc/sparc32/setresgid.c: Remove.
	* sysdeps/unix/sysv/linux/syscalls.list (setresgid): Provide
	__setresgid symbol.

2000-01-17  Ulrich Drepper  <drepper@cygnus.com>

	* locale/iso-639.def: Update Hebrew, Yiddish, and Indonesian entry
	from 1989 change in ISO 639.

2000-01-12  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/xstatconv.c (xstat32_conv): New
	function; needed for 32bit uid support.

	* sysdeps/unix/sysv/linux/i386/xstat.c: New file, handles 32bit
	uids correctly.

2000-01-17  Ulrich Drepper  <drepper@cygnus.com>

	* intl/locale.alias: Add entries for galician.

	* locale/programs/ld-ctype.c (get_character): If tok_ucs4 found, first
	try to get sequence from charmap with Uxxxxxxxx name.
	(charclass_ucs4_ellipsis): Likewise.
	(charclass_charcode_ellipsis): Allow byte sequence missing.
	(read_writestring): Free allocated memory in case of an error.
	(set_class_defaults): Don't search repertoire map for wide character
	default values; we know it's UCS4.

	* locale/programs/repertoire.c (repertoire_find_value): Just return an
	error if no repertoire map was loaded.
	(repertoire_find_symbol): Likewise.
	(repertoire_find_seq): Likewise.

	* posix/fnmatch.c: Put internal_fnmatch in separate file.  Include
	twice, to define singlebyte and multibyte version.
	(fnmatch): Differentiate between singlebyte and multibyte locale and
	call appropriate internal function.
	* posix/fnmatch_loop.c: New file.
	* posix/Makefile (distribute): Add fnmatch_loop.c.

	* locale/programs/repertoire.c (repertoire_read): Don't print
	error message when repertoire map is missing.
	(repertoire_complain): Print error message for missing map, but only
	once.
	* locale/programs/repertoire.h (repertoire_complain): Add prototype.

	* locale/programs/linereader.c (get_string): Prefer getting names
	from charseq entries.  Try finding Uxxxxxxxx names in charmap
	before trying to map from repertoire.

2000-01-16  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/getgroups.c: Fix missing brace
	error in last change.
	* sysdeps/unix/sysv/linux/i386/setgroups.c: Likewise.

	* stdlib/longlong.h: Fix typo in last patch.

2000-01-12  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_32BITUIDS):
	Added for Linux 2.3.39+.

	* sysdeps/unix/sysv/linux/getresgid.c: Support 32bit UIDs and
	32bit GIDs.
	* sysdeps/unix/sysv/linux/getresuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/chown.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getgroups.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setegid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/seteuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setfsgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setfsuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setgroups.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setregid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setresgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setresuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setreuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setuid.c: Likewise.
	* sysdeps/unix/sysv/linux/setegid.c: Likewise.

	* sysdeps/unix/sysv/linux/arm/chown.c: New file.
	* sysdeps/unix/sysv/linux/arm/fchown.c: New file.
	* sysdeps/unix/sysv/linux/arm/geteuid.c: New file.
	* sysdeps/unix/sysv/linux/arm/getegid.c: New file.
	* sysdeps/unix/sysv/linux/arm/getuid.c: New file.
	* sysdeps/unix/sysv/linux/arm/getgid.c: New file.
	* sysdeps/unix/sysv/linux/arm/lchown.c: New file.
	* sysdeps/unix/sysv/linux/i386/fchown.c: New file.
	* sysdeps/unix/sysv/linux/i386/getegid.c: New file.
	* sysdeps/unix/sysv/linux/i386/geteuid.c: New file.
	* sysdeps/unix/sysv/linux/i386/getgid.c: New file.
	* sysdeps/unix/sysv/linux/i386/getuid.c: New file.
	* sysdeps/unix/sysv/linux/i386/lchown.c: New file.
	* sysdeps/unix/sysv/linux/m68k/chown.c: New file.
	* sysdeps/unix/sysv/linux/m68k/fchown.c: New file.
	* sysdeps/unix/sysv/linux/m68k/getegid.c: New file.
	* sysdeps/unix/sysv/linux/m68k/geteuid.c: New file.
	* sysdeps/unix/sysv/linux/m68k/getgid.c: New file.
	* sysdeps/unix/sysv/linux/m68k/getuid.c: New file.
	* sysdeps/unix/sysv/linux/m68k/lchown.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/chown.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/fchown.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/getegid.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/geteuid.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/getgid.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/getuid.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/lchown.c: New file.
	Based on a patch by Chris Wing <wingc@engin.umich.edu>.

2000-01-14  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sys/procfs.h: New file.

2000-01-13  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/generic/backtrace.c: Include signal.h which
	sigcontextinfo.h headers are used to expect.
	* sysdeps/unix/sysv/linux/sparc/sparc32/register-dump.h
	(register_dump): Fix a typo in the printout.
	Avoid using reg_window, so that asm/ptrace.h is not necessary.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sigcontextinfo.h
	(ADVANCE_STACK_FRAME): Likewise.

	* stdlib/longlong.h: Avoid using __sparc_v9__ ifdefs.
	* sysdeps/sparc/sparc32/bits/wordsize.h: Likewise.
	* sysdeps/sparc/sparc64/bits/wordsize.h: Likewise.

	* sysdeps/unix/sysv/linux/sparc/bits/fcntl.h: Include bits/wordsize.h
	to make it clear this file depends on __WORDSIZE.
	* sysdeps/unix/sysv/linux/ftruncate64.c (__have_no_truncate64):
	Renamed from have_no_truncate64.
	* sysdeps/unix/sysv/linux/truncate64.c (__have_no_truncate64):
	Likewise.

2000-01-16  Ulrich Drepper  <drepper@cygnus.com>

	* Makeconfig (rpath-dirs): Remove db2.
	(dbojdir): Remove variable.

	* locale/programs/locfile.h (handle_copy): Take repertoire map
	name as parameter, not pointer to repertoire structure.
	* locale/programs/ld-address.c: Change caller.
	* locale/programs/ld-ctype.c: Likewise.
	* locale/programs/ld-identification.c: Likewise.
	* locale/programs/ld-measurement.c: Likewise.
	* locale/programs/ld-messages.c: Likewise.
	* locale/programs/ld-monetary.c: Likewise.
	* locale/programs/ld-name.c: Likewise.
	* locale/programs/ld-numeric.c: Likewise.
	* locale/programs/ld-paper.c: Likewise.
	* locale/programs/ld-telephone.c: Likewise.
	* locale/programs/ld-time.c: Likewise.

2000-01-13  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/mmap64.S: Fix code generated if
	mmap2 is available when compiling but no at runtime.

2000-01-12  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/iso-ir-165.c: New file.
	* iconvdata/iso-ir-165.h: New file.
	* iconvdata/Makefile: Add rules to build libISOIR165.

	* Makefile (install): Correct passing -r parameter to ldconfig.

	* iconvdata/gconv-modules: Add aliases ISO-IR-199 and ISO-IR-203.
	Reported by Bruno Haible <haible@ilog.fr>.

2000-01-11  Andreas Schwab  <schwab@suse.de>

	* sysdeps/i386/fpu/libm-test-ulps: Adjust some epsilons.

2000-01-10  Thorsten Kukuk  <kukuk@suse.de>

	* nss/getent.c: Add ipv6 support for hosts.

2000-01-05  Philip Blundell  <pb@futuretv.com>

	* sysdeps/unix/sysv/linux/arm/Versions: Add getrlimit, setrlimit,
	getrlimit64, setrlimit64 for GLIBC_2.1.3.
	* sysdeps/unix/sysv/linux/arm/syscalls.list: Add oldgetrlimit,
	oldsetrlimit.
	* sysdeps/unix/sysv/linux/arm/oldsetrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/arm/oldgetrlimit64.c: Likewise.
	* sysdeps/unix/sysv/linux/arm/setrlimit64.c: Likewise.
	* sysdeps/unix/sysv/linux/arm/getrlimit64.c: Likewise.
	* sysdeps/unix/sysv/linux/arm/setrlimit.c: Likewise.
	* sysdeps/unix/sysv/linux/arm/getrlimit.c: Likewise.

	* sysdeps/unix/sysv/linux/arm/Makefile [subdir=resource]
	(sysdep_routines): Add oldgetrlimit64, oldsetrlimit64.
	[subdir=misc] (sysdep_headers): Add sys/elf.h.

2000-01-09  Andreas Jaeger  <aj@suse.de>

	* manual/install.texi (Tools for Compilation): Update required
	compiler version.
	(Configuring and compiling): Restore old comments about
	configparms; modify to reflect current usage.

2000-01-09  Philip Blundell  <philb@gnu.org>

	* sysdeps/posix/getaddrinfo.c (gaih_inet): Don't attempt name
	resolution if the hints included AI_NUMERICHOST.

2000-01-11  Andreas Schwab  <schwab@suse.de>

	* sysdeps/mips/__longjmp.c (__longjmp): Change call to abort into
	infinite loop to avoid pulling in stdio in the dynamic linker.
	* sysdeps/mips/mips64/__longjmp.c (__longjmp): Likewise.

2000-01-10  Andreas Jaeger  <aj@suse.de>

	* sysdeps/mips/dl-machine.h (elf_machine_matches_host): Follow
	change from 1999-10-07 to elf/elf.h and rename EM_MIPS_RS4_BE to
	EM_MIPS_RS3_LE.
	* sysdeps/mips/mips64/dl-machine.h: Likewise.

	* sysdeps/unix/sysv/linux/mips/sys/procfs.h: Remove greg_t,
	gregset_t, fpregset_t, and NGREG definitions.

	* sysdeps/mips/Implies: Add wordsize-32.

	* sysdeps/unix/sysv/linux/mips/bits/ioctl-types.h: Add missing
	int's.

	* sysdeps/unix/sysv/linux/mips/sys/acct.h: Remove K&R support, add
	missing int's.

	* sysdeps/unix/sysv/linux/mips/bits/errno.h: Remove K&R support.
	* sysdeps/unix/sysv/linux/mips/bits/ipc.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/sigaction.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/socket.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/sys/cachectl.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/sys/sysmips.h: Likewise.

2000-01-09  Philip Blundell  <philb@gnu.org>

	* sysdeps/arm/dl-machine.h (CLEAR_CACHE): System calls clobber R0.
	(dl_platform_init): Allow _dl_platform to be NULL.

	* sysdeps/unix/sysv/linux/arm/sysdep.h (UNDOARGS_5): Fix error in
	last change.

2000-01-08  Ulrich Drepper  <drepper@cygnus.com>

	* nscd/connections.c (handle_request): Handle systems without
	SO_PEERCRED.
	(nscd_run): Likewise.

2000-01-07  Andreas Jaeger  <aj@suse.de>

	Add support for Berkeley db 3.0.x and merge db support:
	* nss/nss_db/dummy-db.h (struct db30): New.
	(struct dbc30): New.
	Added DB30* flags.

	* nss/makedb.c: Move all database routines to db-open.c.
	(main): Adjust to interface changes.
	Load database early to initialize version dependend variables.

	* nss/db-open.c: Merge database routines from makedb.c.
	Define version dependend constansts as variables.
	(load_db): Check also for db 3.
	(internal_setent): Call dbopen.
	(db_cursor): New function from makedb; handles db 3 now.
	(dbopen): New function from makedb; handles db 3.

	* nss/nss_db/db-XXX.c: Use db_notfound since the value is
	different in different DB versions.

	* nss/nss_db/nss_db.h: Add version dependend constants as
	variables, add exportet interfaces from db-open.c.

	* nss/Makefile ($(objpfx)makedb): Link against db-open.

2000-01-07  Ulrich Drepper  <drepper@cygnus.com>

	* misc/error.c: Don't use `defined _LIBC', only `_LIBC'.
	Reported by Jim Meyering.

	* time/strftime.c: Pretty printing.

2000-01-07  Andreas Jaeger  <aj@suse.de>

	* manual/socket.texi (Host Names): Fix example.
	Reported by Marco Budde <budde@telos.de>.

2000-01-06  Ulrich Drepper  <drepper@cygnus.com>

	* localedata/Makefile (install-locales): Create locale directory
	if it does not exist.

	* locale/programs/charmap.c (charmap_read): Call lr_open here and
	not in parse_charmap.  Try also the directories on the I18NPATH.
	(parse_charmap): Change accordingly.

2000-01-05  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/Dist: Distribute oldgetrlimit64.c
	and oldsetrlimit64.c.

	* sysdeps/unix/sysv/linux/arm/Dist: Distribute sys/elf.h and
	sys/procfs.h.

	* manual/texinfo.tex: Updated from latest official version.

	* debug/Makefile (distribute): Add frame.h.

2000-01-05  Philip Blundell  <philb@gnu.org>

	* sysdeps/arm/frame.h: New file.
	* sysdeps/generic/frame.h: Likewise.
	* sysdeps/generic/segfault.c (struct layout): Delete definition;
	include the above file instead.
	* sysdeps/generic/backtrace.c (struct layout): Likewise.
	(__backtrace): Use ADVANCE_STACK_FRAME.
	* sysdeps/unix/sysv/linux/arm/sigcontextinfo.h
	(ADVANCE_STACK_FRAME): New macro.
	(GET_FRAME): Apply above to returned value.

	* sysdeps/unix/sysv/linux/arm/bits/armsigctx.h: Add `fault_address'.

2000-01-05  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/posix/getaddrinfo.c: Add support for SOCK_RAW.
	Patch by YOSHIFUJI Hideaki <yoshifuji@ecei.tohoku.ac.jp>.

	* io/ftw.c (process_entry): Cache object dev/inode only for
	directories (PR libc/1514).

2000-01-05  Andreas Schwab  <schwab@suse.de>

	* locale/programs/charmap.c (charmap_read): Fix typo.

2000-01-05  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/charset.c: Removed.

	* iconvdata/Makefile: Add rules for ISO-8859-16 module.
	* iconvdata/gconv-modules: Likewise.
	* iconvdata/iso8859-16.c: New file.

2000-01-05  Andreas Schwab  <schwab@suse.de>

	* iconv/iconv_prog.c (process_block): Add cast to avoid warning.

2000-01-05  Andreas Jaeger  <aj@suse.de>

	* intl/locale.alias: Add lithunian entry.
	Reported by Kestutis Kupciunas <kesha@soften.ktu.lt>, PR libc/1507.

2000-01-04  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/stringtrans.c: Removed.
	* locale/programs/stringtrans.h: Removed.
	* locale/programs/linereader.c: Remove #include of stringtrans.h.

	* locale/findlocale.c (_nl_find_locale): Don't try using mmap is
	_POSIX_MAPPED_FILES is not defined.

	* locale/findlocale.c (_nl_find_locale): Correct memory allocation
	for loc_name copy.

	* locale/setlocale.c (new_composite_name): Use _nl_C_name and
	_nl_POSIX_name instead of "C" and "POSIX" strings.

	* ctype/ctype-info.c (__ctype32_tolower): Use _nl_C_CTYPE_tolower.
	(__ctype32_toupper): Use _nl_C_CTYPE_toupper.
	* locale/C-ctype.c (_nl_C_LC_CTYPE_tolower32): Removed.  We can
	reuse the _nl_C_LC_CTYPE_tolower table.
	(_nl_C_LC_CTYPE_toupper32): Likewise.
	(_nl_C_LC_CTYPE): Use normal table to initialize tolower32 and
	toupper32 entries.

	* locale/C-ctype.c (_nl_C_LC_CTYPE_class): Clear ISNCTRL bit for
	characters >= 0x80.
	(_nl_C_LC_CTYPE_class32): Likewise.

	* rt/aio.h (struct aioinit): Replace one aio_reserved value with
	aio_idle_time.
	* rt/aio_misc.c: Rewrite to not automatically terminate worker threads
	after the operation is done.  Let them linger for a user-definable
	time.
	* rt/aio_cancel.c: Likewise.
	Patch by Willian M Shubert <william.m.shubert@intel.com>.

	* sysdeps/i386/i686/add_n.S: New file.

2000-01-02  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/ioperm.c: Use sysctl by preference
	to obtain port mapping information.  Avoid use of mprotect.

2000-01-04  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/sparc/bits/fcntl.h (O_LARGEFILE): Add
	definition from 2.3.36.

2000-01-04  Andreas Jaeger  <aj@suse.de>

	* nss/nss_db/dummy-db.h (struct db24): Add missing field flags.
	(struct db27): Add missing fields byteswapped, join and flags;
	remove wrong member handleq.
	(struct dbc27): Correct lock field.

	* nss/makedb.c: Remove __P.

2000-01-04  Andreas Jaeger  <aj@suse.de>

	* nss/nss_db/db-open.c (internal_setent): Check for db_open for
	success, fix a memory leak and clean up function.

2000-01-04  Ulrich Drepper  <drepper@cygnus.com>

	* Makefile (install): Pass $(install_root) to ldconfig.
	Patch by Akira YOSHIYAMA <yosshy@tkf.att.ne.jp>.

2000-01-03  Jakub Jelinek  <jakub@redhat.com>

	* soft-fp/op-1.h: Fix division for machines using not normalizing
	version of udiv_qrnnd in longlong.h.
	* soft-fp/sysdeps/mips/sfp-machine.h: Likewise.
	* soft-fp/sysdeps/mips/mips64/sfp-machine.h: Likewise.
	* soft-fp/sysdeps/sparc/sparc64/sfp-machine.h: Likewise.
	Patch by Eddie C. Dost <ecd@skynet.be>.

	* soft-fp/soft-fp.h (QItype, UQItype): New types used by longlong.h.

2000-01-03  Andreas Schwab  <schwab@suse.de>

	* sysdeps/generic/dl-sysdep.c: Initialize __libc_multiple_libcs,
	needed for change in common symbol handing in newer binutils.

2000-01-03  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/mmap64.S: Fix code for running on
	kernel without mmap2 syscall.

2000-01-03  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_MMAP2_SYSCALL,
	__ASSUME_TRUNCATE64_SYSCALL, __ASSUME_STAT64_SYSCALL): Define on
	ARM for kernels >= 2.3.35.

2000-01-03  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/mmap.S: Remove mmap64 alias.
	Optimise error handling a little.
	* sysdeps/unix/sysv/linux/arm/mmap64.S: New file.

2000-01-03  Andreas Jaeger  <aj@suse.de>

	* include/resolv.h: Remove declarations for __ns_name_ntop and
	__ns_name_unpack since those are available in resolv/arpa/nameser.h.

2000-01-03  Andreas Jaeger  <aj@suse.de>

	* time/tst-strptime.c (test_tm): Add tests for all fields of
	struct tm.

2000-01-03  Ulrich Drepper  <drepper@cygnus.com>

	* string/bits/string2.h (__strsep_g): Don't handle empty __S special.

2000-01-03  Andreas Jaeger  <aj@suse.de>

	* string/tester.c (test_strsep): Add one more test.

2000-01-03  Philip Blundell  <philb@gnu.org>

	* string/tester.c (test_mempcpy): New function.
	(main): Call it.
	(test_memcpy): Test unaligned cases too.

	* sysdeps/arm/bits/string.h (_HAVE_STRING_ARCH_mempcpy): Define.

	* sysdeps/arm/fpu/bits/mathdef.h: New file.

2000-01-02  Ulrich Drepper  <drepper@cygnus.com>

	* posix/Makefile (tests): Add tst-mmap.
	* posix/tst-mmap.c: New file.

	* sysdeps/unix/sysv/linux/i386/mmap64.S: Pop registers after mmap2
	call before handling error.

	* sysdeps/unix/sysv/linux/i386/mmap64.S: Handle unaligned offsets.
	* sysdeps/unix/sysv/linux/i386/mmap.S: Likewise.

	* iconvdata/ksc5601.c (__ksc5601_sym_to_ucs): Add mapping for
	0xa2e6 and 0xa2e7.
	(__ksc5601_sym_from_ucs): Add mapping back from U00AE and U20AC.
	* iconvdata/ksc5601.h (KSC5601_SYMBOL): Adjust for the two new
	mappings.
	* iconvdata/testdata/EUC-KR: Add Euro and Registered sign.
	* iconvdata/testdata/ISO-2022-KR: Likewise.

	* sysdeps/unix/sysv/linux/llseek.c: Formulate warning message stronger.

	* iconvdata/gconv-modules: Remove BALTIC.  It's the same as
	ISO-8859-13.
	* iconvdata/Makefile (distribute): Remove baltic.c.
	(modules): Remove BALTIC.
	(gen-8bit-gap-modules): Remove baltic.
	* iconvdata/baltic.c: Removed.

	* sysdeps/posix/system.c: Correct return value for LINE == NULL.

	* signal/Versions [GLIBC_2.1.3] (libc): Export __sigsuspend.

	* sysdeps/unix/sysv/linux/sparc/sparc32/mmap64.c (__mmap64): Fix
	typos (__ASSUME_TRUNCATE64_SYSCALL -> __ASSUME_MMAP2_SYSCALL).
	Reported by Philip Blundell <Philip.Blundell@pobox.com>.

	* nss/Makefile: Add rules to build makedb.
	* nss/nss_db/nss_db.h: Add definitions needed for makedb.
	* nss/nss_db/dummy-db.h: Likewise.
	* nss/makedb.c: New file.  Copied from file in db2, modified to not
	depend on being linked against libdb.

2000-01-01  Ulrich Drepper  <drepper@cygnus.com>

	* Makeconfig (all-subdirs): Remove db and db2.
	* db/*: Removed.
	* db2/*: Removed.

	* nss/nss_db/db-XXX.c: Move internal_setent and internal_endent
	functions from here...
	* nss/db-alias.c: ...and here...
	* nss/db-netgrp.c: ...and here...
	* nss/nss_db/db-open.c: ...to here.  New file.
	* nss/nss_db/dummy-db.h: New file.
	* nss/nss_db/nss_db.h: New file.
	* nss/Depend: Depend in dlfcn, not db2.
	* nss/Makefile (libnss_db-routines): Add db-open.
	(distribute): Add nss_db.h dummy-db.h.
	(libnss_db.so): Replace libdb dependency by $(libdl).
	Based on a patch by Zack Weinberg.

	* locale/programs/ld-ctype.c: Implement rest of transliteration
	definition parsing.
	* locale/programs/locfile-kw.gperf: New keyword translit_ignore.
	* locale/programs/locfile-token.h: Add tok_translit_ignore.

1999-12-31  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-collate.c (collate_output): Emit correct
	information for collation elements.
	Don't write over end of array idx.
	* posix/regex.c: Handle also collation elements at end of range.

	* posix/PTESTS: Fix a few typos.

	* posix/bits/posix2_lim.h: Remove _POSIX2_EQUIV_CLASS_MAX.  I have
	no idea where this came from.
	* sysdeps/posix/sysconf.c: Remove _POSIX2_EQUIV_CLASS_MAX handling.

1999-12-31  Andreas Jaeger  <aj@suse.de>

	* libio/strfile.h: Remove K&R compatibility.
	* locale/langinfo.h: Likewise.
	* locale/localeconv.c (localeconv): Likewise.
	* locale/programs/simple-hash.h: Likewise.
	* nis/nis_xdr.h: Likewise.
	* nis/rpcsvc/nislib.h: Likewise.
	* nis/rpcsvc/nis_callback.h: Likewise.
	* nis/rpcsvc/nis.h: Likewise.
	* nis/ypclnt.c: Likewise.
	* nscd/nscd_proto.h: Likewise.
	* nscd/nscd.c: Likewise.
	* sysdeps/generic/inttypes.h: Likewise.
	* sysdeps/gnu/utmpx.h: Likewise.

	* nis/nis_intern.h: Remove K&R compatibility; add missing ints.
	* sunrpc/rpcsvc/rusers.x: Likewise.

	* nis/rpcsvc/ypclnt.h: Remove K&R compatibility; reformat.

	* elf/dl-misc.c: Remove __libc_write prototype since it's already
	in include/unistd.h.
	* elf/dl-profile.c: Likewise.
	* elf/dl-load.c: Likewise for __libc_read.

	* elf/dl-profile.c: Remove __P.
	* elf/sprof.c: Likewise.
	* elf/sln.c: Likewise.

1999-12-31  Ulrich Drepper  <drepper@cygnus.com>

	* locale/langinfo.h: Add constants for wide character collation
	symbol table.
	* locale/categories.def: Add appropriate entries for collate symbol
	table entries.
	* locale/C-collate.c: Add initializers for new entries.
	Remove commented out code.
	* locale/elem-hash.h: New file.
	* locale/Makefile (distribute): Add elem-hash.h.
	* locale/programs/ld-collate.c: Implement output of collate symbol
	table.

	* posix/regex.c: Implement collation class handling.

1999-12-30  Ulrich Drepper  <drepper@cygnus.com>

	* posix/regex.c (regex_compile): Implement equivalence class handling.

1999-12-30  Geoffrey Keating  <geoffk@cygnus.com>

	* sysdeps/powerpc/dl-machine.c: Many minor formatting changes.
	(OPCODE_LWZU): New macro.
	(OPCODE_ADDIS_HI): New macro.
	(OPCODE_LIS_HI): New macro.
	(__elf_machine_runtime_setup): Change PLT code-generation scheme
	for thread safety even with very large PLTs, better efficiency,
	and to fix a cache-flushing bug.  Also support the Motorola
	8xx processors which have a different cache line size than all
	the others.
	(__elf_machine_fixup_plt): Likewise.
	(__process_machine_rela): Don't use elf_machine_fixup_plt.

1999-12-30  Ulrich Drepper  <drepper@cygnus.com>

	* wcsmbs/wcscoll.c: Use multibyte character version.
	* wcsmbs/wcsxfrm.c: Likewise.
	* string/strcoll.c: Prepare to be used for the wide character version.
	* string/strxfrm.c: Likewise.
	* locale/weightwc.h: New file.

1999-12-30  Geoff Keating  <geoffk@cygnus.com>

	* sysdeps/powerpc/fpu/bits/fenvinline.h (feraiseexcept): Remove
	the (void) casts as now feraiseexcept returns a value.
	(feclearexcept): Likewise.

	* sysdeps/unix/sysv/linux/powerpc/sysdep.h: Don't use '%r0',
	it interferes with the macros for AIX.

1999-12-30  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-collate.c (collate_finish): Always define
	weight for UNDEFINED if not defined by the user but don't complain
	unless it is needed in the multibyte character table.
	(collate_output): Add extra dummy elements in wide char tables in the
	same way done for multibyte.  Always output undefined entry in
	wide character table.

	* locale/Makefile (categories): Remove commented-out old definition.

	* locale/programs/ld-collate.c (insert_value): Don't pass wide string
	to new_element if the wide char is not valid.
	(handle_ellipsis): Likewise.
	(collate_read): It's no problem if the string in the collating element
	definition cannot be represented as multibyte or wide char string.

1999-12-13  Andreas Jaeger  <aj@suse.de>

	* resolv/resolv.h: Remove K&R compatibility.

	* resolv/res_libc.c: Move definition of _res after res_init,
	res_init should use the threaded specific context.

	* resolv/Makefile (+cflags): Remove -Wno-comment since it's not
	needed anymore.

1999-12-29  Ulrich Drepper  <drepper@cygnus.com>

	* locale/langinfo.h: Add constants for wide character collation data.
	* locale/categories.def: Add appropriate entries for collate entries.
	* locale/C-collate.c: Add initializers for new entries.
	* locale/programs/ld-collate.c: Implement output of wide character
	tables.

	* locale/programs/ld-ctype.c (allocate_arrays): Change algorithm to
	compute wide character table size a bit: it now gives up a bit of
	total table size for fewer levels.

	* soft-fp/*: Tons of new files to implement floating-point arithmetic
	in software.
	Contributed by Richard Henderson, Jakub Jelinek and others.

1999-12-29  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/alpha/sys/io.h: Don't include
	<asm/io.h>; remove K&R compatibility; add missing ints.

	* sysdeps/unix/sysv/linux/arm/sys/io.h: Remove K&R compatibility,
	add missing ints.

	* sysdeps/unix/sysv/linux/sys/io.h: Don't include <asm/io.h>.

1999-12-29  Andreas Jaeger  <aj@suse.de>

	* manual/getopt.texi (Using Getopt): Document ordering of options.

1999-12-29  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/llseek.c: Emit link time warning for llseek.
	Requested by Michael Deutschmann <michael@talamasca.wkpowerlink.com>.

1999-12-14  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/scsi/scsi.h: Add new defines from Linux
	2.3.32.

1999-12-28  Jakub Jelinek  <jakub@redhat.com>

	* elf/sprof.c (load_shobj): Fix error message.
	(generate_call_graph): Cast %*s length argument to int.
	* locale/programs/localedef.c (construct_output_path): Likewise.
	* locale/programs/ld-ctype.c (ctype_finish): Use proper format
	specifier.
	(ctype_class_new): Likewise.
	* locale/programs/ld-time.c (time_finish): Likewise.
	* sunrpc/svc_simple.c (register_rpc): Likewise.
	* nscd/connections.c (nscd_run, start_threads): Use long instead of
	int to avoid cast warnings.
	* sysdeps/ieee754/ldbl-128/e_atan2l.c (__ieee754_atan2l): Kill
	warning.
	* sysdeps/ieee754/ldbl-128/s_roundl.c (__roundl): Remove unused
	variable se.

	* time/strftime.c (my_strftime): Provide wide era string when
	requested.

	* sysdeps/sparc/fpu/bits/mathinline.h (__signbit, __signbitl):
	Separate into 32bit and 64bit versions.

1999-12-28  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile (modules): Add ISO-2022-CN.
	Add link rules for this module.
	(distribute): Add iso-2022-cn.c and cns11643l2.h.
	* iconvdata/cns11643l2.h: New file.
	* iconvdata/iso-2022-cn.c: New file.
	* iconvdata/gconv-modules: Add entries for ISO-2022-CN module.

	* iconvdata/cns11643l1.h (cns11643l1_to_ucs4): Make string argument
	unsigned.
	(ucs4_to_cns11643l1): Likewise.
	* iconvdata/euc-tw.c: Correct parameter passed to cns11643l1_to_ucs4.

	* iconvdata/iso-2022-kr.c: Remove unnecessary test from conversion
	loop to UCS4.
	Optimize recognition of escape sequences a bit.

	* sysdeps/unix/sysv/linux/alpha/syscalls.list: Remove oldgetrlimit
	and oldsetrlimit definitions.

1999-12-27  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/run-iconv-test.sh: Improve test output a bit to allow
	identifying errors more easily.

	* iconvdata/testdata/EUC-CN..UTF8: New file.
	* iconvdata/testdata/GBK..UTF8: New file.

	* iconvdata/gbk.c: In mapping from UCS4: don't crash for undefined
	mappings.  Fix last patch.
	* iconvdata/TESTS: Add GBK.
	* iconvdata/testdata/GBK: New file.

	* iconvdata/gb2312.h (ucs4_to_gb2312): Fix mapping of 0x0101,
	0x2312, and 0x2500..0x254b.
	* iconvdata/TESTS: Add EUC-CN.
	* iconvdata/testdata/EUC-CN: New file.

	* iconvdata/gbgbk.c: New file.
	* iconvdata/Makefile (modules): Add GBGBK.
	(distribute): Add gbgbk.c.
	* iconvdata/gconv-modules: Add entries for GBGBK modules.

	* iconvdata/euc-cn.c: Fix comment.

	* iconvdata/gbk.c: Optimize the switch statement in the conversion
	to GBK a bit.

	* locale/programs/charmap.c (charmap_new_char): Recognize special
	character names Uxxxx and Pxxxx and initialize the UCS4 value from
	the value of xxxx.

1999-12-17  Andreas Jaeger  <aj@suse.de>

	* stdlib/Versions: Export __cxa_atexit and __cxa_finalize.

1999-12-16  Mark Mitchell  <mark@codesourcery.com>

	* stdlib/Makefile (routines): Add cxa_atexit and cxa_finalize.
	* stdlib/exit.h (flavor): Add ef_cxa.
	(exit_function): Add cxa variant.
	* stdlib/exit.c (exit): Handle ef_cxa exit functions.
	* stdlib/cxa_atexit.c: New file.
	* stdlib/cxa_finalize.c: New file.

1999-12-27  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/gb2312.c: Update mapping of GB 0x212c from latest
	Unicode tables.

1999-12-26  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/fxstat64.c: Rename have_no_stat64 to
	__have_no_stat64.
	* sysdeps/unix/sysv/linux/lxstat64.c: Likewise.
	* sysdeps/unix/sysv/linux/xstat64.c: Likewise.

	* sysdeps/unix/sysv/linux/mips/bits/resource.h: Remove inclusion
	of <asm/resource.h>.

1999-12-26  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/syscalls.list: Remove vm86.  Set
	argument count for `syscall' to 7.
	* sysdeps/unix/sysv/linux/arm/sysdep.h: Add support for syscalls
	with more than five arguments.
	(DOARGS_5, UNDOARGS_5): Don't corrupt the calling stack frame.

1999-12-26  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-collate.c (collate_output): Don't start with empty
	extrapool and indirectpool obstacks since we need the offsets to be
	nonzero.
	(collate_read): Call load_locale, not find_locale.
	* locale/programs/ld-ctype.c (ctype_finish): If LC_CTYPE category
	wasn't defined in the file also initialize repertoire if possible.
	* locale/programs/ld-time.c (time_finish): Fix message string.
	* locale/programs/linereader.c: Cast parameters of lr_error to
	correct type to prevnet warning.
	* locale/programs/localedef.c (load_locale): New file.
	* locale/programs/localedef.h: Add its prototype.
	* locale/programs/repertoire.c (repertoire_new_char): Add missing
	parameters to lr_error call.

	* localedata/Makefile: Enable running tests again.
	* localedata/tests/test2.def: Adjust syntax to new specification.
	* localedata/tests/test3.def: Likewise.
	* localedata/tst-trans.sh: Redirect output of program into file.

	* string/strcoll.c: Fix many error in new implementation to make it
	pass (at least) the test suite.

	* locale/Makefile: Don't link localedef statically anymore.

	* locale/ld-collate.c (struct element_t): Add field is_character and
	use it to distinguish real character from collating elements and
	symbols.
	(new_element): Take new parameter to initialize is_character.  Change
	all callers.
	(handle_ellipsis): Use is_character field to make sure ellipsis is
	only used with characters.
	(collate_read): Fix reading of collating elements.

	* string/strxfrm.c: Correct loop end detection and memory access
	in the little optimization at the end.

	* locale/programs/ld-monetary.c (monetary_finish): Correct code to
	emit warnings.  Provide default value for mon_decimal_point.

	* locale/programs/ld-collate.c (collate_finish): Don't crash if this
	category wasn't defined.
	(collate_output): Likewise.

	* locale/programs/ld-address.c: Don't emit message about not defined
	category if be_quiet.
	* locale/programs/ld-ctype.c: Likewise.
	* locale/programs/ld-identification.c: Likewise.
	* locale/programs/ld-measurement.c: Likewise.
	* locale/programs/ld-messages.c: Likewise.
	* locale/programs/ld-monetary.c: Likewise.
	* locale/programs/ld-name.c: Likewise.
	* locale/programs/ld-numeric.c: Likewise.
	* locale/programs/ld-paper.c: Likewise.
	* locale/programs/ld-telephone.c: Likewise.
	* locale/programs/ld-time.c: Likewise.

	* locale/programs/locfile.c (write_locale_data): Correct memory
	allocation for fname.

1999-12-25  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-collate.c (read_directions): Fix a few messages.
	(collate_finish): Test that position is used in all sections for
	a level or in none.

	* string/strxfrm.c: Optimize a bit.  We don't need the highest bit
	of the index returned by findidx.

	* string/strcoll.c: Complete rewrite for new collate implementation.
	* wcsmbs/wcscoll.c: Don't use strcoll.c, implement dummy implementation
	locally.

	* locale/C-collate.c (_nl_C_LC_COLLATE): Add one more entry for the
	indirect table.
	* locale/langinfo.h: Likewise.
	* locale/categories.def: Likewise.  Remove reference to postload
	functions.
	* locale/lc-collate.c (_nl_postload_collate): Removed.  Also remove
	__collate_tablemb, __collate_weightmb, and __collate_extramb.
	* locale/localeinfo.h: Remove declaration for removed variables above.
	Remove prototype for _nl_get_era_entry.
	* locale/weight.h: Complete rewrite for new collate implementation.
	* locale/programs/ld-collate.c: Many changes to make output file
	usable in strxfrm/strcoll.
	* string/strxfrm.c: Complete rewrite for new collate implementation.
	* wcsmbs/wcsxfrm.c: Don't use strxfrm.c, implement dummy implementation
	locally.

1999-12-25  Shinya Hanataka  <hanataka@abyss.rim.or.jp>

	* locale/programs/ld-ctype.c (allocate_arrays): Correctly assign
	transformation values for chars >255.
	* wctype/wctrans.c: Return pointer unmodified.

1999-12-24  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/posix/system.c (__libc_system): Check whether command
	processor is available if LINE is NULL.  Don't return immediately
	if wait call returned with EINTR.
	Patches by Geoff Clare <gwc@unisoft.com> (PR libc/1497 and libc/1498).

1999-12-23  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-monetary.c (monetary_finish): Add cast to
	prevent warning.

	* locale/programs/ld-collate.c: Implement writing out multibyte
	collation data.

	* locale/setlocale.c (setlocale): Allow setting LC_COLLATE again.
	* locale/localeinfo.h: Declare variables only for currently implemented
	collate functionality.  Remove FORWARD_CHAR and ELLIPSIS_CHAR.
	* locale/lc-collate.c: Define variables only for currently implemented
	functionality.
	* locale/langinfo.h: Define symbols only for currently implemented
	functionality.
	* locale/categories.def: Define elements for currently implemented
	functionality.
	* locale/C-collate.c: Comment out definitions of arrays with symbol
	name definitions etc.
	(_nl_C_LC_COLLATE): Update for currently defined information.

	* intl/libintl.h: Remove dcgettext macro definition.
	* intl/gettextP.h: Declare _nl_msg_cat_cntr.

	* locale/iso-4217.def: Add NAD.  Remove a few obsolete entries.

	* sysdeps/generic/glob.c (glob): Pass alternate file access functions
	also in recursive call.  Patch by Joe Orton <joe@orton.demon.co.uk>.

1999-12-22  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/sparc/fpu/ftestexcept.c (fetestexcept): Use proper type
	for __fenv_stfsr argument.
	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list: Add
	truncate64, ftruncate64, fstat64, lstat64, stat64 and mmap2.
	Remove ugetrlimit.
	* sysdeps/unix/sysv/linux/sparc/sparc32/mmap64.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/kernel_stat.h
	(XSTAT_IS_XSTAT64): Define.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list: Add
	__libc_lseek64, __libc_pread, __libc_pread64, __libc_pwrite
	and __libc_pwrite64.
	Remove oldgetrlimit and oldsetrlimit.
	* sysdeps/unix/sysv/linux/sparc/sparc64/fxstat64.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/lxstat64.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/xstat64.c: New file.

	* sysdeps/unix/sysv/linux/fxstat64.c (__fxstat64): Pass the buf
	pointer to the syscall, not address of that pointer.
	* sysdeps/unix/sysv/linux/lxstat64.c (__lxstat64): Likewise.
	* sysdeps/unix/sysv/linux/xstat64.c (__xstat64): Likewise.
	(__syscall_stat64): Provide proper prototype.

	* sysdeps/unix/sysv/linux/ftruncate64.c (ftruncate64): Share
	has_no_truncate64 between truncate64 and ftruncate64.
	* sysdeps/unix/sysv/linux/truncate64.c (truncate64): Likewise.

	* sysdeps/unix/sysv/linux/kernel-features.h
	(__ASSUME_TRUNCATE64_SYSCALL, __ASSUME_MMAP2_SYSCALL,
	__ASSUME_STAT64_SYSCALL): Define on Sparc for kernels >= 2.3.35.

1999-12-22  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/alpha/syscalls.list: Add __libc_lseek64,
	__libc_pread, __libc_pread64, __libc_pwrite and __libc_pwrite64.

1999-12-21  Shinya Hanataka  <hanataka@abyss.rim.or.jp>

	* locale/lc-time.c: Extend structure era_entry.
	* locale/localeinfo.h: Likewise.
	* locale/lc-time.c: Handle '-' direction used in locale's era part
	properly.
	* time/strptime.c: Likewise.
	* time/strftime.c: Likewise.
	* locale/programs/ld-time.c: Consider negative values in era part
	of locale as B.C..
	* time/strptime.c (strptime_internal): Merged Yoshiyama's
	%E[CyY] implementation.

1999-12-21  Akira Yoshiyama  <yosshy@debian.or.jp>

	* time/strptime.c (strptime_internal): Fix segV bugs of a couple
	of recursive() call.
	* time/strptime.c (strptime_internal): Implement `%EC',`%Ey',`%EY'
	parsing.

1999-12-21  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/arm/dl-machine.c (CLEAR_CACHE): Fix a2 value.
	Patch by Scott Bambrough <scottb@netwinder.org>.

1999-12-21  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/pread.c: Fix typo.

	* include/unistd.h: Declare __libc_lseek.

1999-12-21  Andreas Jaeger  <aj@suse.de>

	* stdlib/longlong.h: Remove __P.

1999-12-21  Andreas Jaeger  <aj@suse.de>

	* sysdeps/powerpc/fpu/libm-ulps: New file.

1999-12-21  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h: Include	sys/ucontext.h
	and remove definitions for NREGS, greg_t, gregset_t, and fpregset_t.

1999-12-21  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/m68k/putpmsg.c: Add missing #.
	* sysdeps/unix/sysv/linux/mips/putpmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/putpmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/mips/getmsg.c: Add missing #.
	* sysdeps/unix/sysv/linux/mips/putmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/m68k/getmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/m68k/putmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/getmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/putmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/m68k/getpmsg.c: Add missing #.
	* sysdeps/unix/sysv/linux/mips/getpmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/getpmsg.c: Likewise.

1999-12-21  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/getmsg.c: New file.
	* sysdeps/unix/sysv/linux/i386/getpmsg.c: New file.
	* sysdeps/unix/sysv/linux/i386/putmsg.c: New file.
	* sysdeps/unix/sysv/linux/i386/putpmsg.c: New file.
	* sysdeps/unix/sysv/linux/m68k/getmsg.c: New file.
	* sysdeps/unix/sysv/linux/m68k/getpmsg.c: New file.
	* sysdeps/unix/sysv/linux/m68k/putmsg.c: New file.
	* sysdeps/unix/sysv/linux/m68k/putpmsg.c: New file.
	* sysdeps/unix/sysv/linux/mips/getmsg.c: New file.
	* sysdeps/unix/sysv/linux/mips/getpmsg.c: New file.
	* sysdeps/unix/sysv/linux/mips/putmsg.c: New file.
	* sysdeps/unix/sysv/linux/mips/putpmsg.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/getmsg.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/getpmsg.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/putmsg.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/putpmsg.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/syscalls.list: Add getpmsg and
	putpmsg.

1999-12-20  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/lxstat64.c: Include "kernel-features.h"
	before testing for __ASSUME_STAT64_SYSCALL.
	* sysdeps/unix/sysv/linux/fxstat64.c: Likewise.
	* sysdeps/unix/sysv/linux/xstat64.c: Likewise.

1999-12-20  Andreas Schwab  <schwab@suse.de>

	* manual/install.texi (Running make install): Clearify that
	install_root should be an absolute file name.

1999-12-20  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv.c (__gconv): Deal with outbuf being NULL.

	* iconv/iconv.c (iconv): Allow omitting output buffer if no input
	buffer is given to place conversion descriptor in initial state.
	* iconvdata/gconv-modules: Correct aliases CSPC850MULTILINGUAL and
	CSPC862LATINHEBREW.
	* iconvdata/gconv-modules: Add aliases GB2312 and csGB2312
	(according to IANA registry).
	Reported by Bruno Haible <haible@ilog.fr>.

	* iconvdata/johab.c: Correct completely broken conversion to JOHAB.

	* locale/categories.def: Remove most of the collate definitions.
	* locale/langinfo.h: Comment out corresponding definitions.
	* locale/programs/locale-spec.c (locale_special): Don't recognize the
	collate names yet.
	* locale/programs/ld-collate.c: Correct and optimize computation of
	weights.  Set up list of all definitions correctly.  Start writing
	function to generate output file.

	* locale/programs/ld-ctype.c (allocate_arrays): Increment counter in
	loop to compute default mapping.

1999-12-19  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/powerpc/pread.c: Define __libc_* variant for
	cancelation wrapper.
	* sysdeps/unix/sysv/linux/powerpc/pread64.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/pwrite.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/pwrite64.c: Likewise.

1999-12-19  Andreas Jaeger  <aj@suse.de>

	* sysdeps/generic/libc-start.c: Remove declaration of
	__libc_open.  Move declaration of __libc_fcntl to ...
	* include/fcntl.h: ...here.

	* include/unistd.h: Move __libc_open and __libc_open64 to ...
	* include/fcntl.h: ...here.

	* malloc/malloc.h (__attribute_malloc__): Only define if hasn't
	happened yet.

	* malloc/Versions: __libc_freeres was exported with glibc 2.1.3,
	rename label.

1999-12-19  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/bits/resource.h: Remove <asm/resource.h>
	inclusion.

1999-12-19  Andreas Jaeger  <aj@suse.de>

	* include/string.h: Mark __strndup with __attribute_malloc__.

1999-12-19  Ulrich Drepper  <drepper@cygnus.com>

	* locale/langinfo.h: Always define CODESET.
	(CODESET): Define also as macro.

	* stdio-common/printf_fp.c (__printf_fp): Allocate buffer to
	generate mantissa output in using malloc if it is larger than
	20000 characters.
	Reported by Jim Meyering <meyering@ascend.com>.

1999-12-18  Ulrich Drepper  <drepper@cygnus.com>

	* misc/sys/cdefs.h: Define __attribute_malloc__ according to
	available gcc version.
	* string/string.h: Mark strdup, __strdup, and strndup with
	__attribute_malloc__.
	* stdlib/stdlib.h: Make malloc, calloc, realloc, and valloc with
	__attribute_malloc__.
	* malloc/malloc.h: Make malloc, calloc, realloc, valloc, pvalloc,
	and __default_morecore with __attribute_malloc__.
	Provide default definition for __attribute_malloc__.
	* libio/stdio.h: Make tempnam with __attribute_malloc__.

	* include/unistd.h: Declare __libc_open64, __libc_lseek64,
	__libc_pread, __libc_pread64, __libc_pwrite, and __libc_pwrite64.
	* io/Versions: Export __libc_open64 and __libc_lseek64.
	* posix/Versions: Export __libc_pread, __libc_pread64, __libc_pwrite,
	and __libc_pwrite64.
	* sysdeps/generic/open64.c: Define __libc_* variant for cancelation
	wrapper.
	* sysdeps/generic/pread.c: Likewise.
	* sysdeps/generic/pread64.c: Likewise.
	* sysdeps/generic/pwrite.c: Likewise.
	* sysdeps/generic/pwrite64.c: Likewise.
	* sysdeps/posix/open64.c: Likewise.
	* sysdeps/posix/pread.c: Likewise.
	* sysdeps/posix/pread64.c: Likewise.
	* sysdeps/posix/pwrite.c: Likewise.
	* sysdeps/posix/pwrite64.c: Likewise.
	* sysdeps/unix/sysv/linux/llseek.c: Likewise.
	* sysdeps/unix/sysv/linux/pread.c: Likewise.
	* sysdeps/unix/sysv/linux/pread64.c: Likewise.
	* sysdeps/unix/sysv/linux/pwrite.c: Likewise.
	* sysdeps/unix/sysv/linux/pwrite64.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/pread.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/pread64.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/pwrite.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/pwrite64.c: Likewise.

	* sysdeps/posix/open64.c: Help gcc generating better code.

	* sysdeps/generic/libc-start.c (check_one_fd): Use __libc_open
	instead of __open.

1999-12-11  H.J. Lu  <hjl@gnu.org>

	* sysdeps/generic/libc-start.c (check_one_fd): Use __libc_fcntl
	instead of __fcntl.

1999-12-18  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/isiri-3342.c: New file.
	* iconvdata/Makefile (modules): Add ISIRI-3342.
	(distribute): Add isiri-3342.c.
	(gen-8bit-gap-modules): Add isiri-3342.
	* iconvdata/gconv-modules: Add entries for ISIRI-3342.

	* malloc/Versions: Export __libc_freeres for GLIBC_2.1.

	* sysdeps/unix/sysv/linux/i386/setrlimit.c: Declare local variable
	result if necessary.

	* sysdeps/unix/sysv/linux/i386/bits/resource.h: Don't depend on the
	unreliable kernel headers.
	* sysdeps/unix/sysv/linux/bits/resource.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/resource.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/resource.h: New file.
	* sysdeps/unix/sysv/linux/mips/bits/resource.h: New file.

1999-12-18  Andreas Jaeger  <aj@suse.de>

	* config.make.in (datadir): Added.
	Closes PR libc/1491. Patch by dervishd@jazzfree.com.

1999-12-18  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/ftruncate64.c (ftruncate64): Save and
	set errno.
	* sysdeps/unix/sysv/linux/truncate64.c (truncate64): Likewise.

1999-12-18  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/fxstat64.c: Rewrite to use fstat64
	syscall if available.
	* sysdeps/unix/sysv/linux/lxstat64.c: Likewise for lstat64.
	* sysdeps/unix/sysv/linux/xstat64.c: Likewise for stat64.

	* sysdeps/unix/sysv/linux/kernel-features.h
	(__ASSUME_STAT64_SYSCALL): New.

1999-12-17  Scott Bambrough  <scottb@netwinder.org>

	* sysdeps/arm/dl-machine.h (CLEAR_CACHE): New macro to force a
	cache flush.
	* elf/dl-reloc.c (_dl_relocate_object): Add call to flush cache
	after .text segment fixups.

1999-12-16  Andreas Jaeger  <aj@suse.de>

	* rt/aio.h: Remove erroneous __restrict declarations.

1999-12-18  Ulrich Drepper  <drepper@cygnus.com>

	* scripts/rellns-sh: Find pwd program also in /usr/bin and let shell
	do the job if it is there neither.
	Patch by David R. Conrad <drc@adni.net> (PR libc/1485).

1999-12-16  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/bits/nan.h (NAN): Rename union to avoid
	duplicate definition with function __nan.
	Closes PR libc/1487 reported by <diana@kai.com>.

1999-12-17  Ulrich Drepper  <drepper@cygnus.com>

	* string/bits/string2.h (__strsep): Help gcc optimizing string access.

	* locale/programs/ld-collate.c: Implement handling of absolute
	ellipsis.  Parsing of file and constructing the internal data
	structures should now be complete.
	(collate_finish): Start adding support to generate the data
	structures which are written out to the file.

	* intl/dcgettext.c: Rewrite to handle caching of previous results here
	instead of in the dcgettext macro.
	* intl/libintl.h (dcgettext): Don't define for systems using this
	glibc or systems with tsearch.

	* sysdeps/generic/mathdef.h: Protect definitions for math.h
	against double inclusion.
	* sysdeps/alpha/fpu/bits/mathdef.h: Likewise.
	* sysdeps/i386/fpu/bits/mathdef.h: Likewise.
	* sysdeps/m68k/fpu/bits/mathdef.h: Likewise.
	* sysdeps/powerpc/fpu/bits/mathdef.h: Likewise.

	* sysdeps/i386/fpu/libm-test-ulps: Add more deltas (are mobile PIIs
	that different?).

1999-12-17  Andreas Jaeger  <aj@suse.de>

	* rt/aio.h (struct aiocb64): Add member __next_prio to sync the
	struct with aiocb.

	* rt/Makefile (tests): Added tst-aio64.
	Added dependency rules for tst-aio64.

	* rt/tst-aio64.c: New file, copied from tst-aio.c and changed for
	64bit tests.

1999-12-15  Thorsten Kukuk  <kukuk@suse.de>

	* sysdeps/unix/sysv/linux/alpha/oldgetrlimit64.c: Removed.
	* sysdeps/unix/sysv/linux/alpha/oldsetrlimit64.c: Removed.
	* sysdeps/unix/sysv/linux/bits/resource.h: Change RLIM_INFINITY back to
	old value (signed long).
	* sysdeps/unix/sysv/linux/i386/bits/resource.h: New, with unsigned
	long RLIM_INFINITY.
	* sysdeps/unix/sysv/linux/getrlimit.c: Moved from here to ...
	* sysdeps/unix/sysv/linux/i386/getrlimit.c: ... here.
	* sysdeps/unix/sysv/linux/getrlimit64.c: Moved from here to ...
	* sysdeps/unix/sysv/linux/i386/getrlimit64.c: ... here.
	* sysdeps/unix/sysv/linux/oldgetrlimit64.c: Moved from here to ...
	* sysdeps/unix/sysv/linux/i386/oldgetrlimit64.c: ... here.
	* sysdeps/unix/sysv/linux/oldsetrlimit64.c: Moved from here to ...
	* sysdeps/unix/sysv/linux/i386/oldsetrlimit64.c: ... here.
	* sysdeps/unix/sysv/linux/setrlimit.c: Moved from here to ...
	* sysdeps/unix/sysv/linux/i386/setrlimit.c: ... here.
	* sysdeps/unix/sysv/linux/setrlimit64.c: Moved from here to ...
	* sysdeps/unix/sysv/linux/i386/setrlimit64.c: ... here.
	* sysdeps/unix/sysv/linux/sparc/bits/resource.h: New.
	* sysdeps/unix/sysv/linux/sparc/sparc64/oldgetrlimit64.c: Removed.
	* sysdeps/unix/sysv/linux/sparc/sparc64/oldsetrlimit64.c: Removed.

1999-12-17  Andreas Jaeger  <aj@suse.de>

	* elf/ldconfig.c: Add new option -l to manualy link shared
	libraries.
	(options): Added option.
	(parse_opt): Set option.
	(main): Handle option.
	(manual_link): New function.

1999-12-17  Thorsten Kukuk  <kukuk@suse.de>

	* string/bits/string2.h: Fix patch from 1999-12-07.

1999-12-16  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/strsep.c: If delim string has only one character
	don't run over end of string.

	* locale/programs/ld-collate.c (insert_weights): Also update next
	pointer of last cursor element.
	(insert_value): Return nonzero value if nothing got inserted.
	(handle_ellipsis): Don't do anything if to-value cannot be inserted.

1999-12-10  Jakub Jelinek  <jakub@redhat.com>

	* stdlib/longlong.h (__sparc_v9__): Use %rDIGIT instead of %DIGIT
	where appropriate.

1999-12-10  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sparc64/sigaction.c (__sigaction):
	Copy sa_flags into kernel sigaction structure.

1999-12-14  Andreas Jaeger  <aj@suse.de>

	* string/tester.c (test_strsep): More tests for access beyond
	the final NUL.  The first two tests come from PR libc/1486 by
	martinea@iro.umontreal.ca.

1999-12-14  Thorsten Kukuk  <kukuk@suse.de>

	* nis/ypclnt.c: Correct handling of cached client handles.
	(__xdr_ypresp_all): Call callback function for errors, too,
	like Solaris does.
	* nis/nss_compat/compat-grp.c: Make sure errno is always set correct.
	* nis/nss_compat/compat-initgroups.c: Likewise.
	* nis/nss_compat/compat-spwd.c: Likewise.
	* nis/nss_nis/nis-alias.c: Likewise.
	* nis/nss_nis/nis-ethers.c: Likewise.
	* nis/nss_nis/nis-grp.c: Likewise.
	* nis/nss_nis/nis-hosts.c: Likewise.
	* nis/nss_nis/nis-netgrp.c: Likewise.
	* nis/nss_nis/nis-publickey.c: Likewise.
	* nis/nss_nis/nis-service.c: Likewise. Also use services.byservicename
	Map if available, optimize query if name/port and protocol is known.

1999-12-12  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-collate.c (collate_read): Make symbolic
	ellipsis work.  Remove old and unused code.

1999-12-11  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-collate.c (collate_read): Implement
	reorder-section handling.

1999-12-10  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-collate.c: Implement "copy" in LC_COLLATE.

	* locale/programs/ld-collate.c (collate_read): Add handling of
	reorder-after.

	* locale/programs/ld-collate.c: Many changes to implement parsing
	of collation definition (still not complete).

1999-12-09  Andreas Jaeger  <aj@suse.de>

	* nis/nss_compat/compat-pwd.c (internal_getpwuid_r): Always set
	errno to ENOENT when returning NSS_STATUS_NOTFOUND.
	Reported by Christian Starkjohann <cs@obdev.at>.

1999-12-09  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/fpu/libm-test-ulps: Added some ulps.

1999-12-09  Jakub Jelinek  <jakub@redhat.com>

	* stdlib/longlong.h: Update from latest egcs version.

	* sysdeps/sparc/fpu/fegetenv.c: Add semicolons.

	* sysdeps/unix/sysv/linux/bits/errno.h (__errno_location): __THROW
	has to preceede __attribute__, otherwise g++ barfs.

	* sysdeps/unix/sysv/linux/sparc/sys/ptrace.h: Make things compile
	on sparc64-*-linux.

	* sysdeps/unix/sysv/linux/sparc/sparc64/register-dump.h: Changed to
	use sigcontext.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sigcontextinfo.h: Likewise.

1999-12-05  Wolfram Gloger  <wg@malloc.de>

	* malloc/malloc.c (arena_get2): If generating a new arena fails,
	try to generate a minimal one and hope for mmap_chunk() to succeed
	later.

1999-11-07  Wolfram Gloger  <wg@malloc.de>

	* malloc/thread-m.h [NO_THREADS]: The mutex_* macros now let
	mutex_t work as an `in-use' flag even without threads.
	* malloc/malloc.c (USE_ARENAS): New feature flag, controls support
	for multiple arenas separately from NO_THREADS.
	(mALLOc, chunk_realloc, mEMALIGn, cALLOc) [USE_ARENAS]: try to
	fall back to an mmap()ed arena when sbrk() has failed.

1999-12-09  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/Versions: Add getrlimit, setrlimit,
	getrlimit64, setrlimit64 for GLIBC_2.1.3.
	* sysdeps/unix/sysv/linux/i386/Versions: Add getrlimit, setrlimit,
	getrlimit64, setrlimit64 for GLIBC_2.1.3.
	* sysdeps/unix/sysv/linux/i386/Makefile: Add rules for
	oldgetrlimit and oldsetrlimit.
	* sysdeps/unix/sysv/linux/i386/syscalls.list: Add oldgetrlimit and
	oldsetrlimit.
	* sysdeps/unix/sysv/linux/Makefile: Move oldgetrlimit and
	oldsetrlimit rules into 32-bit arch subdirs.
	* sysdeps/unix/sysv/linux/syscalls.list: Likewise.

	* locale/programs/ld-collate.c (insert_value): If this is the
	first symbol the cursor can be the same as the next pointer.

1999-12-08  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-ctype.c (ctype_output): Correct sizes of mapping
	arrays.
	(allocate_arrays): Allocate memory for map32.  Correctly install
	default values in it and install defined mappings.

	* locale/programs/ld-monetary.c (monetary_finish): Provide default
	value for mon_grouping.

	* elf/readlib.c: Include a.out.h last since the Linux/Alpha
	headers are not clean enough.

	* sysdeps/unix/sysv/linux/getrlimit.c: Remove K&R compatibility.

	* sysdeps/unix/sysv/linux/kernel-features.h: Define
	__ASSUME_TRUNCATE64_SYSCALL and __ASSUME_MMAP2_SYSCALL for 2.3.31
	on x86.
	* sysdeps/unix/sysv/linux/ftruncate64.c: New file.
	* sysdeps/unix/sysv/linux/truncate64.c: New file.
	* sysdeps/unix/sysv/linux/i386/mmap.S: Allow using mmap2.
	* sysdeps/unix/sysv/linux/i386/mmap64.S: New file.

	* ctype/Versions: Add __ctype32_tolower and __ctype32_toupper.
	* ctype/ctype-info.c: Define __ctype32_tolower and __ctype32_toupper.
	* locale/C-ctype.c: Add _nl_C_LC_CTYPE_toupper32 and
	_nl_C_LC_CTYPE_tolower32 tables.
	Don't compile it names of 14652 classes and maps.
	* locale/langinfo.h: Define _NL_CTYPE_TOUPPER32 and
	_NL_CTYPE_TOLOWER32.
	* locale/lc-ctype.c (_nl_postload_ctype): Initialize __ctype32_toupper
	and __ctype32_tolower.
	* locale/programs/ld-ctype.c (struct locale_ctype_t): Add map32.
	(ctype_output): Write out map32 values.
	(allocate_arrays): Compute mapping tables correctly.
	* wctype/wcfuncs.c (towlower): Use __ctype32_tolower.
	(towupper): Use __ctype32_toupper.
	* wctype/wctype.h: Optimize towupper and towlower for values < 256.

	* locale/programs/ld-ctype.c (set_class_defaults): Correctly
	determine tolower mapping for 8bit table if the tolower keyword is
	not given.

	* sysdeps/posix/getaddrinfo.c (gaih_inet): Don't fail if host has
	only IPv6 address.  Reported by Artur Frysiak <wiget@pld.org.pl>.

1999-12-07  Jakub Jelinek  <jakub@redhat.com>

	* string/bits/string2.h (__memset_gc, __mempcpy_small, __strcpy_small,
	__stpcpy_small): Cast switch expressions to int to shut up compiler
	warnings.

1999-12-07  Scott Bambrough <scottb@netwinder.org>

	* sysdeps/arm/dl-machine.h (elf_machine_rel): Fixup R_ARM_PC24
	relocs if possible.

1999-12-06  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/setrlimit.c: First find out wether the
	ugetrlimit syscall exists.

	* sysdeps/unix/sysv/linux/getrlimit.c: Only put versions on
	exported symbols.
	* sysdeps/unix/sysv/linux/setrlimit.c: Likewise.

1999-12-07  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/ansi_x3.110.c (from_ansi_x3_110): Don't increment
	pointers if character is illegal.
	Reported by Bruno Haible <haible@ilog.fr>.

	* iconv/gconv_db.c (gen_steps): Set __counter initialy to 1.
	(increment_counter): New function.  Broken out of find_derivation.
	(find_derivation): No need for a lock.  Increment counter only when
	the derivation was already available.
	* iconv/gconv_dl.c: Add debugging functions.
	(known_compare): We have to use strcmp.
	Reported by Bruno Haible <haible@ilog.fr>.

1999-12-06  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/sami-ws2.c (CHARSET_NAME): Fix typo.
	* iconvdata/iso_2033.c (CHARSET_NAME): Fix typo.
	* iconvdata/ecma-cyrillic.c (CHARSET_NAME): Fix typo.
	* iconvdata/gconv-modules: Correct ISO646-PT2 alias.  Add
	SHIFT_JIS alias.
	Reported by Bruno Haible <haible@ilog.fr>.

	* locale/programs/xstrdup.c: It's _LIBC, not __LIBC.

1999-12-03  Andreas Jaeger  <aj@suse.de>

	* nss/getXXbyYY.c: Include <resolv.h>
	(FUNCTION_NAME): Use res_ninit instead of res_init.

	* nss/getXXbyYY_r.c [NEED__RES]: Include <resolv.h> for _res
	declaration and prototypes.
	Remove extra _res declaration.
	(INTERNAL): Use thread aware res_ninit function.

	* inet/gethstbyad_r.c: Include <resolv.h>.

	* resolv/res_data.c: Update from Bind 8.2.2-P5.  Moved res_init to
	res_libc.c.  Disabled unneeded functions.

	* resolv/res_libc.c: New file.

	* Versions.def: Add version GLIBC_2.2 for libpthread.
	Add versions GLIBC_2.1 and GLIBC_2.2 for libresolv.

	* include/resolv.h: Add internal interfaces.

	* resolv/Makefile (routines): Add new files.
	(libresolv-routines): Likewise.
	(distribute): Likewise.

	* resolv/gethnamaddr.c: Use thread safe resolver functions.
	* resolv/nss_dns/dns-host.c: Likewise.
	* resolv/nss_dns/dns-network.c: Likewise.

	* resolv/arpa/nameser.h: Update from Bind 8.2.2-P5.
	* resolv/nsap_addr.c: Likewise.
	* resolv/res_comp.c: Likewise.
	* resolv/res_debug.c: Likewise.
	* resolv/res_init.c: Likewise.
	* resolv/res_mkquery.c: Likewise.
	* resolv/res_query.c: Likewise.
	* resolv/res_send.c: Likewise.
	* resolv/resolv.h: Likewise.

	* resolv/Versions: Add __res_state and __res_ninit with version
	GLIBC_2.2 to libc.
	Add new interfaces with version GLIBC_2.2 to libresolv.

	* resolv/Banner: Update.

	* include/arpa/nameser_compat.h: New file.

	* resolv/ns_name.c: New file from Bind 8.2.2-P5.
	* resolv/ns_netint.c: Likewise.
	* resolv/ns_parse.c: Likewise.
	* resolv/ns_print.c: Likewise.
	* resolv/ns_samedomain.c: Likewise.
	* resolv/ns_ttl.c: Likewise.
	* resolv/arpa/nameser_compat.h: Likewise.
	* resolv/res_debug.h: Likewise.

	Some patches are based on work done by Adam D. Bradley
	<artdodge@cs.bu.edu>.

1999-11-30  Andreas Jaeger  <aj@suse.de>

	Add ldconfig:
	* elf/Makefile (extra-objs): Added ldconfig-modules.
	(ldconfig-modules): New.
	Added vpath for xstrdup and xmalloc.
	Check for use-ldconfig instead of has-ldconfig.
	($(objpfx)ldconfig): New rule with dependencies.
	(distribute): Add new files.

	* sysdeps/unix/sysv/linux/sparc/readelflib.c: New file,
	developed together with Jakub Jelinek <jakub@redhat.com>.
	* sysdeps/generic/readelflib.c: Likewise.

	* elf/cache.c: New file.
	* elf/ldconfig.c: New file.
	* elf/ldconfig.h: New file.
	* elf/readlib.c: New file.

	* Makefile (install): Remove flag -d in ldconfig call.

	* configure.in: Rename has_ldconfig to use_ldconfig, set it to no
	by default.

	* config.make.in (has-ldconfig): Renamed to use-ldconfig, changed
	comment.

	* sysdeps/unix/sysv/linux/configure.in: Remove check for ldconfig,
	set always use_ldconfig instead.

1999-12-03  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/bits/stropts.h: Update with LiS types and
	values.  Patch by David Grothe <dave@gcom.com>.

	* sysdeps/unix/sysv/linux/bits/types.h (__t_scalar_t, __t_uscalar_t):
	Make long types.
	* sysdeps/unix/sysv/linux/alpha/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/types.h: Likewise.

1999-12-02  Akira Yoshiyama  <yosshy@debian.or.jp>

	* locale/lc-time.c (_nl_get_era_entry): Separate eras
	initialization as _nl_init_era_entry().
	* locale/lc-time.c (_nl_get_era_nf_entry): New function.
	* locale/lc-time.c (_nl_get_era_year_offset): New function.
	* locale/lc-time.c (_nl_get_era_year_start): New function.
	* locale/localeinfo.h: Declare new functions.
	Define ERA_NAME_FORMAT_MEMBERS, ERA_M_NAME, ERA_M_FORMAT, ERA_W_NAME,
	and ERA_W_FORMAT.

1999-12-02  Ulrich Drepper  <drepper@cygnus.com>

	* posix/regex.c (SYNTAX): Make more portable.
	Patch by Aharon Robbins <arnold@skeeve.com>.

1999-11-18  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd/hurdsig.c (_hurdsig_init): If __hurd_threadvar_stack_mask is
	nonzero, use cthread_fork to create the signal thread.
	* hurd/msgportdemux.c (_hurd_msgport_receive): Initialize
	_hurd_msgport_thread here (to self).
	* sysdeps/mach/hurd/fork.c (__fork): When __hurd_sigthread_stack_end
	is zero, instead compute child signal thread's starting SP from parent
	signal thread's current SP and the threadvar_stack variables.
	* hurd/Versions (GLIBC_2.1.3): Add cthread_fork, cthread_detach.
	These are now referenced weakly by _hurdsig_init.

	* hurd/report-wait.c (_S_msg_report_wait): Fix typo:
	&_hurd_itimer_thread not &_hurd_msgport_thread.

1999-10-01  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd/hurdfchdir.c (_hurd_change_directory_port_from_fd): Rewrite
	without HURD_DPORT_USE to clean up warnings.
	* hurd/dtable.c (get_dtable_port): Likewise.

	* hurd/hurdioctl.c (rectty_dtable): Renamed to install_ctty.
	(install_ctty): Do the changing of the cttyid port cell here, inside
	the critical section while we holding the dtable lock.
	(_hurd_setcttyid, tiocsctty, tiocnotty): Use that instead of changing
	the port cell and calling rectty_dtable.
	(_hurd_locked_install_cttyid): New function, split out of install_ctty.
	(install_ctty): Use it inside a critical section, with the lock held.
	* sysdeps/mach/hurd/setsid.c (__setsid): Use
	_hurd_locked_install_cttyid to effect the cttyid and dtable changes
	after proc_setsid, having held the dtable lock throughout.
	* hurd/dtable.c (ctty_new_pgrp): With the dtable lock held, check the
	cttyid port for null and bail out early if so.  The dtable lock
	serializes us after any cttyid change and its associated dtable update.

1999-11-14  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/mach/hurd/nfs/nfs.h: New file, empty but for comments.
	Its presence lets librpcsvc compile ok.  This from Mark Kettenis.
	We don't install this file for users.
	* sysdeps/mach/hurd/Dist: Add it.
	* sysdeps/mach/hurd/Makefile [$(subdir) = sunrpc] (sysdep_headers):
	Append nfs/nfs.h here.

1999-12-01  Andreas Jaeger  <aj@suse.de>

	* sysdeps/generic/if_index.c (__protocol_available): Add missing
	int for parameter.

	* stdio/stdio.h: Fix typo.
	Patches by Marcus G. Daniels <mgd@santafe.edu>.

1999-12-01  Andreas Jaeger  <aj@suse.de>

	* scripts/test-installation.pl (installation_problem): Filter out
	libpthread_db.

1999-12-01  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/alpha/bits/types.h: Fix signedness of
	__rlim_t and __rlim64_t.
	* sysdeps/unix/sysv/linux/mips/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/types.h: Likewise.

1999-12-01  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/Makefile (sysdep_routines): Add
	oldgetrlimit64 and oldsetrlimit64 for subdir = resource.
	* sysdeps/unix/sysv/linux/Versions: Add getrlimit, setrlimit,
	getrlimit64 and setrlimit64 to version GLIBC_2.1.3.
	* sysdeps/unix/sysv/linux/setrlimit.c: Correct handling of old and
	new kernel version.  Add symbol versions.
	* sysdeps/unix/sysv/linux/syscalls.list: Add oldsetrlimit and
	oldgetrlimit.
	* sysdeps/unix/sysv/linux/alpha/syscalls.list: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/syscalls.list: Add s_getrlimit
	and s_ugetrlimit.
	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list: Likewise.
	* sysdeps/unix/sysv/linux/getrlimit.c: New file.
	* sysdeps/unix/sysv/linux/getrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/oldgetrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/oldsetrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/setrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/alpha/oldgetrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/alpha/oldsetrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/oldgetrlimit64.c: New
	file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/oldsetrlimit64.c: New
	file.

1999-12-01  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/usleep.c: Fix typo.

	* sysdeps/generic/sys/ptrace.h: Remove K&R compatibility.

	* sysdeps/unix/Makefile (param.h.dep): Filter out sys/param.h
	itself.

	* sysdeps/unix/sysv/bits/utsname.h: Test for _SYS_UTSNAME_H, not
	_UTSNAME_H.

	* malloc/set-freeres.c: Really use already_called variable.

	* libio/iosetbuffer.c: Use _IO_WSETBUF instead of constructing
	function call directly.
	* libio/iosetvbuf.c: Likewise.

1999-11-29  Ulrich Drepper  <drepper@cygnus.com>

	* configure.in: Add AIX 4.3 support.

	* iconvdata/gconv-modules: Correct alias for ISO-8859-10.  This
	standard was issued in 1992.
	Reported by Bruno Haible <haible@ilog.fr>.

1999-11-29  Thorsten Kukuk  <kukuk@suse.de>

	* sysdeps/unix/sysv/linux/sparc/bits/signum.h: Add define for
	SIGCLD als SIGCHLD.

1999-11-29  Andreas Jaeger  <aj@suse.de>

	* manual/time.texi (Basic CPU Time): Better describe wrap around.
	Patch by Andries Brouwer <Andries.Brouwer@cwi.nl>.

1999-11-29  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/gconv-modules: Fix typos in LATIN8/L8 aliases.
	Patch by Bruno Haible <haible@ilog.fr>.

1999-11-29  Thorsten Kukuk  <kukuk@suse.de>

	* sysdeps/unix/sysv/linux/sparc/sys/ptrace.h: Remove K&R compatibility.

1999-11-29  Andreas Schwab  <schwab@suse.de>

	* sysdeps/m68k/bits/byteswap.h (__bswap_32): Rename local variable
	__v to __bswap_32_v.
	(__bswap_64): Rename local variables __v and __r to __bswap_64_v
	and __bswap_64_r to avoid clash with __bswap_32 macro.

1999-11-28  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/t.61.c (CHARSET_NAME): Correct name to what is used in
	gconv-modules.

1999-11-26  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-ctype.c (allocate_arrays): Complete last
	patch.  Use wch instead of idx to compute index.
	Patch by Shinya Hanataka <hanataka@abyss.rim.or.jp>.

	* inet/rcmd.c (ruserok): Use iruserok2 not iruserok.

	* locale/iso-3166.def: Update from latest official list.

1999-11-26  Thorsten Kukuk  <kukuk@suse.de>

	* sysdeps/unix/sysv/linux/sparc/sparc32/register-dump.h: Include
	asm/ptrace.h, since this will not be done with 2.3.xx automatically
	* sysdeps/unix/sysv/linux/sparc/sparc64/register-dump.h: Likewise.

1999-11-26  Andreas Jaeger  <aj@suse.de>

	* libio/libioP.h: Remove duplicate declaration of _IO_wsetb.

1999-11-26  Andreas Jaeger  <aj@suse.de>

	* inet/rcmd.c: Include stdlib for declaration of free.
	Declare iruserok.

1999-11-25  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv.c (__gconv): Always initialize
	cd->__data[last_step].__outbuf and cd->__data[last_step].__outbufend.

	* iconvdata/iso-2022-kr.c (EMIT_SHIFT_TO_INIT): Update number of
	written bytes.
	* iconvdata/iso-2022-jp.c: Likewise.

1999-11-25  H.J. Lu  <hjl@gnu.org>

	* stdlib/exit.c (exit): Run funtions only if
	__exit_funcs->idx > 0.

1999-11-25  Ulrich Drepper  <drepper@cygnus.com>

	* manual/charset.texi (iconv Examples): Add iconv call to flush
	state.  Reported by Andrew Clausen <clausen@alphalink.com.au>.

1999-11-25  Andreas Jaeger  <aj@suse.de>

	* manual/install.texi (Running make install): Better describe
	update from libc5.
	Patch by Michael Deutschmann <michael@talamasca.wkpowerlink.com>.

1999-11-25  Andreas Jaeger  <aj@suse.de>

	* include/sys/mman.h: Remove K&R compatibility.

1999-11-15  Andreas Jaeger  <aj@suse.de>

	* misc/sys/mman.h: Use __REDIRECT for mmap, correct prototype to
	use __off64_t.

1999-11-25  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/iconv_prog.c (process_block): For stateful charsets write
	out byte sequence to get to initial state at the end of the file.

1999-11-25  Andreas Schwab  <schwab@suse.de>

	* Makeconfig: Include sys-dirs and sys-sorted earlier.
	($(common-objpfx)soversions.mk): Wait until subdirs is complete.
	($(common-objpfx)sysd-sorted): Emit marker when this file is
	complete.

1999-11-24  Ulrich Drepper  <drepper@cygnus.com>

	* manual/setjmp.texi: Many changes to correct bad English introduced
	mainly by me.
	* manual/time.texi: Likewise.
	Patches by Neil Booth <neil@rosenet.ne.jp>.

	* include/string.h: Remove K&R compatibility.

1999-11-23  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/bits/signum.h (SIGSYS): New definition.

	* sysdeps/unix/sysv/linux/net/if_arp.h (ARPHRD_IEEE802_TR): Added.

	* string/stratcliff.c: Add one more strchr test for something
	which was reported to not work (which proofed to be wrong).

	* iconv/skeleton.c: It's __is_last, not is_last.

	* locale/programs/ld-ctype.c (ctype_finish): Correct method to find
	the UCS value.
	(allocate_arrays): Likewise.
	(find_idx): Correctly increase array size.
	Patches by Shinya Hanataka <hanataka@abyss.rim.or.jp>.

1999-11-23  Thorsten Kukuk  <kukuk@suse.de>

	* iconv/skeleton.c: Don't access next_step->fct if data->is_last
	is true.

1999-11-23  Andreas Jaeger  <aj@suse.de>

	* include/sys/select.h: Remove K&R compatibility.
	* include/sys/statfs.h: Likewise.
	* include/gnu/libc-version.h: Likewise.
	* include/db_185.h: Likewise.
	* include/dlfcn.h: Likewise.
	* include/search.h: Likewise.
	* include/setjmp.h: Likewise.
	* include/signal.h: Likewise.
	* include/stdio.h: Likewise.
	* include/unistd.h: Likewise.

1999-11-23  Andreas Jaeger  <aj@suse.de>

	* include/aio.h: Remove __THROW from internal interfaces.  __THROW
	is only need in external header files that might be compiled by a
	C++ compiler.
	* include/alloca.h: Likewise.
	* include/db.h: Likewise.
	* include/dirent.h: Likewise.
	* include/execinfo.h: Likewise.
	* include/fpu_control.h: Likewise.
	* include/glob.h: Likewise.
	* include/grp.h: Likewise.
	* include/libintl.h: Likewise.
	* include/math.h: Likewise.
	* include/math.h: Likewise.
	* include/mntent.h: Likewise.
	* include/mntent.h: Likewise.
	* include/netdb.h: Likewise.
	* include/pwd.h: Likewise.
	* include/sched.h: Likewise.
	* include/shadow.h: Likewise.
	* include/stdlib.h: Likewise.
	* include/sys/file.h: Likewise.
	* include/sys/gmon.h: Likewise.
	* include/sys/ioctl.h: Likewise.
	* include/sys/socket.h: Likewise.
	* include/sys/stat.h: Likewise.
	* include/sys/sysinfo.h: Likewise.
	* include/sys/time.h: Likewise.
	* include/sys/times.h: Likewise.
	* include/sys/uio.h: Likewise.
	* include/sys/wait.h: Likewise.
	* include/termios.h: Likewise.
	* include/time.h: Likewise.
	* include/ulimit.h: Likewise.
	* include/utmp.h: Likewise.
	* include/wchar.h: Likewise.

1999-11-22  Andreas Jaeger  <aj@suse.de>

	* sunrpc/rpc_clntout.c (printbody): Fix -CLMNab output.
	Patch by Jerry Perkins 	<jrperkins@iname.com>, closes PR
	libc/1456+1457.

1999-11-22  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/generic/siglist.h: Avoid declaring the same field
	twice if SIGPWR is defined to SIGLOST.
	* sysdeps/sparc/sparc32/memcpy.S: bcopy takes size_t argument,
	not signed, so we should not special case it for negative args.
	* sysdeps/sparc/sparc32/sparcv9/memmove.c: Don't use generic
	memmove, use the one provided in memcpy.S.
	* sysdeps/sparc/sparc64/memcpy.S: bcopy should handle overlapping
	copies like memmove, while the previous version worked like memcpy.
	Implement optimized assembly memmove.
	* sysdeps/sparc/sparc64/memmove.c: New file.

1999-11-23  Ulrich Drepper  <drepper@cygnus.com>

	* po/cs.po: Update from translators.

1999-11-23  Andreas Jaeger  <aj@suse.de>

	* sysdeps/mips/dl-machine.h (elf_machine_dynamic): New function.
	(elf_machine_got): Removed, not needed anymore.
	(ELF_MACHINE_RELOC_NOPLT): Removed.
	(ELF_MACHINE_JMP_SLOT): Added.
	(_RTLD_PROLOGUE): We use gcc, no need to check for __STDC__.
	(_RTLD_EPILOGUE): Likewise.
	(RESOLVE_GOTSYM): Use R_MIPS_REL32.
	(ELF_MACHINE_RUNTIME_TRAMPOLINE): Likewise.
	Based on patches from Maciej W. Rozycki <macro@ds2.pg.gda.pl> and
	Ralf Bächle <baechle@uni-koblenz.de>.

	* sysdeps/mips/mips64/dl-machine.h: Apply same patches.

1999-11-22  Ulrich Drepper  <drepper@cygnus.com>

	* wcsmbs/wcsmbsload.c (__wcsmbs_load_conv): Don't use the charset
	name from the locale name.  Only use the value in the LC_CTYPE
	locale data file.

	* locale/loadlocale.c (_nl_load_locale): Allow index of entry in
	file be equal to file size.

	* stdlib/longlong.h: Add count_trailing_zeros back.

	* stdlib/longlong.h: Update from latest egcs version.

1999-11-22  Andreas Jaeger  <aj@suse.de>

	* locale/programs/ld-collate.c (insert_value): Correct order of
	arguments for lr_error call.

	* sysdeps/unix/sysv/linux/mips/syscalls.list: Add
	__syscall_setrlimit.

	* sysdeps/unix/sysv/linux/mips/bits/ipc.h: Include <sys/types.h>
	for key_t.
	Patch by Maciej W. Rozycki <macro@ds2.pg.gda.pl>.

1999-11-21  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/fpu/libm-test-ulps: Increase error value for latest
	gcc version.

	* locale/programs/ld-ctype.c (ctype_read): Correctly implement
	14652-style definition of new maps and classes.

1999-11-20  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-monetary.c (monetary_finish): Don't print
	individual error message if nothing is defined.

	* locale/programs/ld-time.c (time_startup): Test for lr being
	nonzero, not time.

	* locale/programs/ld-numeric.c (numeric_finish): Don't crash if
	decimal_point is not defined.

	* wctype/wctrans.c (wctrans): Use correct base index to access
	extra mapping tables.

	* locale/loadlocale.c (_nl_load_locale): Use actual number of
	entries from file and not the fixed (minimal number from the
	langinfo.h list.

	* locale/programs/ld-ctype.c (ctype_read): Fix reading of <U....>
	values in charmaps.

1999-11-18  Paul Eggert  <eggert@twinsun.com>

	* time/strftime.c (my_strftime): Some old compilers object to
	'\a', so don't bother optimizing for it.

1999-11-19  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/setrlimit.c (__setrlimit): Don't modify
	the rlimits structure passed in.

1999-11-19  Andreas Jaeger  <aj@suse.de>

	* include/sys/resource.h (__setrlimit): Add prototype.

1999-11-19  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-load.c (_dl_init_paths): Allocate correct number of
	entries for rtld_search_dirs[0].
	Patch by David Mosberger <davidm@hpl.hp.com>.

1999-11-18  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-ctype.c: Don't predefine the character
	classes and mappings of ISO 14652.

	* locale/programs/ld-ctype.c: Punt if character class definitions
	to not consists of tok_bsymbol (for now).

	* time/strptime.c (day_of_the_week): Make sure result is never
	negative.
	(strptime_internal): Allow %C without %y.

1999-11-18  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/linux_fsinfo.h: Sorted entries and added
	comments.

	* sysdeps/unix/sysv/linux/getpt.c: Include linux_fsinfo.h instead
	of defining *_SUPER_MAGIC.
	* sysdeps/unix/sysv/linux/grantpt.c: Likewise.

1999-11-18  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/locale.c: Don't handle LC_ALL together with the
	other categories when printing the value.
	Patch by Akira YOSHIYAMA <yosshy@tkf.att.ne.jp>.

	* locale/locale.h: Correct comment about LC_ALL.

1999-11-17  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-ctype.c (ctype_output): Correct computation of
	nelems.  Correctly compute index for additional character classes.
	(ctype_read): Handle charclass and charconv definitions.  Also
	recognize arbitrary strings as mapping names.
	* locale/programs/ld-time.c (time_finish): Correctly skip over wide
	character era strings.
	* locale/lc-time.c (_nl_get_era_entry): Correctly skip era name
	and format for wide characters.
	* time/strftime.c: Correctly determine era information for wide
	wcsftime.
	* wctype/wctrans.c: Fix after removal of second endianess table.
	* wctype/wctype.h (_ISwbit): Correctly handle bits > 16.
	Patches by Shinya Hanataka <hanataka@abyss.rim.or.jp>.

	* wcsmbs/wcwidth.h (internal_wcwidth): Reject non-printable characters.
	* wcsmbs/wcswidth.c (wcswidth): Don't forget to decrement counter n.

	* sysdeps/unix/sysv/linux/alpha/sys/procfs.h: Remove greg_t,
	gregset_t, fpregset_t, and NGREG definitions.

	* locale/programs/ld-ctype.c: Implement character width information
	handling.

1999-11-09  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/grantpt.c (grantpt): Add support for devfs.

	* sysdeps/unix/sysv/linux/getpt.c (__getpt): Check for devfs.
	Patch by German Jose Gomez Garcia <german@pinon.ccu.uniovi.es>.

	* sysdeps/unix/sysv/linux/linux_fsinfo.h (DEVFS_SUPER_MAGIC): Added.

1999-11-17  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/gnu/netinet/tcp.h: Add TCP_CORK definition.

1999-11-07  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/scsi/scsi_ioctl.h: New file with some
	defines from Linux scsi_ioctl.h header.

	* sysdeps/unix/sysv/linux/Makefile (sysdep_headers): Added
	scsi_ioctl.h.
	* sysdeps/unix/sysv/linux/Dist: Likewise.

	* sysdeps/unix/sysv/linux/scsi/sg.h: Synced with Linux 2.3.26;
	pretty printed.

	* sysdeps/unix/sysv/linux/scsi/scsi.h (TYPE_ENCLOSURE): Added to
	sync with Linux 2.3.26.

1999-11-17  Andreas Jaeger  <aj@suse.de>

	* shlib-versions: Allow mipsel for libm.
	Patch by Maciej W. Rozycki <macro@ds2.pg.gda.pl>.

1999-11-16  Andreas Jaeger  <aj@suse.de>

	* math/fenv.h: Fix typos in comments.  Reported by Andreas Schwab.

1999-11-16  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-ctype.c (set_class_defaults): Set default
	value for alpha and alnum correctly.

	* locale/programs/ld-address.c (address_output): Fix output of
	country_num.

1999-11-15  Ulrich Drepper  <drepper@cygnus.com>

	* timezone/asia: Update from tzdata1999j.
	* timezone/australasia: Likewise.
	* timezone/europe: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/zone.tab: Likewise.

1999-11-14  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/sys/procfs.h: Remove duplicate definitions.
	* sysdeps/unix/sysv/linux/mips/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/arm/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h: Likewise.

1999-11-15  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list: Add
	__syscall_setrlimit.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list: Likewise.

1999-11-14  Ulrich Drepper  <drepper@cygnus.com>

	* scripts/versions.awk: Don't expect to read predecessor versions,
	compute them.
	* Versions.def: Remove predecessors.  They now get computed.

1999-11-14  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/execve.c: Add __syscall_execve prototype.
	* sysdeps/unix/sysv/linux/setrlimit.c: Add __syscall_setrlimit
	prototype.
	* sysdeps/unix/sysv/linux/powerpc/syscalls.list: Add setrlimit.
	* sysdeps/powerpc/stackinfo.h: New file.
	Patches by Franz Sirl <Franz.Sirl@lauterbach.com>.

1999-11-13  Roland McGrath  <roland@baalperazim.frob.com>

	* Versions.def (libc): Move GLIBC_2.2 dependency from GLIBC_2.1.1 to
	GLIBC_2.1.3.

1999-11-13  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd/Versions (GLIBC_2.1.3): Define, adding directory_name_split and
	hurd_directory_name_split.
	* Versions.def (libc): Add GLIBC_2.1.3.

1999-11-09  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd/report-wait.c (describe_port): Return char * and use __stpcpy
	to return the location of the null byte written into the string.
	(describe_number): Likewise.
	(describe_number): Remove assert, not always used with #.
	If FLAVOR is null, don't use it.
	(describe_number): Take signed argument and print a - if negative.
	(_S_msg_report_wait): Report system call number for system calls that
	aren't mach_msg.  Soup up reporting for mach_msg: If destination port
	matches SS->intr_port, bracket port description with [...] to indicate
	a Hurd interruptible RPC; if destination port is null, examine the
	receive port and report that state; if receive port is also null,
	check for timeout and report its value.
	* sysdeps/mach/hurd/i386/intr-msg.h (MSG_EXAMINE): Return int that is
	zero iff we managed to examine the stack; take new args RCV_NAME,
	SEND_NAME, OPTION, and TIMEOUT to fill in with mach_msg args.

	* hurd/report-wait.c (describe_port): Recognize MACH_PORT_NULL and
	MACH_PORT_DEAD specially.

1999-10-04  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd/hurdlookup.c (__hurd_directory_name_split): New function.
	(__directory_name_split): New function.
	* hurd/hurd.h: Declare them.
	* sysdeps/mach/hurd/rmdir.c: Use __directory_name_split instead of
	__file_name_split, so we ignore trailing slashes properly.
	* sysdeps/mach/hurd/rename.c: Likewise.

1999-11-13  Thorsten Kukuk  <kukuk@suse.de>

	* sysdeps/unix/sysv/linux/sparc/bits/signum.h: Add SIGPWR define
	from current kernel headers.

	* sunrpc/key_call.c: Use /usr/etc/keyenvoy only if we don't have
	SO_PASSCRED defined.

1999-11-12  Ulrich Drepper  <drepper@cygnus.com>

	* locale/C-ctype.c: Fix typo in char class name.

	* configure.in: Allow user so specify --enable-kernel=current.

1999-11-12  Thorsten Kukuk  <kukuk@suse.de>

	* nis/nss_nisplus/nisplus-publickey.c: Check for snprintf return value.

	* sysdeps/unix/sysv/linux/alpha/sys/procfs.h: Follow changes from
	i386 version.
	* sysdeps/unix/sysv/linux/arm/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/procfs.h: Likewise.

1999-11-12  Ulrich Drepper  <drepper@cygnus.com>

	* intl/locale.alias: Add Estonian entries.
	Patch by Marko Kreen <marko@et.ee> [PR libc/1444].

1999-11-02  Andreas Jaeger  <aj@suse.de>

	* Versions.def: Add version GLIBC_2.2 for libm.
	* math/fenv.h: Add prototypes for fegetexcept, feenableexcept and
	fedisableexcept.
	* sysdeps/generic/feenablxcpt.c: Stub file.
	* sysdeps/generic/fedisblxcpt.c: Stub file.
	* sysdeps/generic/fegetexcept.c: Stub file.
	* sysdeps/i386/fpu/fedisblxcpt.c: New file.
	* sysdeps/i386/fpu/feenablxcpt.c: New file.
	* sysdeps/i386/fpu/fegetexcept.c: New file.
	* math/Makefile (libm-support): Add new files.
	* math/Versions: Add new functions with version GLIBC_2.2.
	* manual/arith.texi (Control Functions): Document fegetexcept,
	feenableexcept and fedisableexcept.

1999-11-01  Wolfram Gloger  <wg@malloc.de>

	* malloc/malloc.h: Describe __malloc_initialize_hook.
	* manual/memory.texi: Document __malloc_initialize_hook.

1999-11-11  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/setrlimit.c: Correctly use rlimits.

1999-11-09  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/getlogin_r.c (getlogin_r): Sync with getlogin
	implementation for ttyname_r call; fix inverted condition; return
	ut_user.
	Closes PR libc/1438.

1999-11-10  Ulrich Drepper  <drepper@cygnus.com>

	* math/fenv.h: Include bits/fenvinline.h if optimizing.
	* sysdeps/powerpc/fpu/bits/fenv.h: Remove inline functions.  Moved to..
	* sysdeps/powerpc/fpu/bits/fenvinline.h: ...here.  New file.
	* sysdeps/generic/bits/fenv.h: New file.

1999-11-10  Ulrich Drepper  <drepper@cygnus.com>

	* misc/tst-efgcvt.c (output_r_error): Remove extra parameter to
	printf call.

1999-11-10  Andreas Jaeger  <aj@suse.de>

	* misc/tst-efgcvt.c: Also test ecvt_r and fcvt_r.

1999-11-10  Andreas Jaeger  <aj@suse.de>

	* string/strsignal.c (strsignal): Correct check for snprintf
	return value.
	* argp/argp-fmtstream.c (__argp_fmtstream_printf): Likewise.

	* misc/efgcvt_r.c (APPEND): Correct check for too small buffer
	according to changed snprintf return value.
	Reported by Lawrence K. Chen <lchen@opentext.com>.

	* misc/tst-efgcvt.c (special): Add tests for a too small buffer
	for ecvt_r and fcvt_r.

1999-11-09  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-load.c (_dl_dst_count): Allow $ORIGIN to point to
	directory with the reference since this is as secure as using the
	object with the dependency.
	(_dl_dst_substitute): Likewise.

	* elf/dl-load.c (_dl_dst_count): Change strings in first two
	strncmp calls to allow reuse.
	(_dl_dst_substitute): Likewise.

1999-11-01  Arnold D. Robbins  <arnold@skeeve.com>

	* posix/regex.c (init_syntax_once): move below definition of
	ISALNUM etc., then use ISALNUM to init the table, so that
	the word ops will work if i18n'ed.
	(SYNTAX): And subscript with 0xFF for 8bit character sets.

1999-11-09  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/getlogin_r.c (getlogin_r): Sync with getlogin
	implementation for ttyname_r call; fix inverted condition; return
	ut_user.  Closes PR libc/1438.

1999-11-09  Ulrich Drepper  <drepper@cygnus.com>

	* timezone/checktab.awk: Update from tzcode1999h.
	* timezone/africa: Update from tzdata1999i.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/backward: Likewise.
	* timezone/europe: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/iso3166.tab: Likewise.
	* timezone/zone.tab: Likewise.

	* sysdeps/unix/sysv/linux/bits/resource.h: Define values also as
	macros.  Patch by brg@csua.berkeley.edu [PR libc/1439].

1999-11-09  Andreas Jaeger  <aj@suse.de>

	* posix/Makefile (tests): Added tst-getlogin.

	* posix/tst-getlogin.c: New file, contains simple tests for
	getlogin and getlogin_r.

1999-11-09  Andreas Schwab  <schwab@suse.de>

	* misc/syslog.c: For LOG_PERROR only append a newline if
	necessary.

1999-11-08  Ulrich Drepper  <drepper@cygnus.com>

	* elf/elf.h: Add STT_REGISTER, STT_HP_OPAQUE, and STT_ST_STUB
	definitions.

1999-11-08  Andreas Jaeger  <aj@suse.de>

	* locale/findlocale.c (_nl_find_locale): Free normalized_codeset;
	this fixes a memory leak (closes PR libc/1435).

	* intl/l10nflist.c (_nl_normalize_codeset): Update comment to
	reflect memory allocation.

	* intl/loadinfo.h: Comment _nl_normalize_codeset, comment memory
	allocation in _nl_explode_name.

1999-11-06  Andreas Jaeger  <aj@suse.de>

	* time/tzset.c: Use __libc_lock_define_initialized for tzset_lock
	to initialize it.
	Reported by wes@surety.com, closes PR libc/1432.

1999-11-05  Geoff Keating  <geoffk@cygnus.com>

	* sysdeps/powerpc/fpu/bits/fenv.h: Don't put commas at the end of
	enumerator lists (-pedantic complains).
	(feraiseexcept): Use i#*X as the constraint.  Fix a bug in the
	test for 'one bit set'.
	(feclearexcept): Likewise.

1999-11-05  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/setrlimit.c: New file.

	* sysdeps/unix/sysv/linux/bits/resource.h (RLIM_INFINITY): Adjust
	for kernel changes.
	* sysdeps/unix/sysv/linux/bits/types.h (__rlim_t, __rlim64_t): Make
	unsigned.

1999-10-04  Tim Waugh  <twaugh@redhat.com>

	* posix/wordexp-test.c: More tests.

	* posix/wordexp.c (wordexp): Explicit null words should be kept.

1999-11-04  Shinya Hanataka  <hanataka@abyss.rim.or.jp>

	* locale/programs/linereader.c (get_string): Correct type of buf2
	variable.
	* locale/programs/ld-ctype.c (ctype_output): Store index correctly
	for _NL_CTYPE_INDIGITS_MB_LEN, _NL_CTYPE_INDIGITS_WC_LEN,
	_NL_CTYPE_INDIGITS*_MB, _NL_CTYPE_OUTDIGIT*_MB, and
	_NL_CTYPE_OUTDIGIT*_WC.
	(allocate_arrays): Completely initialize mapping tables.
	* locale/programs/ld-time.c (time_startup): We need the wide car
	string.
	(time_finish): Correct handling of era.
	(time_output): Fix a few array indeces.
	(time_read): Pass the repertoire map to lr_token.

1999-11-03  Ulrich Drepper  <drepper@cygnus.com>

	* Versions.def: Add version for libthread_db.

1999-11-02  Andreas Jaeger  <aj@suse.de>

	* manual/header.texi (Library Summary): The command @indexfonts
	doesn't exist anymore, use @smallfonts instead.

1999-11-02  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/sys/procfs.h: Include sys/ucontext.h
	instead of duplicating definitions.

1999-11-01  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/alpha/sys/procfs.h: Add more pr* types used
	by the debugger.
	* sysdeps/unix/sysv/linux/arm/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/procfs.h: Likewise.

1999-11-01  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/net/if_arp.h: Add ARPHDR_HWX25.

	* sysdeps/unix/sysv/linux/kernel-features.h
	(__ASSUME_NEW_GETRLIMIT_SYSCALL): New definition.
	* sysdeps/unix/sysv/linux/i386/getrlimit.c: New file.

	* manual/texinfo.tex: Updated.

1999-11-01  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/sys/reboot.h: Remove K&R compatibility.

	* inet/gethstbynm2_r.c: Reorder addresses.

1999-09-11  Paul Eggert  <eggert@twinsun.com>

	* posix/glob.h (glob): If #defining to glob64, do this before
	declaring it, so that all declarations and uses match, and do not
	declare glob64, to avoid a declaration clash.
	(globfree): Likewise with globfree64.

1999-09-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* sysdeps/generic/glob.c (prefix_array) [__MSDOS__,WINDOWS32]:
	Keep the trailing slash unless DIRNAME is just "x:/".

1999-10-11  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/bits/siginfo.h (SI_KERNEL): Added.
	* sysdeps/unix/sysv/linux/mips/bits/siginfo.h: Likewise.
	Closes PR libc/1384.

1999-10-20  Andreas Schwab  <schwab@suse.de>

	* math/Makefile (libm-tests-generated): Remove libm-test.stmp.
	(generated): Add it here.
	(before-compile): Add libm-test.c.
	($(addprefix $(objpfx), $(libm-tests-generated))): Depend on
	libm-test.stmp.
	($(objpfx)libm-test.stmp): Use $(objpfx) instead of
	$(objdir)/math/.

1999-10-31  Ulrich Drepper  <drepper@cygnus.com>

	* Makefile (pdf): New goal.
	* manual/Makefile: Add definitions and rules for PDF generation.

	* Versions.def (libm): Add GLIBC_2.1.3.

	ISO C99 TR1 changes various fe* functions to return an error value.
	* math/Versions [GLIBC_2.1.3]: Add feclearexcept, fegetexceptflag,
	feraiseexcept, fesetexceptflag, fegetenv, fesetenv, and feupdateenv.
	* sysdeps/alpha/fpu/fclrexcpt.c: Return value and add alias.
	* sysdeps/alpha/fpu/fegetenv.c: Likewise.
	* sysdeps/alpha/fpu/fesetenv.c: Likewise.
	* sysdeps/alpha/fpu/feupdateenv.c: Likewise.
	* sysdeps/alpha/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/alpha/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/alpha/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/arm/fpu/fclrexcpt.c: Likewise.
	* sysdeps/arm/fpu/fegetenv.c: Likewise.
	* sysdeps/arm/fpu/fesetenv.c: Likewise.
	* sysdeps/arm/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/arm/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/generic/fclrexcpt.c: Likewise.
	* sysdeps/generic/fegetenv.c: Likewise.
	* sysdeps/generic/fesetenv.c: Likewise.
	* sysdeps/generic/feupdateenv.c: Likewise.
	* sysdeps/generic/fgetexcptflg.c: Likewise.
	* sysdeps/generic/fraiseexcpt.c: Likewise.
	* sysdeps/generic/fsetexcptflg.c: Likewise.
	* sysdeps/i386/fpu/fclrexcpt.c: Likewise.
	* sysdeps/i386/fpu/fegetenv.c: Likewise.
	* sysdeps/i386/fpu/fesetenv.c: Likewise.
	* sysdeps/i386/fpu/feupdateenv.c: Likewise.
	* sysdeps/i386/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/i386/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/i386/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/m68k/fpu/fclrexcpt.c: Likewise.
	* sysdeps/m68k/fpu/fegetenv.c: Likewise.
	* sysdeps/m68k/fpu/fesetenv.c: Likewise.
	* sysdeps/m68k/fpu/feupdateenv.c: Likewise.
	* sysdeps/m68k/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/m68k/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/m68k/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/mips/fclrexcpt.c: Likewise.
	* sysdeps/mips/fegetenv.c: Likewise.
	* sysdeps/mips/fesetenv.c: Likewise.
	* sysdeps/mips/feupdateenv.c: Likewise.
	* sysdeps/mips/fgetexcptflg.c: Likewise.
	* sysdeps/powerpc/fclrexcpt.c: Likewise.
	* sysdeps/powerpc/fegetenv.c: Likewise.
	* sysdeps/powerpc/fesetenv.c: Likewise.
	* sysdeps/powerpc/feupdateenv.c: Likewise.
	* sysdeps/powerpc/fgetexcptflg.c: Likewise.
	* sysdeps/powerpc/fraiseexcpt.c: Likewise.
	* sysdeps/powerpc/fsetexcptflg.c: Likewise.
	* sysdeps/sparc/fpu/fclrexcpt.c: Likewise.
	* sysdeps/sparc/fpu/fegetenv.c: Likewise.
	* sysdeps/sparc/fpu/fesetenv.c: Likewise.
	* sysdeps/sparc/fpu/feupdateenv.c: Likewise.
	* sysdeps/sparc/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/sparc/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/sparc/fpu/fsetexcptflg.c: Likewise.
	* math/fenv.h: Adjust prototypes.: Likewise.
	* manual/arith.texi: Adjust documentation for these changes.

	* manual/arith.texi: Document feraiseexcept.

	* sysdeps/powerpc/fegetenv.c: Moved to...
	* sysdeps/powerpc/fpu/fegetenv.c: ...here.
	* sysdeps/powerpc/fegetround.c: Moved to...
	* sysdeps/powerpc/fpu/fegetround.c: ...here.
	* sysdeps/powerpc/feholdexcpt.c: Moved to...
	* sysdeps/powerpc/fpu/feholdexcpt.c: ...here.
	* sysdeps/powerpc/fesetenv.c: Moved to...
	* sysdeps/powerpc/fpu/fesetenv.c: ...here.
	* sysdeps/powerpc/fenv_libc.h: Moved to...
	* sysdeps/powerpc/fpu/fenv_libc.h: ...here.
	* sysdeps/powerpc/feupdateenv.c: Moved to...
	* sysdeps/powerpc/fpu/feupdateenv.c: ...here.
	* sysdeps/powerpc/fgetexcptflg.c: Moved to...
	* sysdeps/powerpc/fpu/fgetexcptflg.c: ...here.
	* sysdeps/powerpc/fraiseexcpt.c: Moved to...
	* sysdeps/powerpc/fpu/fraiseexcpt.c: ...here.
	* sysdeps/powerpc/fsetexcptflg.c: Moved to...
	* sysdeps/powerpc/fpu/fsetexcptflg.c: ...here.
	* sysdeps/powerpc/ftestexcept.c: Moved to...
	* sysdeps/powerpc/fpu/ftestexcept.c: ...here.
	* sysdeps/powerpc/fesetround.c: Moved to...
	* sysdeps/powerpc/fpu/fesetround.c: ...here
	* sysdeps/powerpc/fenv_const.c: Moved to...
	* sysdeps/powerpc/fpu/fenv_const.c: ...here.

	* sysdeps/mips/fclrexcpt.c: Moved to...
	* sysdeps/mips/fpu/fclrexcpt.c: ...here.
	* sysdeps/mips/fegetenv.c: Moved to...
	* sysdeps/mips/fpu/fegetenv.c: ...here.
	* sysdeps/mips/fegetround.c: Moved to...
	* sysdeps/mips/fpu/fegetround.c: ...here.
	* sysdeps/mips/fesetenv.c: Moved to...
	* sysdeps/mips/fpu/fesetenv.c: ...here.
	* sysdeps/mips/fesetround.c: Moved to...
	* sysdeps/mips/fpu/fesetround.c: ...here.
	* sysdeps/mips/feupdateenv.c: Moved to...
	* sysdeps/mips/fpu/feupdateenv.c: ...here.
	* sysdeps/mips/fgetexcptflg.c: Moved to...
	* sysdeps/mips/fpu/fgetexcptflg.c: ...here.
	* sysdeps/mips/ftestexcept.c: Moved to...
	* sysdeps/mips/fpu/ftestexcept.c: ...here.

1999-10-29  Jakub Jelinek  <jakub@redhat.com>

	* stdlib/longlong.h: Avoid UDIV_TIME redefinition.
	* sysdeps/sparc/sparc32/dl-machine.h: Fix loading of SPARC v8plus
	libraries from statically linked programs.
	* sysdeps/unix/sysv/linux/sparc/bits/sigaction.h: POSIX 199309
	fix for sigaction on SPARC.
	Patches by David S. Miller <davem@redhat.com>.

	* sysdeps/unix/sysv/linux/sparc/sys/ucontext.h: Declare
	gregset_t and other required structures and defines for SPARC 64bit
	ABI as well, not only 32bit ABI.

1999-10-31  Andreas Jaeger  <aj@suse.de>

	* sysdeps/sparc/sparc64/fpu/bits/huge_val.h: Replace __USE_ISOC9X
	by __USE_ISOC99 and update comments.

	* math/complex.h: Update comments for ISO C99.
	* math/fenv.h: Likewise.
	* math/test-fenv.c: Likewise.
	* math/tgmath.h: Likewise.
	* libio/stdio.h: Likewise.
	* posix/sys/types.h: Likewise.
	* sysdeps/generic/inttypes.h: Likewise.
	* sysdeps/generic/stdint.h: Likewise.

1999-10-31  Ulrich Drepper  <drepper@cygnus.com>

	* manual/creature.texi (Feature Test Macros): Mention _ISOC99_SOURCE.

	* includes/features.h: Replace __USE_ISOC9X by __USE_ISOC99 and also
	recognize _ISOC99_SOURCE.
	* libio/stdio.h: Likewise.
	* math/math.h: Likewise.
	* math/bits/mathcalls.h: Likewise.
	* math/stdio.h: Likewise.
	* stdlib/stdlib.h: Likewise.
	* sysdeps/alpha/fpu/bits/mathdef.h: Likewise.
	* sysdeps/alpha/fpu/bits/mathinline.h: Likewise.
	* sysdeps/arm/bits/huge_val.h: Likewise.
	* sysdeps/generic/bits/mathdef.h: Likewise.
	* sysdeps/i386/bits/huge_val.h: Likewise.
	* sysdeps/i386/fpu/bits/mathdef.h: Likewise.
	* sysdeps/i386/fpu/bits/mathinline.h: Likewise.
	* sysdeps/ieee754/bits/huge_val.h: Likewise.
	* sysdeps/m68k/bits/huge_val.h: Likewise.
	* sysdeps/m68k/fpu/bits/mathdef.h: Likewise.
	* sysdeps/m68k/fpu/bits/mathinline.h: Likewise.
	* sysdeps/powerpc/bits/mathdef.h: Likewise.
	* sysdeps/powerpc/bits/mathinline.h: Likewise.
	* sysdeps/sparc/fpu/bits/mathdef.h: Likewise.
	* sysdeps/sparc/fpu/bits/mathinline.h: Likewise.
	* sysdeps/sparc/sparc32/fpu/bits/huge_val.h: Likewise.
	* wcsmbs/wchar.h: Likewise.

	* sysdeps/powerpc/bits/mathdef.h: Moved to...
	* sysdeps/powerpc/fpu/bits/mathdef.h: ...here.
	* sysdeps/powerpc/bits/mathinline.h: Moved to...
	* sysdeps/powerpc/fpu/bits/mathinline.h: ...here.
	* sysdeps/powerpc/bits/fenv.h: Moved to...
	* sysdeps/powerpc/fpu/bits/fenv.h: ...here.

1999-10-31  Andreas Jaeger  <aj@suse.de>

	* manual/math.texi (Errors in Math Functions): Correct TeX code.

1999-10-31  Andreas Jaeger  <aj@suse.de>

	* math/libm-test.inc:  Change comments to use ISO C99 instead of
	ISO C9x.
	* math/w_lgamma.c: Likewise.
	* math/w_lgammaf.c: Likewise.
	* math/w_lgammal.c: Likewise.
	* math/test-fenv.c: Likewise.
	* sysdeps/ieee754/ldbl-96/printf_fphex.c: Likewise.
	* sysdeps/ieee754/ldbl-128/printf_fphex.c: Likewise.
	* sysdeps/generic/printf_fphex.c: Likewise.

1999-10-31  Andreas Jaeger  <aj@suse.de>

	* manual/arith.texi (Parsing of Floats): Remove C from ISO C comment.

	* manual/math.texi: Change ISO C9x to ISO C99.
	* manual/startup.texi: Likewise.
	* manual/stdio.texi: Likewise.

1999-10-31  Andreas Jaeger  <aj@suse.de>

	* manual/arith.texi: Change ISO C9x to ISO C99.
	* manual/time.texi (Low-Level Time String Parsing): Likewise.

1999-10-30  Ulrich Drepper  <drepper@cygnus.com>

	* socket/Makefile (distribute): Add ifreq.h.

	* manual/time.texi (Formatting Date and Time): Revise comments about
	origins of the formats with ISO C99 references.

1999-10-30  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/ifreq.h: New file.

1999-10-29  Andreas Jaeger  <aj@suse.de>

	* manual/arith.texi (Parsing of Floats): Document the hexadecimal
	input format; mention that strtof and strtold are part of ISO C99.

1999-10-29  Ulrich Drepper  <drepper@cygnus.com>

	* manual/math.texi (Errors in Math Functions): New section.
	* math/libm-err-tab.pl: Moved to...
	* manual/libm-err-tab.pl: ...here.
	* manual/Makefile: Add rules for math function error table generation.

	* stdlib/tst-strtod.c: Add more hexadecimal tests.

	* stdlib/strtod.c: Handle hexadecimal numbers with leading digit
	!= 1 correctly and more than one digit before decimal point..

1999-10-27  Andreas Jaeger  <aj@suse.de>

	* sysdeps/generic/ifreq.h: New file.

	* resolv/res_hconf.c: Add missing includes to get all prototypes.
	(_res_hconf_reorder_addrs): Rewrite.  This never worked before.
	Reported by John DiMarco <jdd@cs.toronto.edu>.

	(_res_hconf_reorder_addrs): Made thread safe.
	(free_mem): New function, needed for malloc debugging.

1999-10-29  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/if_index.c (opensock): Move function to ...
	* sysdeps/generic/opensock.c (__opensock): ...here in a new file.
	* sysdeps/unix/sysv/linux/if_index.c: Change all callers of
	opensock to use __opensock.

	* socket/Makefile (routines): Add opensock.

	* include/sys/socket.h (__opensock): Add prototype declaration.

1999-10-29  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/mips/bits/ioctl-types.h: Added missing
	N_* constants.
	* sysdeps/unix/sysv/linux/powerpc/bits/termios.h: Likewise.

	* sysdeps/unix/sysv/linux/bits/ioctl-types.h (N_SYNC_PPP): Added
	new constant from Linux 2.3.25pre1.

	* sysdeps/unix/sysv/linux/linux_fsinfo.h (BFS_MAGIC): Added.

1999-10-29  Andreas Jaeger  <aj@suse.de>

	* math/libm-err-tab.pl: New file to generate a table of
	libm-test-ulps values.

1999-10-29  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/sparc/sys/ptrace.h: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/profil-counter.h: Expect
	struct sigcontext* object as second parameter for profil_counter.
	Patches by Jakub Jelinek <jakub@redhat.com>.

1999-10-29  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/fpathconf.c (__fpathconf): Handle reiserfs.
	* sysdeps/unix/sysv/linux/pathconf.c: Likewise.

	* sysdeps/unix/sysv/linux/linux_fsinfo.h: Add values for devpts,
	efs, qnx4 and reiser file systems.

1999-10-29  Andreas Jaeger  <aj@suse.de>

	* locale/Makefile (others): Set to localedef and locale for make
	clean.

	* debug/Makefile (generated): Add xtrace for make clean to work.

1999-10-29  Andreas Jaeger  <aj@suse.de>

	* stdlib/tst-strtod.c: Add two testcases for hexadecimal input.

1999-10-25  Andreas Jaeger  <aj@suse.de>

	* math/libm-test.inc: Added code to ignore the given max ulps.
	(print_max_error): Check for ignore_max_ulp.
	(check_float_internal): Likewise.
	(parse_opt): Parse --ignore-max-ulp.
	(main): Initialize ignore_max_ulp.

1999-10-26  Andreas Jaeger  <aj@suse.de>

	* stdlib/msort.c: Include <alloca.h> for prototype.
	Remove K&R compatibility and _quicksort prototype.

	* stdlib/qsort.c: Make code and comments 64 bit clean; clarify
	some comments.
	Reported by Bernd Loechner <loechner@informatik.uni-kl.de>.
	Remove K&R compatibility.
	Move prototype declaration to include/stdlib.h.
	Include <alloca.h> for prototype; include <limits.h> for CHAR_BIT.

	* include/stdlib.h: Prototype declaration for _quicksort.

1999-10-27  Andreas Jaeger  <aj@suse.de>

	* stdlib/rand_r.c (rand_r): Really use 31 bits, the result was
	shifted a bit too much.
	Reported by Eugen Dedu <dedu@ese-metz.fr>.

1999-10-25  Ulrich Drepper  <drepper@cygnus.com>

	* resolv/gethnamaddr.c: Account bytes needed for alignment in
	buflen.  Patch by Olaf Kirch <okir@lst.de>.

	* md5-crypt/md5test.c: Correct names of MD5 functions after
	removing of public names.

	* configure.in: Don't allow --enable-kernel without parameter.

1999-10-25  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/fpu/libm-test-ulps: Remove entries caused by +-0
	problems.

1999-10-25  Thorsten Kukuk  <kukuk@suse.de>

	* md5-crypt/md5.h: Remove prototypes for public interface.  md5 is
	only used internally.
	* md5-crypt/md5-crypt.c: Use internal names for md5 functions,
	remove weak alias for public names.
	* md5-crypt/md5.c: Remove weak aliase.

1999-10-25  Andreas Jaeger  <aj@suse.de>

	* math/README.libm-test: New file, documents libm-test.inc.

1999-10-25  Andreas Jaeger  <aj@suse.de>

	* math/gen-libm-test.pl: Only generate a new ulps file when -n is
	given.
	(print_ulps_file): Fix loops to not read @tests and @functions
	since those are not initialized with -n now.
	(parse_ulps): Set $results{..}{"kind"}.

1999-10-25  Andreas Jaeger  <aj@suse.de>

	* math/gen-libm-test.pl (parse_ulps): Ignore 0 has ulp.

	* math/libm-test.inc (check_float_internal): Don't print ulps for
	wrong sign of zero.

1999-10-20  Andreas Jaeger  <aj@suse.de>

	* manual/socket.texi (Address Formats): Describe usage of AF_UNIX
	versus AF_LOCAL.
	Patch by Robert Bihlmeyer <robbe@orcus.priv.at>.

1999-10-24  Ulrich Drepper  <drepper@cygnus.com>

	* math/libm-test.inc: Disable some boundary case tests for inline
	function testing.

	* math/math.h: Pretty printing.

	* sysdeps/i386/fpu/e_atanh.S: Correct handling of NaN.
	* sysdeps/i386/fpu/e_atanhf.S: Likewise.
	* sysdeps/i386/fpu/e_atanhl.S: Likewise.
	* sysdeps/i386/fpu/e_log10.S: Likewise.
	* sysdeps/i386/fpu/e_log10f.S: Likewise.
	* sysdeps/i386/fpu/e_log10l.S: Likewise.
	* sysdeps/i386/fpu/s_log1p.S: Likewise.
	* sysdeps/i386/fpu/s_log1pf.S: Likewise.
	* sysdeps/i386/fpu/s_log1pl.S: Likewise.
	* sysdeps/i386/fpu/s_log2.S: Likewise.
	* sysdeps/i386/fpu/s_log2f.S: Likewise.
	* sysdeps/i386/fpu/s_log2l.S: Likewise.

	* sysdeps/i386/fpu/libm-test-ulps: New file.

	* sysdeps/i386/fpu/bits/mathinline.h (__expm1_code): Correct return
	value for x == 0.
	(pow): Correct case x == 0.
	(__sgn1l): Correct handling of -0.0.

1999-10-22  Andreas Jaeger  <aj@suse.de>

	* math/libm-test.inc (asinh_test): Add test for NaN as input parameter.
	(atan_test): Likewise.
	(atanh_test): Likewise.
	(atan2_test): Likewise.
	(carg_test): Likewise.
	(ceil_test): Likewise.
	(cos_test): Likewise.
	(cosh_test): Likewise.
	(cpow_test): Likewise.
	(erf_test): Likewise.
	(erfc_test): Likewise.
	(exp_test): Likewise.
	(exp10_test): Likewise.
	(exp2_test): Likewise.
	(expm1_test): Likewise.
	(fabs_test): Likewise.
	(floor_test): Likewise.
	(fmod_test): Likewise.
	(gamma_test): Likewise.
	(lgamma_test): Likewise.
	(log10_test): Likewise.
	(log1p_test): Likewise.
	(log2_test): Likewise.
	(logb_test): Likewise.
	(nearbyint_test): Likewise.
	(remainder_test): Likewise.
	(remquo_test): Likewise.
	(sin_test): Likewise.
	(sincos_test): Likewise.
	(sinh_test): Likewise.
	(sqrt_test): Likewise.
	(tan_test): Likewise.
	(tanh_test): Likewise.
	(tgamma_test): Likewise.

1999-10-21  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/ieee754/ldbl-96/s_nexttoward.c: If x == y, return y.

	* sysdeps/ieee754/dbl-64/e_lgamma_r.c: Don't handle -Inf special.

	* sysdeps/ieee754/dbl-64/e_gamma_r.c (__ieee754_gamma_r): Check
	for -Inf and return NaN.

	* configure.in: Correct test for Cygnus gcc versions.

1999-10-21  Andreas Jaeger  <aj@suse.de>

	* math/libm-test.inc (cimag_test): New function, tests cimag.
	(creal_test): New function, tests creal.
	(conj_test): New function, tests conj.
	(main): Add new functions.

1999-10-20  Andreas Jaeger  <aj@suse.de>

	* math/libm-test.inc: Rewrite to allow different deltas for real
	and imaginary part of complex functions.
	* math/gen-libm-test.pl: Likewise.

1999-10-19  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/fpu/s_nextafterl.c: Add __nextafterl and nextafterl
	aliases.

	* sysdeps/ieee754/flt-32/e_lgammaf_r.c: Don't handle -Inf special.

	* sysdeps/ieee754/flt-32/e_gammaf_r.c (__ieee754_gammaf_r): Check
	for -Inf and return NaN.

	* math/gen-libm-test.pl: Fix program name in help message.

	* math/libm-test.inc (check_complex): It's Imaginary, not Complex.

	* math/libm-test.inc (gamma_test): Result of gamma(-inf) is +inf.

	* sysdeps/i386/Implies: Correct order of libm directories.

1999-10-19  Andreas Jaeger  <aj@suse.de>

	* include/bits/ipc.h: Remove K&R compatibility.
	* include/libintl.h: Likewise.
	* include/math.h: Likewise.
	* include/mntent.h: Likewise
	* include/netdb.h: Likewise.
	* include/pwd.h: Likewise.
	* include/sched.h: Likewise.
	* include/shadow.h: Likewise
	* include/stdlib.h: Likewise.
	* include/sys/file.h: Likewise.
	* include/sys/gmon.h: Likewise.
	* include/sys/ioctl.h: Likewise.
	* include/sys/mman.h: Likewise.
	* include/sys/resource.h: Likewise.
	* include/sys/socket.h: Likewise.
	* include/sys/stat.h: Likewise.
	* include/sys/sysinfo.h: Likewise.
	* include/sys/time.h: Likewise.
	* include/sys/times.h: Likewise.
	* include/sys/uio.h: Likewise.
	* include/sys/wait.h: Likewise.
	* include/termios.h: Likewise.
	* include/time.h: Likewise.
	* include/ulimit.h: Likewise.
	* include/utmp.h: Likewise.
	* include/wchar.h: Likewise.
	* include/wctype.h: Likewise.

1999-10-19  Andreas Jaeger  <aj@suse.de>

	* math/libm-test.inc: Remove one K&R compatibility.
	(main): Enable nexttoward_test.

	* math/gen-libm-test.pl (output_ulps): Output name of Ulps file to
	libm-test-ulps.h; pretty print output a bit.

1999-10-19  Andreas Jaeger  <aj@suse.de>

	* iconv/iconv_prog.c (main): Set exit value in case that reading
	from stdin failed [PR libc/1404].

1999-10-18  Andreas Jaeger  <aj@suse.de>

	Added improved math testsuite:
	* math/libm-test.inc: New file, contains all tests from
	libm-test.c but in a different form.
	* math/libm-test.c: Removed.
	* sysdeps/generic/libm-test-ulps: New file: Fallback ulps file.
	* math/gen-libm-test.pl: New file: Preprocessor.
	* math/test-double.c: Adopted to new testsuite.
	* math/test-idouble.c: Likewise.
	* math/test-float.c: Likewise.
	* math/test-ifloat.c: Likewise.
	* math/test-ldouble.c: Likewise.
	* math/test-ildoubl.c: Likewise.
	* math/Makefile: Added rules to generate new suite.

1999-10-18  Ulrich Drepper  <drepper@cygnus.com>

	* inet/rcmd.c (iruserok2): Initialize isbad to -1 [PR libc/1405].
	Patch by J. Richard Sladkey <jrs@world.std.com>.

	* scripts/config.sub: Update from latest autoconf version.
	* scripts/config.guess: Likewise.

1999-10-18  Andreas Jaeger  <aj@suse.de>

	* inet/arpa/inet.h: Remove K&R compatibility.
	* math/fenv.h: Likewise.

1999-10-18  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/kernel_sigaction.h (struct
	kernel_sigaction): Remove K&R compatibility.
	* sysdeps/unix/sysv/linux/net/if.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/acct.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/fsuid.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/io.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/kdaemon.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/klog.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/mount.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/prctl.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/ptrace.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/quota.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/sendfile.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/swap.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/sysctl.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/sysinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/timex.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/sys/vm86.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/sys/perm.h: Likewise.

1999-10-18  Andreas Jaeger  <aj@suse.de>

	* iconv/iconv_prog.c (process_block): Save errno value from iconv call.
	Patch by Bruno Haible <haible@ilog.fr> [libc/1402].

1999-10-18  Ulrich Drepper  <drepper@cygnus.com>

	* po/gl.po: New file.

1999-10-18  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/alpha/bits/sigaction.h: Correct
	namespace selection.

1999-10-18  Andreas Schwab  <schwab@suse.de>

	* debug/xtrace.sh: Use TERMINAL_PROG instead of TERM to avoid
	clash with the TERM environment variable.

1999-10-18  Andreas Jaeger  <aj@suse.de>

	* sysdeps/generic/s_cproj.c (__cproj): Fix bug: NaN + i NaN
	returns now NaN + i NaN.
	* sysdeps/generic/s_cprojf.c (__cprojf): Likewise
	* sysdeps/generic/s_cprojl.c (__cprojl): Likewise.

1999-10-18  Andreas Jaeger  <aj@suse.de>

	* include/aio.h: Remove K&R compatiblity.
	* include/alloca.h: Likewise.
	* include/db.h: Likewise.
	* include/dirent.h: Likewise.
	* include/fcntl.h: Likewise.
	* include/fpu_control.h: Likewise.
	* include/glob.h: Likewise.
	* include/grp.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/errno.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/sched.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/socket.h: Likewise.

	* include/execinfo.h: Add __THROW.

1999-10-18  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/mips/Implies: Remove wordsize-32 reference.
	* sysdeps/mips/mips3/Implies: Add it here.

1999-10-17  Ulrich Drepper  <drepper@cygnus.com>

	* elf/elf.h: Add various platform and architecture extensions.

	* locale/lc-collate.c (_nl_postload_collate): Disable code for now.
	* locale/setlocale.c (setlocale): Don't call _nl_find_locale for
	LC_ALL.

	* socket/sys/socket.h: Remove K&R compatibility.

1999-10-16  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/bits/in.h: Added struct in_pktinfo.

1999-10-15  Andreas Jaeger  <aj@suse.de>

	* stdlib/Makefile (tests): Added tst-xpg-basename.

	* stdlib/tst-xpg-basename.c: New test file.

1999-10-14  Cristian Gafton  <gafton@redhat.com>

	* string/bits/string2.h (__stpcpy_small): Make -pedantic shut up.

1999-10-14  Andreas Jaeger  <aj@suse.de>

	* resolv/inet_addr.c (inet_aton): Fix last patch.  The little
	endian version works for both endiannesses.

	* sysdeps/unix/sysv/linux/sleep.c (__sleep): Optimize for zero
	seconds.

1999-10-12  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/sys/ucontext.h: Don't define
	register names unconditionally, only if __USE_GNU.

	* debug/Makefile: Fix rules to generate pcprofiledump.

	* include/ucontext.h: New file.

	* locale/setlocale.c: Fix gcc warning about uninitialized variable.

1999-10-12  Andreas Jaeger  <aj@suse.de>

	* stdlib/tst-environ.c: Include <string.h> for strcpy declaration.

	* math/basic-test.c: Fix typo.

	* locale/programs/xstrdup.c: Include string.h for glibc
	compilation to get string prototypes.

	* sysdeps/unix/sysv/linux/alpha/sys/ucontext.h: Add definition of
	gregset_t and fpregset_t.

	* sysdeps/generic/s_nexttowardf.c: Add parenthesis to shut up gcc
	warnings.  Correct value for x == 0.

	* argp/argp-help.c: Remove broken definition of flockfile and
	funlockfile.

1999-10-12  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/alpha/bits/sigaction.h: Update to match
	generic Linux version.

1999-10-12  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/bits/sigaction.h: Remove K&R compatibility.

1999-10-11  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/powerpc/sys/ucontext.h: Add gregset_t
	and fpregset_t definitions.

	* malloc/memprof.c (GETSP): Define for PowerPC.
	(GETTIME): Fix generic version.

1999-10-10  Philip Blundell  <philb@gnu.org>

	* sunrpc/xdr_float.c (LSW): Depend on __FLOAT_WORD_ORDER not
	__BYTE_ORDER.

1999-10-11  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/powerpc/socket.S: Adjust asm syntax.
	* sysdeps/unix/sysv/linux/powerpc/clone.S: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/syscall.S: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/brk.S: Likewise.

	* sysdeps/powerpc/Makefile [math] (libm-support): Remove t_sqrt.

	* sysdeps/powerpc/e_sqrt.c: Moved to...
	* sysdeps/powerpc/fpu/e_sqrt.c: ...here.
	* sysdeps/powerpc/e_sqrtf.c: Moved to...
	* sysdeps/powerpc/fpu/e_sqrtf.c: ...here.

	* sysdeps/powerpc/submul_1.S: Adjust asm syntax.
	* sysdeps/powerpc/sub_n.S: Likewise.
	* sysdeps/powerpc/strlen.S: Likewise.
	* sysdeps/powerpc/strcpy.S: Likewise.
	* sysdeps/powerpc/strcmp.S: Likewise.
	* sysdeps/powerpc/strchr.S: Likewise.
	* sysdeps/powerpc/stpcpy.S: Likewise.
	* sysdeps/powerpc/setjmp.S: Likewise.
	* sysdeps/powerpc/rshift.S: Likewise.
	* sysdeps/powerpc/ppc-mcount.S: Likewise.
	* sysdeps/powerpc/mul_1.S: Likewise.
	* sysdeps/powerpc/memset.S: Likewise.
	* sysdeps/powerpc/lshift.S: Likewise.
	* sysdeps/powerpc/dl-start.S: Likewise.
	* sysdeps/powerpc/bzero.S: Likewise.
	* sysdeps/powerpc/bsd-setjmp.S: Likewise.
	* sysdeps/powerpc/bsd-_setjmp.S: Likewise.
	* sysdeps/powerpc/addmul_1.S: Likewise.
	* sysdeps/powerpc/add_n.S: Likewise.
	* sysdeps/powerpc/__longjmp.S: Likewise.
	* sysdeps/powerpc/elf/start.S: Likewise.

1999-10-11  Cristian Gafton  <gafton@redhat.com>

	* sysdeps/unix/sysv/linux/alpha/bits/sigaction.h: Declare
	SA_SIGINFO.

1999-10-10  Ulrich Drepper  <drepper@cygnus.com>

	* stdlib/atexit.c (initial): New variable.  Use to initialize
	__exit_funcs.
	* stdlib/exit.c (exit): Beware to not free statically allocated
	list element [PR libc/1305].

	* stdlib/xpg_basename.c (__xpg_basename): Don't return pointer to
	slash before the basename [PR libc/1383].

	* argp/argp.h: Fix typo in last patch.

	* sysdeps/powerpc/sysdep.h: New file.
	* sysdeps/unix/powerpc/sysdep.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/sysdep.h: Include
	sysdeps/unix/powerpc/sysdep.h, not sysdeps/unix/sysdep.h.
	* sysdeps/powerpc/fpu/s_copysign.S: Use symbolic names for registers
	instead of bare numbers.
	* sysdeps/powerpc/fpu/s_fabs.S: Likewise.
	* sysdeps/powerpc/fpu/s_fmax.S: Likewise.
	* sysdeps/powerpc/fpu/s_fmin.S: Likewise.

	* sysdeps/hppa/sysdep.h: New file.

1999-10-10  Andreas Jaeger  <aj@suse.de>

	* misc/sgtty.h: Fix typo in last patch.

1999-10-09  Ulrich Drepper  <drepper@cygnus.com>

	* nss/getXXbyYY_r.c (do_weak_alias): Remove unnecessary parenthesis.
	* sysdeps/powerpc/s_copysign.S: Move to...
	* sysdeps/powerpc/fpu/s_copysign.S: ...here.  Use portable asm syntax.
	* sysdeps/powerpc/s_copysignf.S: Move to...
	* sysdeps/powerpc/fpu/s_copysignf.S: ...here.
	* sysdeps/powerpc/s_fabs.S: Move to...
	* sysdeps/powerpc/fpu/s_fabs.S: ...here.  Use portable asm syntax.
	* sysdeps/powerpc/s_fabsf.S: Move to...
	* sysdeps/powerpc/fpu/s_fabsf.S: ...here.
	* sysdeps/powerpc/s_fdim.c: Move to...
	* sysdeps/powerpc/fpu/s_fdim.c: ...here.
	* sysdeps/powerpc/s_fdimf.c: Move to...
	* sysdeps/powerpc/fpu/s_fdimf.c: ...here.
	* sysdeps/powerpc/s_fmax.S: Move to...
	* sysdeps/powerpc/fpu/s_fmax.S: ...here.  Use portable asm syntax.
	* sysdeps/powerpc/s_fmaxf.S: Move to...
	* sysdeps/powerpc/fpu/s_fmaxf.S: ...here.
	* sysdeps/powerpc/s_fmin.S: Move to...
	* sysdeps/powerpc/fpu/s_fmin.S: ...here.  Use portable asm syntax.
	* sysdeps/powerpc/s_fminf.S: Move to...
	* sysdeps/powerpc/fpu/s_fminf.S: ...here.
	* sysdeps/powerpc/s_isnan.S: Move to...
	* sysdeps/powerpc/fpu/s_isnan.c: ...here.
	* sysdeps/powerpc/s_isnanf.S: Move to...
	* sysdeps/powerpc/fpu/s_isnanf.S: ...here.
	* sysdeps/powerpc/s_llrint.c: Move to...
	* sysdeps/powerpc/fpu/s_llrint.c: ...here.
	* sysdeps/powerpc/s_llrintf.c: Move to...
	* sysdeps/powerpc/fpu/s_llrintf.c: ...here.
	* sysdeps/powerpc/s_llround.c: Move to...
	* sysdeps/powerpc/fpu/s_llround.c: ...here.
	* sysdeps/powerpc/s_llroundf.c: Move to...
	* sysdeps/powerpc/fpu/s_llroundf.c: ...here.
	* sysdeps/powerpc/s_lrint.c: Move to...
	* sysdeps/powerpc/fpu/s_lrint.c: ...here.
	* sysdeps/powerpc/s_lrintf.S: Move to...
	* sysdeps/powerpc/fpu/s_lrintf.S: ...here.
	* sysdeps/powerpc/s_lround.c: Move to...
	* sysdeps/powerpc/fpu/s_lround.c: ...here.
	* sysdeps/powerpc/s_lroundf.c: Move to...
	* sysdeps/powerpc/fpu/s_lroundf.c: ...here.
	* sysdeps/powerpc/s_rint.c: Move to...
	* sysdeps/powerpc/fpu/s_rint.c: ...here.
	* sysdeps/powerpc/s_rintf.c: Move to...
	* sysdeps/powerpc/fpu/s_rintf.c: ...here.
	* sysdeps/powerpc/t_sqrt.c: Move to...
	* sysdeps/powerpc/fpu/t_sqrt: ...here.
	* sysdeps/powerpc/w_sqrt.c: Move to...
	* sysdeps/powerpc/fpu/w_sqrt.c: ...here.
	* sysdeps/powerpc/w_sqrtf.c: Move to...
	* sysdeps/powerpc/fpu/w_sqrtf.c: ...here.
	* configure.in: Support platforms which have no .text pseudo-op.
	Patches partly by Jimi X <jimix@pobox.com>.

	* Makeconfig: Look also in all subdirs for shlib-versions files.

	* malloc/memprof.sh: Fix --help string a bit.

	* argp/argp.h: Remove K&R compatiblity.
	* assert/assert.h: Likewise.
	* catgets/nl_types.h: Likewise.
	* ctype/ctype.h: Likewise.
	* db/db.h: Likewise.
	* db/ndbm.h: Likewise.
	* db2/db.h: Likewise.
	* db2/db_185.h: Likewise.
	* debug/execinfo.h: Likewise.
	* dirent/dirent.h: Likewise.
	* dlfcn/dlfcn.h: Likewise.
	* gmon/sys/gmon.h: Likewise.
	* grp/grp.h: Likewise.
	* iconv/gconv.h: Likewise.
	* iconv/iconv.h: Likewise.
	* include/execinfo.h: Likewise.
	* inet/aliases.h: Likewise.
	* inet/netinet/ether.h: Likewise.
	* inet/netinet/in.h: Likewise.
	* intl/libintl.h: Likewise.
	* io/fcntl.h: Likewise.
	* io/fts.h: Likewise.
	* io/ftw.h: Likewise.
	* io/utime.h: Likewise.
	* io/sys/poll.h: Likewise.
	* io/sys/stat.h: Likewise.
	* io/sys/statfs.h: Likewise.
	* io/sys/statvfs.h: Likewise.
	* libio/libio.h: Likewise.
	* libio/stdio.h: Likewise.
	* linuxthreads/sysdeps/pthread/pthread.h: Likewise.
	* locale/locale.h: Likewise.
	* login/pty.h: Likewise.
	* login/utmp.h: Likewise.
	* malloc/mcheck.h: Likewise.
	* math/complex.h: Likewise.
	* math/math.h: Likewise.
	* math/math_private.h: Likewise.
	* misc/err.h: Likewise.
	* misc/fstab.h: Likewise.
	* misc/libgen.h: Likewise.
	* misc/mntent.h: Likewise.
	* misc/regexp.h: Likewise.
	* misc/search.h: Likewise.
	* misc/sgtty.h: Likewise.
	* misc/ttyent.h: Likewise.
	* misc/sys/cdefs.h: Likewise.
	* misc/sys/file.h: Likewise.
	* misc/sys/ioctl.h: Likewise.
	* misc/sys/mman.h: Likewise.
	* misc/sys/select.h: Likewise.
	* misc/sys/syslog.h: Likewise.
	* misc/sys/uio.h: Likewise.
	* misc/sys/ustat.h: Likewise.
	* nss/nss.h: Likewise.
	* posix/sched.h: Likewise.
	* posix/unistd.h: Likewise.
	* posix/wordexp.h: Likewise.
	* posix/sys/times.h: Likewise.
	* posix/sys/utsname.h: Likewise.
	* posix/sys/wait.h: Likewise.
	* pwd/pwd.h: Likewise.
	* resolv/netdb.h: Likewise.
	* resolv/resolv.h: Likewise.
	* resource/ulimit.h: Likewise.
	* resource/sys/resource.h: Likewise.
	* resource/sys/vlimit.h: Likewise.
	* resource/sys/vtimes.h: Likewise.
	* rt/aio.h: Likewise.
	* setjmp/setjmp.h: Likewise.
	* shadow/shadow.h: Likewise.
	* signal/signal.h: Likewise.
	* socket/socket.h: Likewise.
	* stdio/stdio.h: Likewise.
	* stdio-common/_itoa.h: Likewise.
	* stdio-common/_itowa.h: Likewise.
	* stdio-common/printf.h: Likewise.
	* stdlib/alloca.h: Likewise.
	* stdlib/fmtmsg.h: Likewise.
	* stdlib/monetary.h: Likewise.
	* stdlib/stdlib.h: Likewise.
	* stdlib/ucontext.h: Likewise.
	* streams/stropts.h: Likewise.
	* string/argz.h: Likewise.
	* string/envz.h: Likewise.
	* string/string.h: Likewise.
	* string/strings.h: Likewise.
	* string/bits/string2.h: Likewise.
	* sunrpc/rpc/auth.h: Likewise.
	* sunrpc/rpc/auth_des.h: Likewise.
	* sunrpc/rpc/auth_unix.h: Likewise.
	* sunrpc/rpc/clnt.h: Likewise.
	* sunrpc/rpc/des_crypt.h: Likewise.
	* sunrpc/rpc/netdb.h: Likewise.
	* sunrpc/rpc/pmap_clnt.h: Likewise.
	* sunrpc/rpc/pmap_prot.h: Likewise.
	* sunrpc/rpc/pmap_rmt.h: Likewise.
	* sunrpc/rpc/rpc_msg.h: Likewise.
	* sunrpc/rpc/svc.h: Likewise.
	* sunrpc/rpc/svc_auth.h: Likewise.
	* sunrpc/rpc/xdr.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/sigstack.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/socket.h: Likewise.
	* sysvipc/sys/ipc.h: Likewise.
	* sysvipc/sys/msg.h: Likewise.
	* sysvipc/sys/sem.h: Likewise.
	* sysvipc/sys/shm.h: Likewise.
	* termios/termios.h: Likewise.
	* time/time.h: Likewise.
	* time/sys/time.h: Likewise.
	* time/sys/timeb.h: Likewise.
	* wcsmbs/wchar.h: Likewise.
	* wctype/wctype.h: Likewise.

1999-10-05  Roland McGrath  <roland@baalperazim.frob.com>

	* mach/mach/mig_support.h [! __USE_GNU]: Use #error to insist that
	_GNU_SOURCE be defined.

1999-10-08  Ulrich Drepper  <drepper@cygnus.com>

	* ctype/ctype.h: Pretty print.

	* po/cs.po: Fix typos.

	* nis/nss_nisplus/nisplus-parser.c (_nss_nisplus_parse_spent): Fix
	handling of empty entries.  [PR libc/1345]
	Patch by Thorsten Kukuk <kukuk@suse.de>.

1999-10-08  Andreas Schwab  <schwab@suse.de>

	* debug/xtrace.sh: Fix quoting bugs.  Implement --help and --version.

1999-10-08  Andreas Schwab  <schwab@suse.de>

	* debug/pcprofiledump.c: Fix typos.

1999-10-07  Andreas Jaeger  <aj@suse.de>

	* math/Makefile (tests): Added basic-tests.

	* math/basic-test.c: New file.  Contains function basic_tests from
	libm-test.

1999-10-07  Andreas Schwab  <schwab@suse.de>

	* malloc/memprof.sh: Fix quoting bugs.

1999-10-08  Ulrich Drepper  <drepper@cygnus.com>

	* timezone/europe: Update from tzdata1999h.

1999-10-07  Ulrich Drepper  <drepper@cygnus.com>

	* elf/elf.h: Update from last gABI draft.

	* elf/elf.h: Remove EM_486 entry.
	* sysdeps/i386/dl-machine.h (elf_machine_matches_host): Remove
	test for EM_486.

1999-10-07  Ulrich Drepper  <drepper@cygnus.com>

	* debug/Makefile (install-bin): Add pcprofiledump and xtrace.
	Add rules for both programs.
	* debug/pcprofiledump.c: New file.
	* debug/xtrace.sh: New file.
	* debug/pcprofile.c: Allow creating output file.  Add magic signature
	to let reader recognize file format.

1999-10-06  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-ctype.c (ctype_read): Fix typos in last patch.

1999-10-05  Andreas Jaeger  <aj@suse.de>

	* locale/programs/ld-identification.c: Fix typo in comment.
	* locale/programs/ld-messages.c: Likewise.
	* locale/programs/ld-monetary.c: Likewise.
	* locale/programs/ld-name.c: Likewise.

	* locale/programs/ld-collate.c (read_lc_collate): Fix typo in comment.
	(collate_read): Remove unnecessary comparisons with ignore_content.

	* locale/programs/ld-ctype.c (ctype_finish): Loop only over actual
	assigned elements.
	(ctype_read): Remove unnecessary comparisons with ignore_content.
	Fix typos in comments.

	* locale/programs/ld-address.c (STR_ELEM): Remove unnecessary
	comparisons with ignore_content.

1999-10-05  Ulrich Drepper  <drepper@cygnus.com>

	* po/cs.po: Update.

	* time/time.h: Move __gmtime_r declaration to ...
	* include/time.h: ...here.

1999-10-05  Andreas Jaeger  <aj@suse.de>

	* manual/message.texi (The message catalog files): Fix description
	to match gencat implementation and Unix98: Message fields are
	separated by a single blank space.

1999-10-05  Andreas Jaeger  <aj@suse.de>

	* manual/string.texi (Search Functions): Add missing end for
	memrchr description.

1999-10-04  Ulrich Drepper  <drepper@cygnus.com>

	* malloc/memprof.sh: Various small cleanups.  Add short options.
	Write error messages to stderr.

	* malloc/Makefile ($(objpfx)memprof): Fix typo in rule.

	* malloc/memprof.sh: Take options to control memprofstat.

	* malloc/Makefile: Add rule to generate memprof script.
	* malloc/memprof.sh: New file.

	* elf/ldd.bash.in: Add "Usage: " in help message to comply with
	GNU standard.

1999-10-04  Andreas Jaeger  <aj@suse.de>

	* configure.in: Allow makeinfo 4.*.

1999-10-04  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/vfprintf.c: Correct last patch and use outchar
	instead of PUTC to output single characters.
	* stdio-common/Makefile (tests): Add bug13.
	* stdio-common/bug13.c: New file.

	* configure.in: Add additional options --with-gd-include and
	--with-gd-lib to help people with strange installations.

	* malloc/Makefile: Add libdl dependency to libmemprof.so.
	* malloc/Depend: New file.

1999-10-04  Andreas Jaeger  <aj@suse.de>

	* timezone/README: Change wording to not mention the current
	version.  This way we can't forget to update the file.

1999-10-04  Andreas Jaeger  <aj@suse.de>

	* manual/time.texi (Basic CPU Time): Fix typo.
	Reported by Ben Pfaff <pfaffben@msu.edu>.

1999-10-04  Ulrich Drepper  <drepper@cygnus.com>

	* string/string.h: Move __memrchr declaration to ...
	* include/string.h: ...here.

1999-10-03  Ulrich Drepper  <drepper@cygnus.com>

	* string/Makefile (routines): Add memrchr.

	* sysdeps/generic/memrchr.c: Don't undef memchr, undef memrchr.
	Correct order of tests for matching bytes.

	* string/tester.c: Add tests for memrchr.

	* sysdeps/i386/i486/bits/string.h (__memrchr): Correct implementation.
	Start from the last character and take decrement not increment
	into account for correction in return line.  Add memrchr alias.
	* sysdeps/i386/bits/string.h: Likewise.

1999-10-04  Roland McGrath  <roland@baalperazim.frob.com>

	* stdlib/stdlib.h [__USE_BSD]: Declare getloadavg.

1999-10-03  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/i486/bits/string.h (__memrchr): New function.

	* sysdeps/i386/bits/string.h (__memrchr): Add cld to comply to
	conventions.

	* string/Versions: Export memrchr.

1999-10-04  Roland McGrath  <roland@baalperazim.frob.com>

	* misc/Versions (GLIBC_2.2): Add getloadavg.
	* misc/Makefile (routines): Add getloadavg.
	* sysdeps/generic/getloadavg.c: New file.
	* sysdeps/mach/getloadavg.c: New file.
	* sysdeps/unix/sysv/linux/getloadavg.c: New file.

	* sysdeps/generic/memrchr.c: New file, adapted from memchr.c.
	* sysdeps/i386/bits/string.h (__memrchr): New function.
	* string/string.h: Declare memrchr, __memrchr.
	* manual/string.texi (Search Functions): Document memrchr.

1999-10-03  Ulrich Drepper  <drepper@cygnus.com>

	* configure.in: Accept --with-gd option and set all libgd-LDFLAGS,
	CFLAGS-memprofstat.c, and LIBGD variables.
	* config.make.in: Add LIBGD.
	* malloc/Makefile: Add rules to generate libmemprof.so and
	memprofstat.
	* malloc/memprof.c: New file.
	* malloc/memprofstat.c: New file.

1999-10-02  Ulrich Drepper  <drepper@cygnus.com>

	* resolv/nsap_addr.c (inet_nsap_addr): Little optimization.

	* resolv/inet_ntop.c (inet_ntop4): Little optimization.
	(inet_ntop6): Likewise.

	* resolv/inet_net_pton.c (inet_net_pton_ipv4): Prevent buffer
	overruns.

	* resolv/tst-aton.c (main): Add more tests.

	* resolv/inet_addr.c (inet_aton): Correct some problems with to
	large numbers.  Optimize a bit.

1999-10-01  Ulrich Drepper  <drepper@cygnus.com>

	* resolv/inet_net_ntop.c (inet_net_ntop_ipv4): If BITS is zero
	account for added '0'.

	* resolv/nss_dns/dns-host.c (_nss_dns_gethostbyaddr_r): Align
	handling of IPv6 tunnel address handling with bind 8.2.1.  Allow
	len argument to be greater than needed address size.

1999-10-01  Andreas Jaeger  <aj@suse.de>

	* locale/programs/ld-collate.c (insert_value): Add cast to avoid
	warning.
	* intl/finddomain.c (_nl_find_domain): Likewise.

1999-09-30  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/alpha/ioperm.c: Disable debug messages.

1999-09-30  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/lshift.S: Correct assembler commands to fix warnings.
	* sysdeps/i386/rshift.S: Likewise.
	* sysdeps/i386/strchrnul.S: Likewise.
	* sysdeps/i386/strchr.S: Likewise.
	Patch by Michael Deutschmann <michael@talamasca.wkpowerlink.com>,
	PR libc/1339.

1999-09-30  Andreas Jaeger  <aj@suse.de>

	* manual/examples/pipe.c: Close other end of pipe to make example work.

1999-10-01  Ulrich Drepper  <drepper@cygnus.com>

	* timezone/checktab.awk: Update from tzcode1999g.
	* timezone/tzselect.ksh: Likewise.
	* timezone/africa: Update from tzdata1999g.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/europe: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/iso3166.tab: Likewise.
	* timezone/zone.tab: Likewise.

1999-09-27  Andreas Jaeger  <aj@suse.de>

	* resolv/netdb.h: Remove declaration of getnodebyname.  It has
	been renamed to getipnodebyname.  Move flags around.

1999-09-27  Andreas Schwab  <schwab@suse.de>

	* manual/message.texi (Locating gettext catalog): Fix typos.

1999-09-27  Andreas Jaeger  <aj@suse.de>

	* manual/socket.texi (Out-of-Band Data): Correct example program,
	rename some variables for clarity.
	Reported by James Antill <james@and.org>, close PR libc/1329.

1999-09-27  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-collate.c (insert_value): Add hack to not
	crash in incomplete collate implementation.

	* locale/programs/ld-collate.c (read_directions): Read new token
	after accepting sorting rule.

1999-09-26  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-ctype.c (charclass_symbolic_ellipsis): Fix
	error message printing.  Correctly test whether all characters of
	current token are used.
	(ctype_read): NUL terminate last_str.

1999-09-26  Thorsten Kukuk  <kukuk@suse.de>

	* nscd/connections.c: Invalidate caches on request.
	* nscd/nscd-client.h: Add INVALIDATE to request_type.
	* nscd/nscd.c: Add invalidate cache option.
	* nscd/nscd.conf: Change log directory to /var/log (FHS).

1999-09-24  Ulrich Drepper  <drepper@cygnus.com>

	* nis/nss_nisplus/nisplus-parser.c (_nss_nisplus_parse_grent): Do
	not ovverwrite last group member with NULL pointer.
	Reported by Thomas Winder <thomas.winder@newlogic.at>.

1999-09-24  Andreas Jaeger  <aj@suse.de>

	* stdio-common/tst-printf.c (main): Add a testcase for large
	precision.  Reported by Tymm Twillman <tymm@coe.missouri.edu>.

1999-09-24  Andreas Schwab  <schwab@suse.de>

	* math/bits/mathcalls.h: Fix last change.  Also declare __finite.

1999-09-24  Andreas Jaeger  <aj@suse.de>

	* intl/finddomain.c (_nl_find_domain): Fix memory leak: Free
	normalized_codeset.  Reported by Belicky Zsolt <zsolt@prolan.hu>.

1999-09-23  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/unix/sysv/linux/Makefile [malloc] (CFLAGS-malloc.c): New
	variable.  Define MORECORE_CLEARS to 2.

	* malloc/malloc.c (cALLOc): Correctly handle systems where sbrk
	doesn't clear the contents of memory that is reallocated after
	decrementing the break value first.  Update comment about
	MORECORE_CLEARS, explaining the meaning of the values it can be
	set to.

1999-09-23  Ulrich Drepper  <drepper@cygnus.com>

	* nis/nss_compat/compat-pwd.c (internal_getpwuid_r): Set errno in
	one more case.

	* sysdeps/i386/fpu/bits/mathinline.h (atan): Add st(1) to clobbers.
	(log): Likewise.
	(log10): Likewise.
	(log1p): Likewise.
	(log2): Likewise.

1999-09-22  Andreas Jaeger  <aj@suse.de>

	* stdio-common/tstscanf.c (main): Add test case from PR libc/1313
	reported by Ben Caradoc-Davies <bmcd@physics.otago.ac.nz>.

1999-09-22  Andreas Schwab  <schwab@suse.de>

	* stdio-common/vfscanf.c: Fix width handling when scanning floats.

1999-04-02  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* elf/Makefile (CFLAGS-multiload.c): Change to allow building in
	the source directory.  Fixes PR libc/1059.

1999-09-21  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/repertoire.c (repertoire_find_value): Abort if
	rep parameter is NULL.
	(repertoire_find_symbol): Likewise.
	(repertoire_find_seq): Likewise.

1999-09-20  Jean-Louis Martineau  <martinea@IRO.UMontreal.CA>

	* nis/nss_compat/compat-pwd.c (getpwuid_plusgroup): Correct
	returned errno value in some cases.

1999-09-19  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile (modules): Add GBK.
	(distribute): Add gbk.c.
	* iconvdata/gbk.c: New file.
	* iconvdata/gconv-modules: Add GBK entry.
	Contributed by Sean Chen <sean.chen@turbolinux.com>.

	* locale/programs/ld-monetary.c (monetary_output): Remove
	byte-order code.

	* locale/programs/ld-time.c (time_output): Correct expected number
	of iov entries.

	* manual/filesys.texi (Testing File Access): Correct description of
	SUID.

1999-080-25  H.J. Lu  <hjl@gnu.org>

	* csu/defs.awk (.end): Only match with leading white spaces.
	(.align): Likewise.

1999-09-19  Ulrich Drepper  <drepper@cygnus.com>

	* stdlib/isomac.c: Add va_copy to allowed macros.

	* po/pl.po: Updated.

1999-09-17  Andreas Schwab  <schwab@suse.de>

	* Makefile (clean): Also remove $(postclean) files.

1999-09-15  Andreas Jaeger  <aj@suse.de>

	* pwd/Makefile (otherlibs): Add for building with static-nss.
	* inet/Makefile (otherlibs): Likewise.

1999-09-15  Andreas Jaeger  <aj@suse.de>

	* sysdeps/generic/aio_sigqueue.c (__aio_sigqueue): Use old style
	function definition to avoid a compilation failure.

1999-09-15  Andreas Jaeger  <aj@suse.de>

	* stdlib/tst-environ.c (main): Add getenv regression test for
	environment variable that's one character long.

1999-09-15  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/i386/sigaction.c: Protect real time
	signal definitions to let glibc compile with older Linux versions
	(2.0.10 to 2.1.100 or so).

1999-09-18  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/mach/hurd/wait4.c (__wait4): When proc_wait returns EAGAIN,
	return zero to indicate no children died yet (assuming WNOHANG).

	* sysdeps/mach/hurd/setsid.c: #include <hurd/fd.h>.

1999-09-17  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd/port2fd.c (_hurd_port2fd): Never change CTTYID port.

	* sysdeps/mach/hurd/setsid.c (__setsid): Fix return type -> pid_t.
	Return _hurd_pgrp instead of 0.

1999-09-19  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/mach/hurd/brk.c (_hurd_set_brk): Deallocate and reallocate
	pages rather than just reprotecting them.  This way we don't hold on
	to the backing space.

	* hurd/hurdprio.c (_hurd_priority_which_map): Rearrange the code a bit.
	Use __munmap instead of __vm_deallocate.

1999-09-18  Ulrich Drepper  <drepper@cygnus.com>

	* nis/nss_compat/compat-grp.c (getgrgid_plusgroup): Correct
	returned errno value in some cases.

1999-09-17  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/Makefile (CFLAGS-initfini.s): Add also -mcpu=i386
	to override user settings.

1999-09-17  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/semctl.c: Copy the argument instead of
	using a pointer to it.

1999-09-16  Ulrich Drepper  <drepper@cygnus.com>

	* time/getdate.c (__getdate_r): Pass correct year to check_mday.
	Reported by Vern Staats <staatsvr@asc.hpc.mil>.

1999-09-14  Ulrich Drepper  <drepper@cygnus.com>

	* db2/mutex/sparc.gcc (TSL_UNSET): Dereference pointer.

	* elf/elf.h (PF_MASKOS): New definition.
	(EM_VAX): New definition.

1999-08-09  Scott Bambrough  <scottb@netwinder.org>

	* sysdeps/unix/sysv/linux/arm/sys/user.h: Added members
	'unsigned char ftype[8]', and 'unsigned int init_flag' to
	struct user_fp.  These were added in version 2.2.12 of the
	ARM Linux kernel.
	* sysdeps/unix/sysv/linux/arm/sys/elf.h: New file.
	* sysdeps/unix/sysv/linux/arm/sys/procfs.h: New file.
	The generic procfs.h included <asm/elf.h>.  This causes
	structure redefinition errors when <sys/user.h> and <sys/procfs.h>
	are included in the same source file.  Found when building GDB.

1999-09-13  Ulrich Drepper  <drepper@cygnus.com>

	* locale/langinfo.h: Remove byte-order dependent names.
	* locale/categories.def: Update after removal of byte-order dependent
	names.
	* locale/loadlocale.c (_nl_load_locale): Don't allow locale files
	with magic number in other byte order.
	* locale/newlocale.c (__newlocale): Remove byte-order dependent code.
	* locale/C-collate.c: Remove initializers for other byte-order.
	* locale/C-ctype.c: Likewise.
	* locale/C-monetary.c: Likewise.
	* locale/C-paper.c: Likewise.
	* locale/C-time.c: Likewise.
	* locale/lc-collate.c: Remove byte-order oriented initialization.
	* locale/lc-ctype.c: Likewise.
	* locale/lc-monetary.c: Likewise.
	* locale/lc-time.c: Likewise.
	* locale/programs/ld-address.c: Don't generate output in both
	byte-orders.
	* locale/programs/ld-ctype.c: Likewise.
	* locale/programs/ld-paper.c: Likewise.
	* locale/programs/ld-time.c: Likewise.
	* time/strftime.c (NLW): Don't use different byte-orders.
	* wctype/cname-lookup.h (cname_lookup): Likewise.

	* Makeconfig (localedir): Define using libdir, not datadir.
	(msgcatdir): New variable.
	* catgets/Makefile (CPPFLAGS): Define NLSPATH using msgcatdir.
	* elf/Makefile (bash-ldd-rewrite): Replace @TEXTDOMAINDIR@ using
	msgcatdir.
	* intl/Makefile (install-others): Install locale.alias in msgcatdir.
	(CPPFLAGS): Define paths using msgcatdir.
	* locale/Makefile (CPPFLAGS): Define LOCALE_ALIAS_PATH using msgcatdir.
	* po/Makefile (mo-installed): Define using msgcatdir.

	* sysdeps/unix/sysv/linux/net/if_arp.h: Fix typo.

1999-09-12  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/vfprintf.c: Remove limitation on size of precision
	for integers.

	* posix/fnmatch.c (internal_fnmatch): Make it compilable outside
	glibc by defining internal_function if it isn't already.

	* resolv/nss_dns/dns-host.c (_nss_dns_gethostbyname2_r): If res_search
	fails don't rely on errno value.
	(getanswer_r): Set *ERRNOP in error cases.

	* sysdeps/posix/getaddrinfo.c (gaih_local): Test protocol and socktype.
	(gaih_inet_serv): Return EIA_NODATA if name is known but has no
	associated data.  Test for matching numeric address and family.
	(getaddrinfo): Remember EAI_NODATA result and return this in case
	everything fails.
	Reported by Arkadiusz Miskiewicz <misiek@misiek.eu.org>.

	* locale/programs/ld-address.c: Fix handling of non-existing
	definitions for this category.  Correctly ignore content of this
	category is this is necessary.
	* locale/programs/ld-collate.c: Likewise.
	* locale/programs/ld-ctype.c: Likewise.
	* locale/programs/ld-identification.c: Likewise.
	* locale/programs/ld-measurement.c: Likewise.
	* locale/programs/ld-messages.c: Likewise.
	* locale/programs/ld-monetary.c: Likewise.
	* locale/programs/ld-name.c: Likewise.
	* locale/programs/ld-numeric.c: Likewise.
	* locale/programs/ld-paper.c: Likewise.
	* locale/programs/ld-telephone.c: Likewise.
	* locale/programs/ld-time.c: Likewise.
	* locale/programs/locfile.h (handle_copy): Take extra parameter
	with result pointer.  Fill in name of locale from which to copy.
	Correctly read token after `END'.

	* locale/programs/localedef.c (main): Correct handling copy.
	(add_to_readlist): Take extra parameter which says whether we
	are supposed to read the file or not.
	(find_locale): Call add_to_readlist with extra parameter set to 0.

	* locale/programs/localedef.h (struct localedef_t): Use __LC_LAST
	instead of wrong number in array definitions.
	(add_to_readlist): Update prototype.

	* locale/programs/locfile.c (locfile_read): Mark categories not
	available in source file as read.
	(write_all_categories): Fix typo.

	* locale/programs/locales.h: Removed.

1999-09-10  Ulrich Drepper  <drepper@cygnus.com>

	* elf/elf.h (SHF_MASKOS): Added.

	* sysdeps/unix/sysv/linux/sys/raw.h (RAW_MAJOR): Added.

1999-09-08  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/install.texi (Configuring and compiling): Mention GCC 2.95.

1999-09-08  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* configure.in: Fix make version test for make 3.77.95 and later
	versions.
	Based on a patch by Paul D. Smith <psmith@baynetworks.com>.

1999-09-10  Ulrich Drepper  <drepper@cygnus.com>

	* wcsmbs/wchar.h (WCHAR_MIN, WCHAR_MAX): Use all-numeric values.

	* sysdeps/generic/stdint.h: Correct WCHAR_MIN, WCHAR_MAX, and
	WINT_MAX values.

	* wctype/wctype.h: Remove incorrect towlower/towupper optimizations.

1999-09-09  Andreas Schwab  <schwab@suse.de>

	* elf/link.h: Fix comment.

1999-09-10  Ulrich Drepper  <drepper@cygnus.com>

	* math/bits/mathcalls.h: Add __isnan declaration [PR libc/1294].

	* math/math.h: Pretty print.

1999-09-10  Andreas Schwab  <schwab@suse.de>

	* sysdeps/generic/getenv.c (getenv): Fix lookup for single
	character variable on bigendian platforms without unaligned memory
	access.

1999-09-07  Cristian Gafton  <gafton@redhat.com>

	* sysdeps/unix/sysv/linux/sys/raw.h: New file
	* sysdeps/unix/sysv/linux/Dist: Add raw.h.
	* sysdeps/unix/sysv/linux/Makefile [misc] (sysdep_headers): Add raw.h.

1999-09-06  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/alpha/Dist: Add sys/user.h.

	* time/ap.c: Removed.  It was not used.
	* time/date.c: Likewise.
	* sysdeps/unix/nlist.c: Likewise.
	* sysdeps/generic/nlist.c: Likewise.
	* sysdeps/generic/varargs.h: Likewise.
	* stdio-common/scanf11.c: Likewise.
	* stdio-common/scanf6.c: Likewise.
	* scripts/=__ify: Likewise.
	* scripts/printsources: Likewise.
	* resolv/getnetnamadr.c: Likewise.
	* posix/id.c: Likewise.
	* misc/ioctltst.c: Likewise.
	* misc/nlist.h: Likewise.
	* math/test-math.h: Likewise.
	* include/nlist.h: Likewise.

1999-09-06  Andreas Schwab  <schwab@suse.de>

	* time/tzset.c (compute_change): Replace slow loop to compute T by
	simple algorithm.

1999-09-06  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/iso-2022-jp.c: When translating to ISO-2022-JP* write
	escape sequences out even if the character itself does not fit
	into the buffer.

	* iconvdata/jis0201.h (ucs4_to_jisx0201): Correct mapping for U005C.

1999-08-31  H.J. Lu  <hjl@gnu.org>

	* nscd/nscd_getgr_r.c (nscd_getgr_r): Cleanup the buffer count.

1999-09-05  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd/hurdprio.c (_hurd_priority_which_map): If WHO is zero default
	it to getpid () for PRIO_PROCESS, geteuid () for PRIO_USER.
	(_hurd_priority_which_map):

1999-09-04  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/getaddrinfo.c: Little optimization.

1999-09-03  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/syscalls.list: Rename strong name for
	fork from __syscall_fork to __libc_fork.
	* posix/Versions: Add __libc_fork and __vfork to version
	GLIBC_2.1.2.

1999-08-30  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* io/ftwtest-sh: Set LC_ALL and LANG to fix locale
	dependencies in sort.

1999-09-01  H.J. Lu  <hjl@gnu.org>

	* sysdeps/unix/sysv/linux/alpha/sys/user.h: New file.

	* sysdeps/unix/sysv/linux/alpha/sys/procfs.h: Include
	<sys/user.h> instead of <asm/user.h>.

1999-09-02  Ulrich Drepper  <drepper@cygnus.com>

	* elf/elf.h: Update PARISC-specific flags and symbolic names.

1999-09-01  Ulrich Drepper  <drepper@cygnus.com>

	* elf/elf.h: Update PARISC relocations.

1999-08-31  Scott Bambrough  <scottb@netwinder.org>

	* sysdeps/unix/sysv/linux/arm/bits/armsigctx.h: Enclose header in an
	#ifdef statement to prevent it from being included twice.
	* sysdeps/unix/sysv/linux/arm/sigcontextinfo.h:
	#include <bits/armsigctx.h>.

1999-08-31  Andreas Schwab  <schwab@suse.de>

	* locale/C-collate.c: Add missing initialisations.
	* locale/C-ctype.c: Likewise.

1999-08-31  Ulrich Drepper  <drepper@cygnus.com>

	* time/strftime.c (my_strftime): Remove unneeded variable len.

	* time/strptime.c: Undo last change.

1999-08-30  Ulrich Drepper  <drepper@cygnus.com>

	* locale/Makefile (distribute): Add iso-639.def and iso-3166.def.
	Change charset.h to charmap.h.
	(categories): Add new categories.  Leave out collate for now.
	Update build rules.
	* locale/categories.def: Add definitions for new categories.
	* locale/langinfo.h: Likewise.
	* locale/locale.h: Likewise.
	* locale/C-address.c: New file.
	* locale/C-identification.c: New file.
	* locale/C-measurement.c: New file.
	* locale/C-name.c: New file.
	* locale/C-paper.c: New file.
	* locale/C-telephone.c: New file.
	* locale/lc-address.c: Likewise.
	* locale/lc-identification.c: Likewise.
	* locale/lc-measurement.c: Likewise.
	* locale/lc-name.c: Likewise.
	* locale/lc-paper.c: Likewise.
	* locale/lc-telephone.c: Likewise.
	* locale/C-ctype.c: Update for locale rewrite.
	* locale/C-messages.c: Likewise.
	* locale/C-monetary.c: Likewise.
	* locale/C-time.c: Likewise.
	* locale/lc-collate.c: Likewise.
	* locale/lc-ctype.c: Likewise.
	* locale/lc-monetary.c: Likewise.
	* locale/lc-time.c: Likewise.
	* locale/localeinfo.h: Likewise.
	* locale/newlocale.c: Likewise.
	* locale/setlocale.c: Likewise.
	* locale/weight.h: Likewise.
	* locale/findlocale.c: Unconditionally use mmap.
	Handle new categories.
	* locale/loadlocale.c: Likewise.
	* locale/iso-3166.def: New file.
	* locale/iso-639.def: New file.
	* locale/programs/charmap-kw.gperf: Add new keywords.
	* locale/programs/locfile-kw.gperf: Likewise.
	* locale/programs/locfile-token.h: Define new tokens.
	* locale/programs/charmap.c: Rewrite to handle multibyte charsets.
	* locale/programs/charmap.h: New file.
	* locale/programs/charset.h: Removed.
	* locale/programs/config.h: Add __LC_LAST.
	* locale/programs/lc-address.c: New file.
	* locale/programs/lc-identification.c: New file.
	* locale/programs/lc-measurement.c: New file.
	* locale/programs/lc-name.c: New file.
	* locale/programs/lc-paper.c: New file.
	* locale/programs/lc-telephone.c: New file.
	* locale/programs/lc-collate.c: Update for locale rewrite.
	* locale/programs/lc-ctype.c: Likewise.
	* locale/programs/lc-messages.c: Likewise.
	* locale/programs/lc-monetary.c: Likewise.
	* locale/programs/lc-numeric.c: Likewise.
	* locale/programs/lc-time.c: Likewise.
	* locale/programs/locale.c: Likewise.
	* locale/programs/localedef.c: Likewise.
	* locale/programs/locfile.c: Likewise.
	* locale/programs/repertoire.c: Likewise.
	* locale/programs/repertoire.h: Likewise.
	* locale/programs/locfile.c: Update prototypes.
	Update handle_copy definition.
	* locale/programs/linereader.c: Add handling of wide char strings and
	new definition file syntax.
	* locale/programs/linereader.h (struct token): Add elements for wide
	character strings.
	* locale/programs/locale-spec.c: Disable handling of collation
	elements for now.
	* locale/programs/simple-hash.h: Cleanup.
	* locale/programs/stringtrans.h: Handle quite of end of line.
	* string/strcoll.c: Fall back on strcmp for now.
	* string/strxfrm.c: Fall back on strncpy/strlen for now.
	* time/strftime.c: Use new wide character data for wcsftime.
	* time/strptime.c: Remove _nl_C_LC_TIME declaration.
	* wctype/cname-lookup.h: Update for new LC_CTYPE data.

	* sysdeps/i386/Makefile [csu]: Define CFLAGS-initfini.s to force
	compiling for i386 to avoid i686-like GOT pointer computation.

	* db2/db_int.h: Change tsl_t type to u_int32_t.
	* db2/mutex/mutex.c: Allow Alpha mutex definitions.
	* db2/mutex/alpha.h: New file.
	* db2/mutex/sparc.gcc: Fix store code for v9.  Simplify clear code.
	* sysdeps/alpha/Makefile [db2]: Set CFLAGS of mutex.c to make spinlocks
	known.
	Patches by Richard Henderson.

	* stdlib/tst-environ.c: Add cast to avoid warning.
	* timezone/test-tz.c: Use setenv instead of putenv.

1999-08-28  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/libc.texinfo: Update version and date.

	* manual/locale.texi (Formatting Numbers): Fix @node pointers.

	* manual/filesys.texi (Working with Directory Trees): Add missing @code.
	(File System Interface): Correct entry.
	(Permission Bits): Add missing commata after @xref.

1999-08-29  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* timezone/tst-timezone.c (main): Don't pass const strings to
	putenv to avoid warnings.

	* posix/regexbug1.c: Include <stdio.h> for puts prototype.

1999-08-29  Thorsten Kukuk  <kukuk@suse.de>

	* nis/Versions: Add _nss_*_getipnodebyname_r.
	* nis/nss_nis/nis-hosts.c: Add _nss_nis_getipnodebyname_r.
	* nis/nss_nisplus/nisplus-hosts.c: Add _nss_nisplus_getipnodebyname_r.
	* nss/Versions: Add _nss_files_getipnodebyname_r.

1999-08-28  H.J. Lu  <hjl@gnu.org>

	* nscd/nscd_getgr_r.c (nscd_getgr_r): Don't count the alloca'ed
	memory for buffer.

1999-08-27  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/netpacket/packet.h: Update from 2.3.15
	kernel.
	* inet/netinet/in.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/socket.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/socket.h: Likewise.

1999-08-28  Ulrich Drepper  <drepper@cygnus.com>

	* malloc/malloc.c (ptmalloc_init): Don't use variables to set
	thresholds for SUID binaries.  [PR libc/1277]

	* posix/regexbug1.c: Add one more similar case.

1999-08-28  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/install.texi (Running make install): Give examples for
	timezone and locale installation.

1999-08-28  Zack Weinberg  <zack@bitmover.com>

	* glibcbug.in: Get CCVERSION from autoconf substitution.
	* configure.in: Calculate and substitute CCVERSION.

1999-08-28  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/mips/bits/sigaction.h: Fix sa_flags,
	partially reverting a patch from 1998-12-29.  We just can't change
	the flags, kernels with different flags lead to
	incompatibilities.

1999-08-26  Andreas Schwab  <schwab@suse.de>

	* locale/langinfo.h (YESSTR, NOSTR): Still define if __USE_GNU.

1999-08-27  Ulrich Drepper  <drepper@cygnus.com>

	* inet/rexec.c (rexec): Free memory if strings were allocated in
	ruserpass.  Reported by Andrew Morton <morton@nortelnetworks.com>.

1999-08-27  Ulrich Drepper  <drepper@cygnus.com>

	* locale/categories.def: Use __YESSTR amd __NOSTR in definition.

	* manual/argp.texi: Fixing language and typos.
	* manual/conf.texi: Likewise.
	* manual/contrib.texi: Likewise.
	* manual/ctype.texi: Likewise.
	* manual/filesys.texi: Likewise.
	* manual/install.texi: Likewise.
	* manual/job.texi: Likewise.
	* manual/lang.texi: Likewise.
	* manual/llio.texi: Likewise.
	* manual/locale.texi: Likewise.
	* manual/math.texi: Likewise.
	* manual/nss.texi: Likewise.
	* manual/pipe.texi: Likewise.
	* manual/signal.texi: Likewise.
	* manual/socket.texi: Likewise.
	* manual/stdio.texi: Likewise.
	* manual/sysinfo.texi: Likewise.
	* manual/users.texi: Likewise.
	Patches by Neil Booth <NeilB@earthling.net>.

1999-08-25  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/fpu/bits/mathinline.h (__finite): Mark constant as
	unsigned to avoid warning.  [PR libc/1271].

	* conform/conformtest.pl: Allow testing regex.h which requires
	sys/types.h being included.

	* conform/data/regex.h-data: Allow *_t types.
	* conform/data/pwd.h-data: Likewise.
	* conform/data/sched.h-data: Likewise.
	* conform/data/pthread.h-data: Likewise.
	* conform/data/search.h-data: Likewise.

	* misc/search.h: Avoid namespace pollution.

	* conform/conformtest.pl (@headers): Add search.h, sched.h, regex.h,
	pwd.h, and pthread.h.
	* conform/data/pthread.h-data: New file.
	* conform/data/pwd.h-data: New file.
	* conform/data/regex.h-data: New file.
	* conform/data/sched.h-data: New file.
	* conform/data/search.h-data: New file.

	* NAMESPACE: Add REG_ for regex.h.

	* locale/langinfo.h: Don't define YESSTR and NOSTR for XPG6 since
	they are removed.

	* configure.in (libc_cv_asm_global_directive): Indent .text in
	test code so that the lame HPUX compiler recognizes it.
	* sysdeps/hppa/bits/endian.h: New file.
	* sysdeps/unix/sysv/hpux/bits/errno.h: New file.
	* sysdeps/unix/sysv/hpux/bits/setjmp.h: New file.
	* sysdeps/unix/sysv/hpux/bits/stat.h: New file.
	* sysdeps/unix/sysv/hpux/bits/types.h: New file.

	* sysdeps/unix/sysv/sysv4/solaris2/getdents.c: New file.
	Patch by John Tobey <jtobey@banta-im.com>.

	* sysdeps/unix/sysv/sysv4/solaris2/bits/dirent.h: New file.

	* sysdeps/unix/sysv/linux/if_index.c (if_nameindex): Move
	old_siocfifconf definition to toplevel.
	(__protocol_available): Remove old_siocfifconf definition.

1999-08-25  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/unix/sysv/linux/ptsname.c: Add checks to make sure we're
	really dealing with a master pseudo terminal, and really returning
	the name of the associated slave pseudo terminal by checking the
	device number.
	* sysdeps/unix/sysv/linux/pty-private.h: Removed.
	* login/programs/pt_chown.c (do_pt_chown): Don't use unix98_pseudo_p.

1999-08-25  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/mips/syscalls.list: Add missing
	underscore in _llseek entry.

	* sysdeps/unix/sysv/linux/mips/syscalls.list: Fix typo in execve
	entry.

	* sysdeps/unix/sysv/linux/bits/errno.h: Fix comment.
	* sysdeps/unix/sysv/linux/mips/bits/errno.h: Likewise.

	* elf/Makefile ($(objpfx)ld.so): Fix rtld-ldscript dependency.
	Patch by Ralf Bächle <ralf@uni-koblenz.de>.

1999-08-25  Ulrich Drepper  <drepper@cygnus.com>

	* inet/Makefile (routines): Add getipnodebynm.
	* inet/getipnodebynm.c: New file.
	* nss/digits_dots.c: If HAVE_TYPE is define type contains the
	interface type.
	* nss/nss_files/files-XXX.c: Define EXTRA_ARGS, EXTRA_ARGS_DECL, and
	EXTRA_ARGS_VALUE is not already done.
	(internal_getent): Allow extra parameters and pass them to parse_line.
	(_nss_files_get,ENTNAME_r): Pass extra parameters to internal_getent.
	(_nss_files_get##name##_r): Likewise.
	* nss/nss_files/files-hosts.c: Define EXTRA_ARGS, EXTRA_ARGS_DECL,
	and EXTRA_ARGS_VALUE to pass flags and type to parser.
	Add getipnodebyname function.
	* nss/nss_files/files-parse.c: Define EXTRA_ARGS, EXTRA_ARGS_DECL, and
	EXTRA_ARGS_VALUE is not already done.
	(parse_line): Add EXTRA_ARGS_DECL to parameter list.
	* nss/nss_db/db-XXX.c (lookup): Allow extra parameters and pass them
	to parse_line.
	(_nss_db_get##name##_r): Pass extra parameters to lookup.
	(_nss_db_get,ENTNAME_r): Likewise.
	* sysdeps/generic/if_index.c (__protocol_available): New function.
	* sysdeps/unix/sysv/linux/if_index.c: Likewise.

1999-08-24  Ulrich Drepper  <drepper@cygnus.com>

	* login/pty-private.h: Move to...
	* sysdeps/generic/pty-private.h: ...here.
	* sysdeps/unix/sysv/linux/pty-private.h: New file.  Linux specific
	version.
	* login/programs/pt_chown.c (do_pt_chown): Use unix98_pseudo_p is
	available.

	* libio/fileops.c (_IO_new_file_xsputn): Use _IO_OVERFLOW instead
	of __overflow.

	* conform/conformtest.pl (@headers): Add monetary.h-data,
	mqueue.h-data, ndbm.h-data, nl_types.h-data, and poll.h-data.
	* conform/data/monetary.h-data: New file.
	* conform/data/mqueue.h-data: New file.
	* conform/data/ndbm.h-data: New file.
	* conform/data/nl_types.h.h-data: New file.
	* conform/data/poll.h-data: New file.

	* stdio-common/Makefile (test): Add tst-cookie.
	* stdio-common/tst-cookie.c: New file.

	* sysdeps/unix/sysv/linux/mips/bits/errno.h: Fix EILSEQ value
	changed in last patch.  Reported by Ralf Bächle.

1999-08-24  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/mips/sysdep.h: Use __syscall_error.

	* sysdeps/unix/mips/sysdep.S: Rewrite, don't declare errno here.
	Patches by Ralf Bächle <ralf@uni-koblenz.de>

1999-08-24  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/net/if_arp.h: Add new constants from
	Linux 2.3.15.

1999-08-24  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list: Add execve
	syscall.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list: Likewise.

	* misc/libgen.h: Don't take basename macro as taking arguments.

	* sysdeps/arm/bits/huge_val.h: Use hexadecimal floating-point constants
	for gcc >= 2.95.
	* sysdeps/i386/bits/huge_val.h: Likewise.
	* sysdeps/i386/bits/huge_val.h: Likewise.
	* sysdeps/ieee754/bits/huge_val.h: Likewise.
	* sysdeps/m68k/bits/huge_val.h: Likewise.
	* sysdeps/sparc/sparc32/fpu/bits/huge_val.h: Likewise.
	* sysdeps/sparc/sparc64/fpu/bits/huge_val.h: Likewise.

	* conform/Makefile: New file.
	* conform/conformtest.pl: New file.
	* conform/data/aio.h-data: New file.
	* conform/data/assert.h-data: New file.
	* conform/data/cpio.h-data: New file.
	* conform/data/ctype.h-data: New file.
	* conform/data/dirent.h-data: New file.
	* conform/data/dlfcn.h-data: New file.
	* conform/data/errno.h-data: New file.
	* conform/data/fcntl.h-data: New file.
	* conform/data/float.h-data: New file.
	* conform/data/fmtmsg.h-data: New file.
	* conform/data/fnmatch.h-data: New file.
	* conform/data/ftw.h-data: New file.
	* conform/data/glob.h-data: New file.
	* conform/data/grp.h-data: New file.
	* conform/data/iconv.h-data: New file.
	* conform/data/inttypes.h-data: New file.
	* conform/data/iso646.h-data: New file.
	* conform/data/langinfo.h-data: New file.
	* conform/data/libgen.h-data: New file.
	* conform/data/locale.h-data: New file.
	* conform/data/math.h-data: New file.

1999-08-23  Ulrich Drepper  <drepper@cygnus.com>

	* posix/execvp.c (execvp): Correct copying of file name.

1999-08-23  Mark Kettenis  <kettenis@gnu.org>

	* hurd/hurdsig.c (_hurd_internal_post_signal): Add missing else.

1999-08-23  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/Makefile: Move addition to routines to the right place.

1999-08-23  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/mips/bits/errno.h: New file.  Neccessary
	since mips*-linux has ECANCELED.

1999-08-23  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/m68k/sigcontextinfo.h: Define
	SIGCONTEXT_EXTRA_ARGS.
	* sysdeps/unix/sysv/linux/i386/sigcontextinfo.h: Likewise.
	* sysdeps/generic/sigcontextinfo.h: Likewise.
	* sysdeps/mach/hurd/i386/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/arm/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sigcontextinfo.h: Likewise.

1999-08-23  Ulrich Drepper  <drepper@cygnus.com>

	* posix/regexbug1.c: Make it an error if the test fails.

1999-08-23  Andreas Schwab  <schwab@suse.de>

	* posix/regex.c (re_match_2_internal): Correct check for charset
	after exactn in loop.

1999-08-22  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/powerpc/syscalls.list: Add execve syscall.
	* sysdeps/unix/sysv/linux/mips/syscalls.list: Likewise.
	Patch by Joel Klecker.

	* iconv/gconv_int.h (GCONV_AVOID_NOCONV): New definition.
	(__gconv_find_transform): Update prototype.
	(__gconv_open): Likewise.
	* iconv/gconv_open.c: Take extra parameter and pass it to
	__gconv_find_transform.
	* iconv/gconv_db.c (__gconv_find_transform): Take extra parameter with
	flags.  If GCONV_AVOID_NOCONV flag is set don't return copying
	transformation.
	* iconv/iconv_open.c: Pass extra parameter to __gconv_open.
	* wcsmbs/wcsmbsload.c: Likewise.
	* intl/dcgettext.c (_nl_find_msg): Rewrite to use gconv instead of
	iconv for glibc.
	* intl/gettextP.h: Likewise.
	* intl/loadmsgcat.c: Likewise.

	* posix/regexbug1.c: New file.
	* posix/Makefile (tests): Add regexbug1.

1999-08-22  Mark Kettenis  <kettenis@gnu.org>

	* hurd/new-fd.c (_hurd_new_fd): Initialize fcntl flags.
	* hurd/port2fd.c (_hurd_port2fd): Reset the fcntl flags when
	installing PORT in the descriptor cell.

1999-08-19  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/mach/hurd/i386/intr-msg.h (INTR_MSG_TRAP): Mark OPTION and
	TIMEOUT as outputs of the asm to indicate that the signal thread
	might mutate them.
	* hurd/intr-msg.c (_hurd_intr_rpc_mach_msg): Short circuit to plain
	mach_msg if only sending or only receiving (i.e., not an RPC).  When
	making an RPC that might get interrupted, save OPTION and the portion
	of the message buffer that gets clobbered by an EINTR reply message,
	and properly restore them before attempting to retry the request
	message send.

1999-08-21  Mark Kettenis  <kettenis@gnu.org>

	* stdio-common/vfscanf.c [! USE_IN_LIBIO]: Add necessary
	definitions for MEMCPY, ISSPACE, ISDIGIT, ISXDIGIT, TOLOWER, L_,
	CHAR_T, UCHAR_T and WIN_T to make the code compile again when
	stdio is used instead of libio.
	* stdio-common/vfprintf.c [! USE_IN_LIBIO]: Add necessary
	definitions for CHAR_T, UCHAR_T, INT_T, L_, ISDIGIT, PAD and PUTC
	to make the code compile again when stdio is used instead of
	libio.
	(vfprintf): Only check for correct orientation if ORIENT is
	defined.
	* stdio-common/Makefile (routines): Only add vfwprintf and
	vfwscanf if we're using libio.

1999-08-21  Mark Kettenis  <kettenis@gnu.org>

	* include/stdio.h [! USE_IN_LIBIO && __need_FILE]: Avoid defining
	any additional prototype just as we do for libio.

1999-08-21  Mark Kettenis  <kettenis@gnu.org>

	* include/bits/xopen_lim.h: Do not define STREAM_MAX and
	TZNAME_MAX.  These limits are not X/Open specific.
	* stdio-common/stdio_lim.h.in: Allow inclusion when __need_IOV_MAX
	is defined.

1999-08-21  Mark Kettenis  <kettenis@gnu.org>

	* Rules: When generated stdio_lim.h, avoid defining IOV_MAX if
	UIO_MAXIOV is left undefined in sys/uio.h.
	* stdio-common/stdio_lim.h.in: Adapt for change above.

1999-08-21  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/mips/bits/sigaction.h (SA_RESETHAND): Add it.
	* sysdeps/mips/bits/dlfcn.h: Remove SGI specific calls, add RTLD_LOCAL.
	Patches by Ralf Bächle <ralf@uni-koblenz.de>

1999-08-21  Ulrich Drepper  <drepper@cygnus.com>

	* stdlib/fmtmsg.h: Don't define NULL to keep namespace clean.

1999-08-20  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/execve.c: Define weak alias execve.

	* sysdeps/unix/sysv/linux/init-first.c (init): Remove personality
	call.  It should not be necessary andis harmful for Alpha.

	* sysdeps/posix/getcwd.c: Correct comment saying < 0 is ok for size
	type.  [PR libc/1269]

	* posix/execvp.c (execvp): Allocate array name of correct size.
	Optimize inner loop.  Use execve directly, not execv.

	* elf/elf.h: Corrected SHT_ values from new draft.

	* intl/gettextP.h (struct loaded_domain): Add conv element.
	* intl/dcgettext.c (find_msg): Rename to _nl_find_msg and make public.
	Instead of returning found message directly convert it using iconv
	if a conversion was found when opening the file.
	* intl/loadinfo.h: Protect against multiple inclusion.
	Declare _nl_find_msg.
	* intl/loadmsgcat.c (_nl_load_domain): Try to determine charset used
	in the message file and if necessary find approrpiate
	conversion to match currently selected charset.
	* include/libintl.h: Declare __dgettext and __dcgettext.
	* include/iconv.h: New file.

1999-08-20  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/sys/sendfile.h: Fix typo.

1999-08-19  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/execve.c: New file.  This version terminates
	all threads [PR libc/1223].

	* elf/rtld.c (_dl_start): Initialize bootstrap_map.l_info to zero.
	[PR libc/1165].

	* configure.in: Search for programs with prefix gnu* and g* first.
	[PR libc/1104].

	* dirent/Makefile (routines): Add getdents64.
	* sysdeps/unix/sysv/linux/Makefile [dirent] (sysdep_routines):
	Remove getdents64.
	* dirent/dirent.h: Redirect getdirentries to getdirentries64 if
	compiled with _FILE_OFFSET_BITS=64.
	* sysdeps/generic/getdents64.c: New file.
	* sysdeps/unix/sysv/linux/getdirentries.c: Also redefine off_t and
	__lseek for getdirentries64 definition.

	* sysdeps/unix/sysv/linux/llseek.c: Make __lseek64 a strong alias.

	* sysdeps/unix/sysv/linux/sys/sendfile.h: Don't allow use with
	_FILE_OFFSET_BITS=64.

	* sysdeps/unix/bsd/telldir.c (seekdir): Correct type of second
	parameter.

	* sysdeps/generic/setenv.c (__add_to_environ): Initialize ep
	after we have the lock.

	* sysdeps/unix/sysv/linux/alpha/sigcontextinfo.h: New file.
	Patch by Richard Henderson.

1999-08-19  Andreas Schwab  <schwab@suse.de>

	* libio/iovswscanf.c (vswscanf): Make stream unoriented initially
	and call _IO_fwide, to get the wide stream state initialized
	correctly.  Don't set _IO_JUMPS.
	* libio/vsnprintf.c (_IO_vsnprintf): Avoid casts to _IO_FILE *.
	* libio/vswprintf.c (_IO_vswprintf): Likewise.  Pass
	_IO_wstrn_jumps to _IO_no_init instead of setting _IO_WIDE_JUMPS
	directly.

1999-08-19  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* math/libm-test.c (jn_test): Fix typo in description.
	(erfc_test): Add some more tests.
	(erf_test): Add some more tests.

1999-08-19  Andreas Schwab  <schwab@suse.de>

	* csu/Makefile ($(objpfx)initfini.s): Replace $(no-exceptions) by
	expression using $(exceptions).

1999-08-18  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/setenv.c: Avoid warning about uninitialized variable.

	* libio/fileops.c (_IO_file_xsgetn): Allocate buffer if none is
	allocated so far.  [PR libc/1261].

	* math/libm-test.c (j0_test): Adjust deltas for m68k.
	(jn_test): Likewise.

	* dirent/dirent.h: Only define ino64_t if not already done.
	* posix/sys/types.h: Likewise.

	* ctype/ctype.h: Avoid useless #endif #if pairs.

	* dirent/dirent.h: Define ino_t and ino64_t if not done already.
	(seekdir): Fix type of second parameter.
	* sysdeps/generic/seekdir.c: Likewise.
	* sysdeps/mach/hurd/seekdir.c: Likewise.
	* sysdeps/unix/seekdir.c: Likewise.

	* dlfcn/dlfcn.h: Define RTLD_NEXT and RTLD_DEFAULT only if __USE_GNU.

1999-08-18  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/install.texi (Configuring and compiling): Clarify ix86
	situation.

1999-08-18  Ulrich Drepper  <drepper@cygnus.com>

	* Rules: When generating stdio_lim.h also rewrite IOV_MAX definition.
	* stdio-common/stdio_lim.h.in: Add IOV_MAX template.
	* include/bits/xopen_lim.h: Don't define IOV_MAX here, get it from
	stdio_lim.h.  Define LONG_BIT and WORD_BIT.

	* include/features.h: Define __USE_XOPEN2K if _XOPEN_SOURCE == 600.

	* libio/stdio.h: Don't declare cuserid and getopt for X/Open issue 6.

	* misc/search.h: Don't define NULL.

	* posix/sys/types.h: Define blksize_t if it hasn't happened.
	Only define key_t and blkcnt_t if it hasn't happened before.
	Define blksize_t if not happened before.
	* io/sys/stat.h: Don't define pid_t.  Define blkcnt_t and blksize_t.
	* sysdeps/generic/bits/types.h: Define __blksize_t.
	* sysdeps/unix/sysv/linux/alpha/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/types.h: Likewise.
	* sysdeps/unix/sysv/sysv4/solaris2/bits/types.h: Likewise.
	* sysdeps/mach/hurd/bits/stat.h (struct stat): Use __blksize_t for
	st_blksize member.
	(struct stat64): Likewise.
	* sysdeps/unix/bsd/bits/stat.h: Likewise.
	* sysdeps/unix/bsd/osf/alpha/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/sysv4/i386/bist/stat.h: Likewise.
	* sysdeps/unix/sysv/sysv4/solaris2/bits/stat.h: Likewise.

	* stdlib/getsubopt.c: Correct type of second argument.
	* stdlib/stdlib.h: Likewise.

	* stdlib/monetary.h: Don't include sys/types.h.  Define only size_t
	and ssize_t.

	* sysdeps/generic/putenv.c: Correct type of parameter.
	* stdlib/stdlib.h: Likewise.

